








SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;











CREATE TABLE `admin_notifications` (
  `id` int NOT NULL,
  `send_to_type` enum('all_visitors','all_clients','some_clients','all_affiliator_clients','some_affiliator_clients') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `sender_id` int DEFAULT NULL,
  `affiliator_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `admin_notification_langs` (
  `id` int NOT NULL,
  `admin_notification_id` int DEFAULT NULL,
  `notification` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `title` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `lang_code` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `affiliator_famous` (
  `id` int NOT NULL,
  `user_id` int DEFAULT NULL,
  `common_search_words` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `common_trademarks` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='الشائع والمقترح ';







CREATE TABLE `affiliator_options` (
  `id` bigint NOT NULL,
  `user_id` int DEFAULT NULL,
  `send_notifications` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `show_reports` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `use_commission_on_order` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `commission_value_pers` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `commission_value` float DEFAULT NULL,
  `add_products` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `front_color` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `front_logo` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `front_fav_icon` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `front_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `front_web_url` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `front_platfrom` enum('none','web','app','both') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `front_currency` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `subscribe_from` date DEFAULT NULL,
  `subscribe_to` date DEFAULT NULL,
  `subscribe_price` int DEFAULT '0',
  `instagram` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `facebook` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `twitter` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `tiktok` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `snapchat` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `youtube` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `treasure_id` int DEFAULT NULL,
  `show_price` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '1',
  `notification_server_key` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `maintenance_mode` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `maintenance_mode_message` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `share_description` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '1',
  `promotional_description_share` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `promotional_description_web` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `promotional_description_app` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `full_description_share` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '1',
  `full_description_web` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '1',
  `full_description_app` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '1',
  `tab_new_name_ar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `tab_new_name_en` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `tab_new_img` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='جدول خاص بالمسوقين فقط';





INSERT INTO `affiliator_options` (`id`, `user_id`, `send_notifications`, `show_reports`, `use_commission_on_order`, `commission_value_pers`, `commission_value`, `add_products`, `front_color`, `front_logo`, `front_fav_icon`, `front_name`, `front_web_url`, `front_platfrom`, `front_currency`, `subscribe_from`, `subscribe_to`, `subscribe_price`, `instagram`, `facebook`, `twitter`, `tiktok`, `snapchat`, `youtube`, `treasure_id`, `show_price`, `notification_server_key`, `maintenance_mode`, `maintenance_mode_message`, `share_description`, `promotional_description_share`, `promotional_description_web`, `promotional_description_app`, `full_description_share`, `full_description_web`, `full_description_app`, `tab_new_name_ar`, `tab_new_name_en`, `tab_new_img`) VALUES
(1, 2, '1', '1', '0', '0', 0, '1', '#c7a35e', NULL, '', NULL, '', 'app', 'EGP', NULL, NULL, 0, '', '', '', '', '', '', 1, '0', NULL, '0', 'نقوم الان بتحديثات سريعة! .. سنعود بعد قليل ان شاء الله', '1', '1', '0', '1', '0', '1', '1', 'قريبا', 'Soon', NULL);







CREATE TABLE `affiliator_prices` (
  `id` bigint NOT NULL,
  `product_id` int DEFAULT NULL,
  `affiliator_id` int DEFAULT NULL,
  `price` float DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='اسعار خاصة بمتاجر بنوع سعر البيع';







CREATE TABLE `affiliator_services` (
  `id` bigint NOT NULL,
  `user_id` int DEFAULT NULL,
  `service_id` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='جدول الاقسام الخاصة التي ستعرض للعملاء الخاصين بالمسوق ا';







CREATE TABLE `affiliator_stores` (
  `id` int NOT NULL,
  `user_id` int DEFAULT NULL,
  `store_id` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='حاليا تستخدم كمتاجر للمسوقين ';





INSERT INTO `affiliator_stores` (`id`, `user_id`, `store_id`) VALUES
(1, 2, 1);







CREATE TABLE `affiliator_subscribes` (
  `id` int NOT NULL,
  `user_id` int DEFAULT NULL,
  `price` float DEFAULT NULL,
  `s_from` date DEFAULT NULL,
  `s_to` date DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='اشتراكات المسوقين';







CREATE TABLE `api_secrit_keys` (
  `id` bigint NOT NULL,
  `secrit_key` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `date_added` datetime DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `attachments` (
  `id` int NOT NULL,
  `sort` int DEFAULT NULL,
  `active` enum('1','0') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `color` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `attachment_langs` (
  `id` int NOT NULL,
  `attachment_id` int DEFAULT NULL,
  `lang_code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `balance` (
  `id` int NOT NULL,
  `affiliator_id` int DEFAULT NULL,
  `client_id` int DEFAULT NULL,
  `invoice_id` int DEFAULT NULL,
  `coupon_id` int DEFAULT '0',
  `code` varchar(100) DEFAULT NULL,
  `value` float DEFAULT NULL,
  `type` enum('add','get','hanging') DEFAULT NULL,
  `mode` enum('coupon_marketing','drop_shipping','get','use_credit') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'coupon_marketing',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `balance_withdrawal_requests` (
  `id` int NOT NULL,
  `user_id` int DEFAULT NULL,
  `payment_method_id` int DEFAULT NULL,
  `payment_method_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `amount` float DEFAULT NULL,
  `code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `status` enum('pending','done','rejected') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='طلبات سحب الرصيد';







CREATE TABLE `banners` (
  `id` int NOT NULL,
  `type` enum('innerLink','outerLink') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'innerLink',
  `url` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci COMMENT 'url or id ',
  `url_type` enum('product','service','trademark') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `image` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `image_en` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `affiliator_id` int DEFAULT NULL,
  `banner_width` int DEFAULT NULL,
  `banner_height` int DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `banner_langs` (
  `id` int NOT NULL,
  `banner_id` int DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `title` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `banner_services` (
  `id` bigint NOT NULL,
  `service_id` int DEFAULT NULL,
  `banner_id` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `browse_product_history` (
  `id` int NOT NULL,
  `affiliator_id` int DEFAULT NULL,
  `client_id` int DEFAULT NULL,
  `product_id` int DEFAULT NULL,
  `set_from` enum('affiliate','web','app') DEFAULT 'affiliate',
  `app_version` varchar(50) DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `carts` (
  `id` int NOT NULL,
  `user_id` int DEFAULT '0',
  `client_id` int DEFAULT '0',
  `invoice_edit_id` int DEFAULT '0',
  `set_from` enum('affiliate','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'affiliate',
  `type` enum('packing_in_progress','request_is_done','editing_in_progress','canceled') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'packing_in_progress',
  `invoice_id` int DEFAULT '0',
  `show_total_price` float DEFAULT '0',
  `show_discount` float DEFAULT '0',
  `show_coupon_discount` float DEFAULT '0',
  `show_coupon_code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `show_total_quantity` int DEFAULT '0',
  `date_added` datetime DEFAULT NULL,
  `last_update` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `cart_products` (
  `id` int NOT NULL,
  `cart_id` int DEFAULT '0',
  `product_id` int DEFAULT '0',
  `product_type_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'اسم الصنف',
  `quantity` int DEFAULT '0',
  `offer_id` int DEFAULT '0',
  `quantity_offer` int DEFAULT '0' COMMENT 'العدد المحجوز',
  `type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'نوع الخصم المطبق',
  `value` int DEFAULT '0' COMMENT 'قيمة الخصم',
  `maximum_discount_value` float DEFAULT '0' COMMENT 'هذه لحالة discount_percentage',
  `coupon_id` int DEFAULT '0',
  `quantity_coupon` int DEFAULT '0',
  `coupon_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `coupon_value` int DEFAULT '0',
  `coupon_maximum_discount_value` float DEFAULT '0',
  `is_deleted` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `is_gift` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `clients_groups` (
  `id` int NOT NULL,
  `affiliator_id` int DEFAULT NULL,
  `name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `description` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `active` enum('0','1') DEFAULT '0',
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `client_addresses` (
  `id` int NOT NULL,
  `client_id` int DEFAULT NULL,
  `city_id` int DEFAULT NULL,
  `country_id` int DEFAULT NULL,
  `title` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `is_default` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `set_from` enum('affiliate','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'affiliate',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='عناوين الخاصة بالعملاء';







CREATE TABLE `client_shipping` (
  `id` int NOT NULL,
  `affiliator_id` int NOT NULL,
  `client_id` int NOT NULL,
  `store_name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `store_img` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `set_from` enum('affiliate','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'affiliate',
  `app_version` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `client_shipping_addresses` (
  `id` int NOT NULL,
  `affiliator_id` int NOT NULL,
  `client_id` int NOT NULL,
  `full_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `mobile` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `country_id` int NOT NULL,
  `city_id` int NOT NULL,
  `title` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `set_from` enum('affiliate','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'affiliate',
  `app_version` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `coupons` (
  `id` int NOT NULL,
  `priority` float DEFAULT '0' COMMENT 'الاولوية في اختيار العرض في حال تضارب المنتجات	',
  `code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `coupon_usage_number_all` int DEFAULT NULL,
  `coupon_usage_number_customer` int DEFAULT NULL,
  `client_type` enum('all','group','specific_clients') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `client_type_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `coupon_start_date` date DEFAULT NULL,
  `coupon_end_date` date DEFAULT NULL,
  `coupon_type` enum('coupon_normal','x_get_y','discount_percentage','discount_constant') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'اذا اشترى العميل X يحصل على Yمبلغ ثابت من قيمة مشتريات العميلنسبة من قيمة مشتريات العميل',
  `price_type` enum('price_one','price_multi','price','price_half','price_gomla_gomla') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'نوع السعر الذي سيطبق عليه العرض  ',
  `coupon_width` enum('100','50','33.33','25') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `show_on` enum('both','app','web') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `show_on_places` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `except_discounted_products` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '1',
  `show_coupon_banner` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `marketing_coupon` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `marketer_client_id` int DEFAULT NULL,
  `marketer_commission_type` enum('discount_percentage','discount_constant') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'discount_percentage',
  `marketer_commission` int DEFAULT NULL,
  `marketer_note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `image` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `image_en` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `affiliator_id` int DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `coupon_status` enum('valid','finished') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'valid',
  `show_end_date` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='عروض المنتجات';







CREATE TABLE `coupons_used` (
  `id` int NOT NULL,
  `affiliator_id` int DEFAULT NULL,
  `client_id` int DEFAULT NULL,
  `coupon_id` int DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `mode` enum('cart','invoice') DEFAULT NULL,
  `mode_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `coupon_discount` (
  `id` int NOT NULL,
  `coupon_id` int DEFAULT NULL,
  `coupon_value` float DEFAULT NULL COMMENT 'قيمة الخصم تكون نسبة او ممكن تكون قيم ثابتة وهذ يحدد جدول العروض',
  `coupon_maximum_discount_value` int DEFAULT NULL COMMENT 'اذا كانت نوع الخصم نسبة يجب تحديد حد اقصى للقيم ',
  `apply_type_conditions` enum('cart','products','services','trademarks') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'اول نوع لكل المنتجات في السلة الثاني منتجات محددة الثالث في اقسام محددة',
  `ids` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `coupon_application_type` enum('amount_of_prod','purchase_amount') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'نوع تطبيق العرض هل هو عدد منتجات او قيمة شرائية',
  `minimum_value_coupon_application` float DEFAULT NULL COMMENT 'الحد الأدنى لتطبيق العرض سواء سعر او عدد منتجات'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='هذا الجدول خاص بالعروض  نسبة وتخ نوع تخفيض       ';







CREATE TABLE `coupon_langs` (
  `id` int NOT NULL,
  `coupon_id` int DEFAULT NULL,
  `title` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `attachment_single` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `currencies` (
  `id` int NOT NULL,
  `name_ar` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name_en` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `price` float NOT NULL DEFAULT '0',
  `default` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;





INSERT INTO `currencies` (`id`, `name_ar`, `name_en`, `price`, `default`, `date_added`) VALUES
(1, 'جنية', 'EGP', 1, '1', '2022-12-06 17:09:33'),
(2, 'ريال', 'SAR', 10, '0', '2022-12-06 17:12:19'),
(4, 'دولار', 'USD', 35, '0', '2022-12-06 17:12:19');







CREATE TABLE `customer_price_groups` (
  `id` int NOT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `key` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;





INSERT INTO `customer_price_groups` (`id`, `name`, `key`, `date_added`) VALUES
(1, 'سعر قطاعي', 'price_one', '2022-08-10 15:09:17'),
(2, 'سعر جملة', 'price_multi', '2022-08-10 15:09:20'),
(4, 'سعر بيع', 'price', '2022-08-10 15:09:23'),
(6, ' سعر نص جملة', 'price_half', '2022-08-10 15:09:25'),
(7, ' سعر جملة الجملة', 'price_gomla_gomla', '2022-08-10 15:09:13');







CREATE TABLE `devices` (
  `id` int NOT NULL,
  `device_token_id` int DEFAULT NULL,
  `affiliator_id` int DEFAULT '0',
  `user_id` int DEFAULT NULL,
  `notification_id` int DEFAULT NULL,
  `login` int DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'ar' COMMENT 'to determine which notification lang come from cite if app opened with this lang code',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `device_token` (
  `id` int NOT NULL,
  `device_token_id` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `expiration_date` (
  `id` int NOT NULL,
  `product_id` int DEFAULT NULL,
  `label` date DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `checked` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `forgate_password_codes` (
  `id` int NOT NULL,
  `mobile` varchar(50) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `count` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `form_shapes` (
  `id` int NOT NULL,
  `type` enum('select','m_select','text','number','date') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `sort` int DEFAULT NULL,
  `is_deleted` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `form_shape_langs` (
  `id` int NOT NULL,
  `form_shape_id` int DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `label` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `form_shape_options` (
  `id` int NOT NULL,
  `form_shape_id` int DEFAULT NULL,
  `is_deleted` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `sort` int DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `form_shape_option_langs` (
  `id` int NOT NULL,
  `form_shape_option_id` int DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `label` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `form_shape_services` (
  `id` int NOT NULL,
  `service_id` int DEFAULT NULL,
  `form_shape_id` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `history_edit_invoice` (
  `id` int NOT NULL,
  `admin_id` int NOT NULL DEFAULT '0',
  `invoice_id` int NOT NULL DEFAULT '0',
  `mode` enum('add_product','delete_product','quantity_increase','quantity_reduce','change_invoice_status','change_note','price_increase','price_reduce') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `product_id` int NOT NULL DEFAULT '0',
  `quantity_last` int NOT NULL DEFAULT '0',
  `quantity` int NOT NULL DEFAULT '0',
  `price_last` int NOT NULL DEFAULT '0',
  `price` int NOT NULL DEFAULT '0',
  `notes_last` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `notes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `status_last` enum('pending','waiting_confirm','confirmed','client_not_responce','under_prepare','ready_to_delivered','in_delivered','delivered','refunded','canceled','booked_up') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `status` enum('pending','waiting_confirm','confirmed','client_not_responce','under_prepare','ready_to_delivered','in_delivered','delivered','refunded','canceled','booked_up') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `invoices` (
  `id` int NOT NULL,
  `affiliator_id` int DEFAULT '0',
  `client_id` int DEFAULT '0',
  `status` enum('pending','waiting_confirm','confirmed','client_not_responce','under_prepare','ready_to_delivered','in_delivered','delivered','refunded','canceled','booked_up') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'pending',
  `invoice_type` enum('sale-invoice','receipt-invoice','sale-return-invoice','receipt-return-invoice') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `count_invoice_type` int DEFAULT '1',
  `bar_code` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `bar_code_image` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `price_type` enum('price_one','price_multi','price','price_half','price_gomla_gomla') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `pay_type` enum('later','cash') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `tax_pres` float DEFAULT '0',
  `discount` float DEFAULT '0',
  `coupon_discount` float NOT NULL DEFAULT '0',
  `additional_value` float DEFAULT '0' COMMENT 'قيمة اضافية على الفاتورة كسعر للتوصيل او ما شابه',
  `additional_value_pers` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `discount_pers` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `sup_total_price` float DEFAULT '0',
  `total_price` float DEFAULT '0',
  `total_quantity` int DEFAULT '0',
  `total_affiliator_profit` float DEFAULT '0',
  `malian_commission` float DEFAULT '0',
  `net_total_affiliator_profit` float DEFAULT '0',
  `treasure_id` int DEFAULT '1',
  `city_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `city_id` int DEFAULT '0',
  `address` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `mobile` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `shipment_value` float DEFAULT '0',
  `shipment_company` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `shipment_id` int NOT NULL DEFAULT '0',
  `admin_id` int DEFAULT '0',
  `open_cart_store_id` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'هذه القيمة مرتبطة ب id الاوبن متجر بالاوبن كارت',
  `set_from` enum('affiliate','openCart','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'affiliate' COMMENT 'هل الفاتورة هذه اتية من الاوبن كارت او من طرف اخر',
  `order_id` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'هذا خاص بطلب من الاوبن كارت يتم استخدامه لتعديل حالة الطلب في الاوبن كارت',
  `is_paid` enum('paid','unPaid') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'unPaid',
  `invoice_discount` int NOT NULL DEFAULT '0',
  `invoice_discount_value` float NOT NULL DEFAULT '0',
  `shipping_type` enum('my_address','shipping_to_customer') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'my_address' COMMENT 'نوع الشحن الى عنوان خاص بى او الى العميل مباشرة',
  `total_price_collected_from_customer` float NOT NULL DEFAULT '0' COMMENT 'المبلغ المحصل من العميل شامل قيمة الشحن',
  `drop_shipping_commission` int NOT NULL DEFAULT '0' COMMENT 'عمولة الخدمة',
  `drop_shipping_commission_value` float NOT NULL DEFAULT '0',
  `profit` float NOT NULL DEFAULT '0' COMMENT 'الربح',
  `address_id` int NOT NULL DEFAULT '0',
  `use_credit` float NOT NULL DEFAULT '0' COMMENT 'رصيد مخصوم من المحفظة',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='فواتير البيع والشراء';







CREATE TABLE `invoice_items` (
  `id` int NOT NULL,
  `invoice_id` int DEFAULT '0',
  `product_id` int DEFAULT '0',
  `product_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `product_type_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'افتراضى',
  `quantity` int DEFAULT '0',
  `cost` float DEFAULT '0',
  `coupon_value` int DEFAULT '0',
  `store_id` int DEFAULT '1',
  `store_title` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `unit_title` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `price_multi` float DEFAULT '0',
  `price_difference` float DEFAULT '0',
  `price` float DEFAULT '0',
  `last_price` float NOT NULL DEFAULT '0',
  `is_gift` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `last_total_price` float DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `languages` (
  `id` int NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `code` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `lang_image` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;





INSERT INTO `languages` (`id`, `name`, `code`, `lang_image`, `admin_id`) VALUES
(2, 'العربية', 'ar', '0ec28f4816.png', 0);







CREATE TABLE `log_visits_admin` (
  `id` int NOT NULL,
  `user_id` int NOT NULL,
  `device_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `request_ip` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `browser` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `country` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `page_name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `page_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='سجل زيارات الادمن';







CREATE TABLE `notification` (
  `id` int NOT NULL,
  `receive_user_id` int DEFAULT NULL COMMENT 'notifiaction Reciver',
  `send_user_id` int DEFAULT NULL COMMENT 'notifiaction Sender',
  `page_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'to determine which page in app to login it',
  `page_status` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `url` int DEFAULT NULL COMMENT 'id of order,...,...,any other notify',
  `status` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0' COMMENT '0 if notification unread ... 1 if notification read',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `notification_to_send_cron_job` (
  `id` int NOT NULL,
  `platform_type` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `device_token_id` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `notification_id` int DEFAULT NULL,
  `notification_type` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `notifiy_message` varchar(900) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `msgcnt` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `url` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `offers` (
  `id` int NOT NULL,
  `priority` float DEFAULT '0' COMMENT 'الاولوية في اختيار العرض في حال تضارب المنتجات	',
  `offer_start_date` date DEFAULT NULL,
  `offer_end_date` date DEFAULT NULL,
  `offer_type` enum('offer_normal','x_get_y','discount_percentage','discount_constant') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'اذا اشترى العميل X يحصل على Yمبلغ ثابت من قيمة مشتريات العميلنسبة من قيمة مشتريات العميل',
  `price_type` enum('price_one','price_multi','price','price_half','price_gomla_gomla') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'نوع السعر الذي سيطبق عليه العرض  ',
  `offer_width` enum('100','50','33.33','25') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `show_on` enum('both','app','web') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `show_on_places` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `image` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `image_en` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `image_page_top` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `image_page_top_en` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `affiliator_id` int DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `package` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `mode_offer` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '1',
  `mode_banner` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `show_client` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '1',
  `show_visitor` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '1',
  `show_end_date` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='عروض المنتجات';







CREATE TABLE `offer_discount` (
  `id` int NOT NULL,
  `offer_id` int DEFAULT NULL,
  `value` float DEFAULT NULL COMMENT 'قيمة الخصم تكون نسبة او ممكن تكون قيم ثابتة وهذ يحدد جدول العروض',
  `maximum_discount_value` int DEFAULT NULL COMMENT 'اذا كانت نوع الخصم نسبة يجب تحديد حد اقصى للقيم ',
  `apply_type_conditions` enum('cart','products','services','trademarks') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'اول نوع لكل المنتجات في السلة الثاني منتجات محددة الثالث في اقسام محددة',
  `ids` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `offer_application_type` enum('amount_of_prod','purchase_amount') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'نوع تطبيق العرض هل هو عدد منتجات او قيمة شرائية',
  `minimum_value_offer_application` float DEFAULT NULL COMMENT 'الحد الأدنى لتطبيق العرض سواء سعر او عدد منتجات'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='هذا الجدول خاص بالعروض  نسبة وتخ نوع تخفيض       ';







CREATE TABLE `offer_langs` (
  `id` int NOT NULL,
  `offer_id` int DEFAULT NULL,
  `title` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `attachment_single` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `offer_normal` (
  `id` int NOT NULL,
  `offer_id` int DEFAULT NULL,
  `offer_on` enum('products','services','trademarks','img','pages_support_center_and_blog','form_shapes','new','is_back_from_new','best_seller','groups','all_trademarks','gallery') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `offer_on_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;







CREATE TABLE `offer_showing_type_options` (
  `id` int NOT NULL,
  `place_offer_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `place_offer_key` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='خيارات اماكن ظهور العروض';





INSERT INTO `offer_showing_type_options` (`id`, `place_offer_name`, `place_offer_key`, `date_added`) VALUES
(1, 'اسفل السلايدر', 'in_slider', '2021-10-04 16:49:38'),
(2, 'اسفل الاقسام', 'in_categories', '2021-10-04 16:49:38'),
(3, 'اسفل اخر المنتجات', 'in_last_products', '2021-10-04 16:49:38'),
(4, 'اسفل العلامات التجارية', 'in_trademarks', '2021-10-04 16:49:38'),
(5, 'صفحة جديد فى التابات', 'page_new_in_tabs', '2021-10-04 16:49:38');







CREATE TABLE `offer_x_y` (
  `id` int NOT NULL,
  `offer_id` int DEFAULT NULL,
  `x_types` enum('products','services','trademarks') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'products' COMMENT 'نوع المنتجات المخصصة لشرط العرض هل هي منتجات ام خدمات',
  `x_ids` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci COMMENT 'اديهات المتجات او الخدمات',
  `x_quantity` int DEFAULT NULL COMMENT 'الحد الادنى الذي سيتطبق عليه العرض',
  `y_types` enum('products','services','trademarks') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'products',
  `y_ids` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `y_quantity` int DEFAULT NULL,
  `y_discount_type` enum('free','percentage') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'free' COMMENT 'نوع الخصم المطبق على المنتجات y',
  `y_discount_percentage_value` float DEFAULT NULL COMMENT 'قيمة نسبة الخصم'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='هذا الجدول خاص بالعروض من نوع X = > Y ';








ALTER TABLE `admin_notifications`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `admin_notification_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-admin_notification-admin_notification_langs` (`admin_notification_id`);




ALTER TABLE `affiliator_famous`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `affiliator_options`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-user_id-users123` (`user_id`);




ALTER TABLE `affiliator_prices`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-user_id-users22` (`affiliator_id`),
  ADD KEY `fk-prod_id-products` (`product_id`);




ALTER TABLE `affiliator_services`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-user_id-users32` (`user_id`),
  ADD KEY `fk-SER_id-services` (`service_id`);




ALTER TABLE `affiliator_stores`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-user_id-users231` (`user_id`),
  ADD KEY `fk-store_id-stores` (`store_id`);




ALTER TABLE `affiliator_subscribes`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-user_id-users5` (`user_id`);




ALTER TABLE `api_secrit_keys`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `attachments`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `attachment_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-attachment-attachmen_langs` (`attachment_id`);




ALTER TABLE `balance`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `balance_withdrawal_requests`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-user_id-users26` (`user_id`);




ALTER TABLE `banners`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `banner_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `banner_id` (`banner_id`);




ALTER TABLE `banner_services`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `browse_product_history`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `carts`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `cart_products`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-cart_id-carts_prod` (`cart_id`);




ALTER TABLE `clients_groups`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `client_addresses`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-user_id-users` (`client_id`);




ALTER TABLE `client_shipping`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `client_id` (`client_id`),
  ADD KEY `store_img` (`store_img`),
  ADD KEY `set_from` (`set_from`),
  ADD KEY `set_from_2` (`set_from`);




ALTER TABLE `client_shipping_addresses`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `store_name` (`full_name`),
  ADD KEY `client_id` (`client_id`),
  ADD KEY `store_img` (`mobile`),
  ADD KEY `country_id` (`country_id`),
  ADD KEY `city_id` (`city_id`),
  ADD KEY `title` (`title`),
  ADD KEY `set_from` (`set_from`),
  ADD KEY `app_version` (`app_version`),
  ADD KEY `date_added` (`date_added`);




ALTER TABLE `coupons`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `coupons_used`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `coupon_discount`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-3coupon_id-coupons` (`coupon_id`);




ALTER TABLE `coupon_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-coupon_id-coupons` (`coupon_id`);




ALTER TABLE `currencies`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `customer_price_groups`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `devices`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-users-devices` (`user_id`),
  ADD KEY `device_token_id` (`device_token_id`),
  ADD KEY `notification_id` (`notification_id`);




ALTER TABLE `device_token`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `expiration_date`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `forgate_password_codes`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `form_shapes`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `form_shape_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-from_id-freom` (`form_shape_id`);




ALTER TABLE `form_shape_options`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-shape_id-options` (`form_shape_id`);




ALTER TABLE `form_shape_option_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-options-options-lags` (`form_shape_option_id`);




ALTER TABLE `form_shape_services`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-serv_id-servies` (`service_id`),
  ADD KEY `fk-form_id-forms_shape` (`form_shape_id`);




ALTER TABLE `history_edit_invoice`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `invoices`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `invoice_items`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-invoce_id-items` (`invoice_id`);




ALTER TABLE `languages`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-users-languages` (`admin_id`);




ALTER TABLE `log_visits_admin`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `notification`
  ADD PRIMARY KEY (`id`),
  ADD KEY `receive_user_id` (`receive_user_id`),
  ADD KEY `fk-notification-users2` (`send_user_id`),
  ADD KEY `page_type` (`page_type`),
  ADD KEY `page_status` (`page_status`),
  ADD KEY `url` (`url`),
  ADD KEY `status` (`status`);




ALTER TABLE `notification_to_send_cron_job`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `offers`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `offer_discount`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-3offer_id-offers` (`offer_id`);




ALTER TABLE `offer_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-offer_id-offers` (`offer_id`);




ALTER TABLE `offer_normal`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-offer_id-offers4` (`offer_id`);




ALTER TABLE `offer_showing_type_options`
  ADD PRIMARY KEY (`id`);




ALTER TABLE `offer_x_y`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-2offer_id-offers` (`offer_id`);








ALTER TABLE `admin_notifications`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `admin_notification_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `affiliator_famous`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `affiliator_options`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;




ALTER TABLE `affiliator_prices`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT;




ALTER TABLE `affiliator_services`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT;




ALTER TABLE `affiliator_stores`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;




ALTER TABLE `affiliator_subscribes`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `api_secrit_keys`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT;




ALTER TABLE `attachments`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `attachment_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `balance`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `balance_withdrawal_requests`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `banners`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `banner_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `banner_services`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT;




ALTER TABLE `browse_product_history`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `carts`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `cart_products`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `clients_groups`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `client_addresses`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `client_shipping`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `client_shipping_addresses`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `coupons`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `coupons_used`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `coupon_discount`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `coupon_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `currencies`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;




ALTER TABLE `customer_price_groups`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;




ALTER TABLE `devices`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `device_token`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `expiration_date`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `forgate_password_codes`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `form_shapes`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `form_shape_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `form_shape_options`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `form_shape_option_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `form_shape_services`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `history_edit_invoice`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `invoices`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `invoice_items`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `languages`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;




ALTER TABLE `log_visits_admin`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `notification`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `notification_to_send_cron_job`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `offers`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `offer_discount`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `offer_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `offer_normal`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;




ALTER TABLE `offer_showing_type_options`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;




ALTER TABLE `offer_x_y`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;





