
--
-- Dumping data for table `voucher_clauses`
--

INSERT INTO `voucher_clauses` (`id`, `name`, `type`, `admin_id`, `date_added`) VALUES
(1, 'مكافأة مسافر ', 'cashing-voucher', 41, '2021-06-20 15:21:02'),
(2, 'فاتورة مبيعات', 'cashing-voucher', 41, '2021-04-23 01:57:03'),
(3, 'فاتورة شراء', 'cashing-voucher', 41, '2021-04-23 01:57:15'),
(4, 'فاتورة مرتجع بيع', 'cashing-voucher', 41, '2021-04-23 01:57:27'),
(5, 'فاتورة مرتجع شراء', 'cashing-voucher', 41, '2021-04-23 01:57:39'),
(7, 'مستلزمات تغليف', 'cashing-voucher', 41, '2021-05-24 20:36:20'),
(21, 'مصاريف شحن', 'cashing-voucher', 41, '2022-02-01 21:05:17');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `accounts`
--
ALTER TABLE `accounts`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `parent` (`parent`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `name` (`name`),
  ADD KEY `code` (`code`),
  ADD KEY `type` (`type`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `admin_notifications`
--
ALTER TABLE `admin_notifications`
  ADD PRIMARY KEY (`id`),
  ADD KEY `send_to_type` (`send_to_type`),
  ADD KEY `sender_id` (`sender_id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `date_added` (`date_added`),
  ADD KEY `id` (`id`);

--
-- Indexes for table `admin_notification_langs`
--
ALTER TABLE `admin_notification_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-admin_notification-admin_notification_langs` (`admin_notification_id`),
  ADD KEY `id` (`id`),
  ADD KEY `admin_notification_id` (`admin_notification_id`),
  ADD KEY `notification` (`notification`(500)),
  ADD KEY `title` (`title`(250)),
  ADD KEY `lang_code` (`lang_code`);

--
-- Indexes for table `affiliator_famous`
--
ALTER TABLE `affiliator_famous`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `common_search_words` (`common_search_words`(500)),
  ADD KEY `common_trademarks` (`common_trademarks`(500));

--
-- Indexes for table `affiliator_options`
--
ALTER TABLE `affiliator_options`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-user_id-users123` (`user_id`),
  ADD KEY `id` (`id`),
  ADD KEY `send_notifications` (`send_notifications`),
  ADD KEY `show_reports` (`show_reports`),
  ADD KEY `use_commission_on_order` (`use_commission_on_order`),
  ADD KEY `commission_value_pers` (`commission_value_pers`),
  ADD KEY `commission_value` (`commission_value`),
  ADD KEY `add_products` (`add_products`),
  ADD KEY `front_color` (`front_color`),
  ADD KEY `front_logo` (`front_logo`),
  ADD KEY `front_fav_icon` (`front_fav_icon`),
  ADD KEY `front_name` (`front_name`),
  ADD KEY `front_web_url` (`front_web_url`(300)),
  ADD KEY `front_platfrom` (`front_platfrom`),
  ADD KEY `front_currency` (`front_currency`),
  ADD KEY `subscribe_from` (`subscribe_from`),
  ADD KEY `subscribe_to` (`subscribe_to`),
  ADD KEY `subscribe_price` (`subscribe_price`),
  ADD KEY `instagram` (`instagram`(250)),
  ADD KEY `facebook` (`facebook`(250)),
  ADD KEY `twitter` (`twitter`(250)),
  ADD KEY `tiktok` (`tiktok`(250)),
  ADD KEY `snapchat` (`snapchat`(250)),
  ADD KEY `youtube` (`youtube`(250)),
  ADD KEY `treasure_id` (`treasure_id`),
  ADD KEY `show_price` (`show_price`),
  ADD KEY `notification_server_key` (`notification_server_key`(500)),
  ADD KEY `maintenance_mode` (`maintenance_mode`),
  ADD KEY `maintenance_mode_message` (`maintenance_mode_message`(250)),
  ADD KEY `share_description` (`share_description`),
  ADD KEY `promotional_description_share` (`promotional_description_share`),
  ADD KEY `promotional_description_web` (`promotional_description_web`),
  ADD KEY `promotional_description_app` (`promotional_description_app`),
  ADD KEY `full_description_share` (`full_description_share`),
  ADD KEY `full_description_web` (`full_description_web`),
  ADD KEY `full_description_app` (`full_description_app`),
  ADD KEY `tab_new_name_ar` (`tab_new_name_ar`),
  ADD KEY `tab_new_name_en` (`tab_new_name_en`),
  ADD KEY `tab_new_img` (`tab_new_img`),
  ADD KEY `watermark_active` (`watermark_active`),
  ADD KEY `watermark_img` (`watermark_img`),
  ADD KEY `reservation_of_products_in_app` (`reservation_of_products_in_app`);

--
-- Indexes for table `affiliator_prices`
--
ALTER TABLE `affiliator_prices`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-user_id-users22` (`affiliator_id`),
  ADD KEY `fk-prod_id-products` (`product_id`),
  ADD KEY `id` (`id`),
  ADD KEY `price` (`price`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `affiliator_services`
--
ALTER TABLE `affiliator_services`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-user_id-users32` (`user_id`),
  ADD KEY `fk-SER_id-services` (`service_id`);

--
-- Indexes for table `affiliator_stores`
--
ALTER TABLE `affiliator_stores`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-user_id-users231` (`user_id`),
  ADD KEY `fk-store_id-stores` (`store_id`);

--
-- Indexes for table `affiliator_subscribes`
--
ALTER TABLE `affiliator_subscribes`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-user_id-users5` (`user_id`),
  ADD KEY `id` (`id`),
  ADD KEY `price` (`price`),
  ADD KEY `s_from` (`s_from`),
  ADD KEY `s_to` (`s_to`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `api_secrit_keys`
--
ALTER TABLE `api_secrit_keys`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `secrit_key` (`secrit_key`(300)),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `attachments`
--
ALTER TABLE `attachments`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `sort` (`sort`),
  ADD KEY `active` (`active`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `color` (`color`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `attachment_langs`
--
ALTER TABLE `attachment_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-attachment-attachmen_langs` (`attachment_id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `name` (`name`),
  ADD KEY `description` (`description`(500));

--
-- Indexes for table `balance`
--
ALTER TABLE `balance`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `client_id` (`client_id`),
  ADD KEY `invoice_id` (`invoice_id`),
  ADD KEY `coupon_id` (`coupon_id`),
  ADD KEY `code` (`code`),
  ADD KEY `value` (`value`),
  ADD KEY `type` (`type`),
  ADD KEY `mode` (`mode`),
  ADD KEY `date_added` (`date_added`),
  ADD KEY `notes` (`notes`);

--
-- Indexes for table `balance_withdrawal_requests`
--
ALTER TABLE `balance_withdrawal_requests`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-user_id-users26` (`user_id`),
  ADD KEY `id` (`id`),
  ADD KEY `payment_method_id` (`payment_method_id`),
  ADD KEY `payment_method_name` (`payment_method_name`),
  ADD KEY `amount` (`amount`),
  ADD KEY `code` (`code`),
  ADD KEY `status` (`status`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `banners`
--
ALTER TABLE `banners`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `banner_langs`
--
ALTER TABLE `banner_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `banner_id` (`banner_id`),
  ADD KEY `id` (`id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `title` (`title`);

--
-- Indexes for table `banner_services`
--
ALTER TABLE `banner_services`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `service_id` (`service_id`),
  ADD KEY `banner_id` (`banner_id`);

--
-- Indexes for table `browse_product_history`
--
ALTER TABLE `browse_product_history`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `client_id` (`client_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `set_from` (`set_from`),
  ADD KEY `app_version` (`app_version`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `carts`
--
ALTER TABLE `carts`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `client_id` (`client_id`),
  ADD KEY `invoice_edit_id` (`invoice_edit_id`),
  ADD KEY `set_from` (`set_from`),
  ADD KEY `type` (`type`),
  ADD KEY `invoice_id` (`invoice_id`),
  ADD KEY `show_total_price` (`show_total_price`),
  ADD KEY `show_discount` (`show_discount`),
  ADD KEY `show_coupon_discount` (`show_coupon_discount`),
  ADD KEY `show_coupon_code` (`show_coupon_code`),
  ADD KEY `show_total_quantity` (`show_total_quantity`),
  ADD KEY `app_version` (`app_version`),
  ADD KEY `date_added` (`date_added`),
  ADD KEY `last_update` (`last_update`),
  ADD KEY `device_id` (`device_id`);

--
-- Indexes for table `cart_products`
--
ALTER TABLE `cart_products`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-cart_id-carts_prod` (`cart_id`),
  ADD KEY `id` (`id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `product_type_name` (`product_type_name`),
  ADD KEY `quantity` (`quantity`),
  ADD KEY `offer_id` (`offer_id`),
  ADD KEY `quantity_offer` (`quantity_offer`),
  ADD KEY `type` (`type`),
  ADD KEY `value` (`value`),
  ADD KEY `maximum_discount_value` (`maximum_discount_value`),
  ADD KEY `coupon_id` (`coupon_id`),
  ADD KEY `quantity_coupon` (`quantity_coupon`),
  ADD KEY `coupon_type` (`coupon_type`),
  ADD KEY `coupon_value` (`coupon_value`),
  ADD KEY `coupon_maximum_discount_value` (`coupon_maximum_discount_value`),
  ADD KEY `is_deleted` (`is_deleted`),
  ADD KEY `is_gift` (`is_gift`),
  ADD KEY `app_version` (`app_version`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `clients_groups`
--
ALTER TABLE `clients_groups`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `name` (`name`),
  ADD KEY `description` (`description`(500)),
  ADD KEY `active` (`active`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `client_addresses`
--
ALTER TABLE `client_addresses`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-user_id-users` (`client_id`),
  ADD KEY `id` (`id`),
  ADD KEY `city_id` (`city_id`),
  ADD KEY `country_id` (`country_id`),
  ADD KEY `title` (`title`(250)),
  ADD KEY `is_default` (`is_default`),
  ADD KEY `set_from` (`set_from`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `client_shipping`
--
ALTER TABLE `client_shipping`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `client_id` (`client_id`),
  ADD KEY `store_img` (`store_img`),
  ADD KEY `set_from` (`set_from`),
  ADD KEY `set_from_2` (`set_from`),
  ADD KEY `store_name` (`store_name`),
  ADD KEY `app_version` (`app_version`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `client_shipping_addresses`
--
ALTER TABLE `client_shipping_addresses`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `store_name` (`full_name`),
  ADD KEY `client_id` (`client_id`),
  ADD KEY `store_img` (`mobile`),
  ADD KEY `country_id` (`country_id`),
  ADD KEY `city_id` (`city_id`),
  ADD KEY `title` (`title`),
  ADD KEY `set_from` (`set_from`),
  ADD KEY `app_version` (`app_version`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `coupons`
--
ALTER TABLE `coupons`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `priority` (`priority`),
  ADD KEY `code` (`code`),
  ADD KEY `coupon_usage_number_all` (`coupon_usage_number_all`),
  ADD KEY `coupon_usage_number_customer` (`coupon_usage_number_customer`),
  ADD KEY `client_type` (`client_type`),
  ADD KEY `client_type_id` (`client_type_id`(250)),
  ADD KEY `coupon_start_date` (`coupon_start_date`),
  ADD KEY `coupon_end_date` (`coupon_end_date`),
  ADD KEY `coupon_type` (`coupon_type`),
  ADD KEY `price_type` (`price_type`),
  ADD KEY `coupon_width` (`coupon_width`),
  ADD KEY `show_on` (`show_on`),
  ADD KEY `show_on_places` (`show_on_places`),
  ADD KEY `active` (`active`),
  ADD KEY `except_discounted_products` (`except_discounted_products`),
  ADD KEY `show_coupon_banner` (`show_coupon_banner`),
  ADD KEY `marketing_coupon` (`marketing_coupon`),
  ADD KEY `marketer_client_id` (`marketer_client_id`),
  ADD KEY `marketer_commission_type` (`marketer_commission_type`),
  ADD KEY `marketer_commission` (`marketer_commission`),
  ADD KEY `marketer_note` (`marketer_note`(500)),
  ADD KEY `image` (`image`),
  ADD KEY `image_en` (`image_en`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `sort` (`sort`),
  ADD KEY `coupon_status` (`coupon_status`),
  ADD KEY `show_end_date` (`show_end_date`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `coupons_used`
--
ALTER TABLE `coupons_used`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `client_id` (`client_id`),
  ADD KEY `coupon_id` (`coupon_id`),
  ADD KEY `code` (`code`),
  ADD KEY `mode` (`mode`),
  ADD KEY `mode_id` (`mode_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `coupon_discount`
--
ALTER TABLE `coupon_discount`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-3coupon_id-coupons` (`coupon_id`),
  ADD KEY `id` (`id`),
  ADD KEY `coupon_value` (`coupon_value`),
  ADD KEY `coupon_maximum_discount_value` (`coupon_maximum_discount_value`),
  ADD KEY `apply_type_conditions` (`apply_type_conditions`),
  ADD KEY `ids` (`ids`(500)),
  ADD KEY `coupon_application_type` (`coupon_application_type`),
  ADD KEY `minimum_value_coupon_application` (`minimum_value_coupon_application`);

--
-- Indexes for table `coupon_langs`
--
ALTER TABLE `coupon_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-coupon_id-coupons` (`coupon_id`),
  ADD KEY `id` (`id`),
  ADD KEY `title` (`title`(250)),
  ADD KEY `description` (`description`(500)),
  ADD KEY `attachment_single` (`attachment_single`),
  ADD KEY `lang_code` (`lang_code`);

--
-- Indexes for table `currencies`
--
ALTER TABLE `currencies`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `name_ar` (`name_ar`),
  ADD KEY `name_en` (`name_en`),
  ADD KEY `price` (`price`),
  ADD KEY `default` (`default`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `customer_price_groups`
--
ALTER TABLE `customer_price_groups`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `name` (`name`),
  ADD KEY `key` (`key`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `devices`
--
ALTER TABLE `devices`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-users-devices` (`user_id`),
  ADD KEY `device_token_id` (`device_token_id`),
  ADD KEY `notification_id` (`notification_id`),
  ADD KEY `id` (`id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `login` (`login`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `device_token`
--
ALTER TABLE `device_token`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `device_token_id` (`device_token_id`),
  ADD KEY `type` (`type`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `expiration_date`
--
ALTER TABLE `expiration_date`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `label` (`label`),
  ADD KEY `sort` (`sort`),
  ADD KEY `checked` (`checked`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `favorites`
--
ALTER TABLE `favorites`
  ADD PRIMARY KEY (`id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `client_id` (`client_id`),
  ADD KEY `set_from` (`set_from`),
  ADD KEY `app_version` (`app_version`),
  ADD KEY `date_added` (`date_added`),
  ADD KEY `id` (`id`);

--
-- Indexes for table `forgate_password_codes`
--
ALTER TABLE `forgate_password_codes`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `mobile` (`mobile`),
  ADD KEY `code` (`code`),
  ADD KEY `count` (`count`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `form_shapes`
--
ALTER TABLE `form_shapes`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `type` (`type`),
  ADD KEY `active` (`active`),
  ADD KEY `sort` (`sort`),
  ADD KEY `is_deleted` (`is_deleted`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `form_shape_langs`
--
ALTER TABLE `form_shape_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-from_id-freom` (`form_shape_id`),
  ADD KEY `id` (`id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `label` (`label`);

--
-- Indexes for table `form_shape_options`
--
ALTER TABLE `form_shape_options`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-shape_id-options` (`form_shape_id`),
  ADD KEY `id` (`id`),
  ADD KEY `is_deleted` (`is_deleted`),
  ADD KEY `sort` (`sort`);

--
-- Indexes for table `form_shape_option_langs`
--
ALTER TABLE `form_shape_option_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-options-options-lags` (`form_shape_option_id`),
  ADD KEY `id` (`id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `label` (`label`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `form_shape_services`
--
ALTER TABLE `form_shape_services`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-serv_id-servies` (`service_id`),
  ADD KEY `fk-form_id-forms_shape` (`form_shape_id`);

--
-- Indexes for table `history_edit_invoice`
--
ALTER TABLE `history_edit_invoice`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `invoice_id` (`invoice_id`),
  ADD KEY `mode` (`mode`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `quantity_last` (`quantity_last`),
  ADD KEY `quantity` (`quantity`),
  ADD KEY `price_last` (`price_last`),
  ADD KEY `price` (`price`),
  ADD KEY `notes_last` (`notes_last`(250)),
  ADD KEY `notes` (`notes`(250)),
  ADD KEY `status_last` (`status_last`),
  ADD KEY `status` (`status`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `invoices`
--
ALTER TABLE `invoices`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `client_id` (`client_id`),
  ADD KEY `status` (`status`),
  ADD KEY `invoice_type` (`invoice_type`),
  ADD KEY `count_invoice_type` (`count_invoice_type`),
  ADD KEY `bar_code` (`bar_code`(250)),
  ADD KEY `bar_code_image` (`bar_code_image`),
  ADD KEY `price_type` (`price_type`),
  ADD KEY `pay_type` (`pay_type`),
  ADD KEY `note` (`note`(250)),
  ADD KEY `tax_pres` (`tax_pres`),
  ADD KEY `discount` (`discount`),
  ADD KEY `coupon_discount` (`coupon_discount`),
  ADD KEY `additional_value` (`additional_value`),
  ADD KEY `additional_value_pers` (`additional_value_pers`),
  ADD KEY `discount_pers` (`discount_pers`),
  ADD KEY `sup_total_price` (`sup_total_price`),
  ADD KEY `total_price` (`total_price`),
  ADD KEY `total_quantity` (`total_quantity`),
  ADD KEY `total_affiliator_profit` (`total_affiliator_profit`),
  ADD KEY `malian_commission` (`malian_commission`),
  ADD KEY `net_total_affiliator_profit` (`net_total_affiliator_profit`),
  ADD KEY `treasure_id` (`treasure_id`),
  ADD KEY `city_name` (`city_name`),
  ADD KEY `city_id` (`city_id`),
  ADD KEY `address` (`address`(250)),
  ADD KEY `mobile` (`mobile`),
  ADD KEY `shipment_value` (`shipment_value`),
  ADD KEY `shipment_company` (`shipment_company`),
  ADD KEY `shipment_id` (`shipment_id`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `open_cart_store_id` (`open_cart_store_id`),
  ADD KEY `set_from` (`set_from`),
  ADD KEY `order_id` (`order_id`),
  ADD KEY `is_paid` (`is_paid`),
  ADD KEY `invoice_discount` (`invoice_discount`),
  ADD KEY `invoice_discount_value` (`invoice_discount_value`),
  ADD KEY `shipping_type` (`shipping_type`),
  ADD KEY `total_price_collected_from_customer` (`total_price_collected_from_customer`),
  ADD KEY `drop_shipping_commission` (`drop_shipping_commission`),
  ADD KEY `drop_shipping_commission_value` (`drop_shipping_commission_value`),
  ADD KEY `profit` (`profit`),
  ADD KEY `address_id` (`address_id`),
  ADD KEY `use_credit` (`use_credit`),
  ADD KEY `date_added` (`date_added`),
  ADD KEY `archive` (`archive`);

--
-- Indexes for table `invoice_items`
--
ALTER TABLE `invoice_items`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-invoce_id-items` (`invoice_id`),
  ADD KEY `id` (`id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `product_name` (`product_name`),
  ADD KEY `product_type_name` (`product_type_name`),
  ADD KEY `quantity` (`quantity`),
  ADD KEY `cost` (`cost`),
  ADD KEY `coupon_value` (`coupon_value`),
  ADD KEY `store_id` (`store_id`),
  ADD KEY `store_title` (`store_title`),
  ADD KEY `unit_title` (`unit_title`),
  ADD KEY `price_multi` (`price_multi`),
  ADD KEY `price_difference` (`price_difference`),
  ADD KEY `price` (`price`),
  ADD KEY `last_price` (`last_price`),
  ADD KEY `is_gift` (`is_gift`),
  ADD KEY `last_total_price` (`last_total_price`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `languages`
--
ALTER TABLE `languages`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-users-languages` (`admin_id`),
  ADD KEY `id` (`id`),
  ADD KEY `name` (`name`),
  ADD KEY `code` (`code`),
  ADD KEY `lang_image` (`lang_image`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `log_visits_admin`
--
ALTER TABLE `log_visits_admin`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `device_type` (`device_type`),
  ADD KEY `request_ip` (`request_ip`),
  ADD KEY `browser` (`browser`),
  ADD KEY `country` (`country`),
  ADD KEY `country_2` (`country`),
  ADD KEY `page_name` (`page_name`),
  ADD KEY `page_id` (`page_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `notification`
--
ALTER TABLE `notification`
  ADD PRIMARY KEY (`id`),
  ADD KEY `receive_user_id` (`receive_user_id`),
  ADD KEY `fk-notification-users2` (`send_user_id`),
  ADD KEY `page_type` (`page_type`),
  ADD KEY `page_status` (`page_status`),
  ADD KEY `url` (`url`),
  ADD KEY `status` (`status`),
  ADD KEY `id` (`id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `notification_to_send_cron_job`
--
ALTER TABLE `notification_to_send_cron_job`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `platform_type` (`platform_type`),
  ADD KEY `device_token_id` (`device_token_id`),
  ADD KEY `notification_id` (`notification_id`),
  ADD KEY `notification_type` (`notification_type`),
  ADD KEY `notifiy_message` (`notifiy_message`(250)),
  ADD KEY `msgcnt` (`msgcnt`),
  ADD KEY `url` (`url`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `offers`
--
ALTER TABLE `offers`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `priority` (`priority`),
  ADD KEY `offer_start_date` (`offer_start_date`),
  ADD KEY `offer_end_date` (`offer_end_date`),
  ADD KEY `offer_type` (`offer_type`),
  ADD KEY `price_type` (`price_type`),
  ADD KEY `offer_width` (`offer_width`),
  ADD KEY `show_on` (`show_on`),
  ADD KEY `show_on_places` (`show_on_places`),
  ADD KEY `active` (`active`),
  ADD KEY `image` (`image`),
  ADD KEY `image_en` (`image_en`),
  ADD KEY `image_page_top` (`image_page_top`),
  ADD KEY `image_page_top_en` (`image_page_top_en`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `sort` (`sort`),
  ADD KEY `package` (`package`),
  ADD KEY `mode_offer` (`mode_offer`),
  ADD KEY `mode_banner` (`mode_banner`),
  ADD KEY `show_client` (`show_client`),
  ADD KEY `show_visitor` (`show_visitor`),
  ADD KEY `show_end_date` (`show_end_date`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `offer_discount`
--
ALTER TABLE `offer_discount`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-3offer_id-offers` (`offer_id`),
  ADD KEY `id` (`id`),
  ADD KEY `value` (`value`),
  ADD KEY `maximum_discount_value` (`maximum_discount_value`),
  ADD KEY `apply_type_conditions` (`apply_type_conditions`),
  ADD KEY `ids` (`ids`(500)),
  ADD KEY `offer_application_type` (`offer_application_type`),
  ADD KEY `minimum_value_offer_application` (`minimum_value_offer_application`);

--
-- Indexes for table `offer_langs`
--
ALTER TABLE `offer_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-offer_id-offers` (`offer_id`),
  ADD KEY `id` (`id`),
  ADD KEY `title` (`title`),
  ADD KEY `description` (`description`(300)),
  ADD KEY `attachment_single` (`attachment_single`),
  ADD KEY `lang_code` (`lang_code`);

--
-- Indexes for table `offer_normal`
--
ALTER TABLE `offer_normal`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-offer_id-offers4` (`offer_id`),
  ADD KEY `id` (`id`),
  ADD KEY `offer_on` (`offer_on`),
  ADD KEY `offer_on_id` (`offer_on_id`(300));

--
-- Indexes for table `offer_showing_type_options`
--
ALTER TABLE `offer_showing_type_options`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `place_offer_name` (`place_offer_name`),
  ADD KEY `place_offer_key` (`place_offer_key`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `offer_x_y`
--
ALTER TABLE `offer_x_y`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-2offer_id-offers` (`offer_id`),
  ADD KEY `id` (`id`),
  ADD KEY `x_types` (`x_types`),
  ADD KEY `x_ids` (`x_ids`(300)),
  ADD KEY `x_quantity` (`x_quantity`),
  ADD KEY `y_types` (`y_types`),
  ADD KEY `y_ids` (`y_ids`(300)),
  ADD KEY `y_quantity` (`y_quantity`),
  ADD KEY `y_discount_type` (`y_discount_type`),
  ADD KEY `y_discount_percentage_value` (`y_discount_percentage_value`);

--
-- Indexes for table `orders`
--
ALTER TABLE `orders`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `client_id` (`client_id`),
  ADD KEY `order_code` (`order_code`),
  ADD KEY `order_address` (`order_address`(300)),
  ADD KEY `order_shipping_note` (`order_shipping_note`(300)),
  ADD KEY `user_store_id` (`user_store_id`),
  ADD KEY `user_store_name` (`user_store_name`),
  ADD KEY `user_store_url` (`user_store_url`(300)),
  ADD KEY `user_store_image` (`user_store_image`),
  ADD KEY `country_id` (`country_id`),
  ADD KEY `city_id` (`city_id`),
  ADD KEY `sup_total_price` (`sup_total_price`),
  ADD KEY `delivery_price` (`delivery_price`),
  ADD KEY `system_order_commission` (`system_order_commission`),
  ADD KEY `total_price` (`total_price`),
  ADD KEY `total_quantity` (`total_quantity`),
  ADD KEY `total_commision` (`total_commision`),
  ADD KEY `total_system_product_commissions` (`total_system_product_commissions`),
  ADD KEY `status` (`status`),
  ADD KEY `is_paid` (`is_paid`),
  ADD KEY `set_from` (`set_from`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `order_products`
--
ALTER TABLE `order_products`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-order_id-orders_prod` (`order_id`),
  ADD KEY `id` (`id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `product_store_id` (`product_store_id`),
  ADD KEY `quantity` (`quantity`),
  ADD KEY `product_price` (`product_price`),
  ADD KEY `product_price_multi` (`product_price_multi`),
  ADD KEY `merchant_supply` (`merchant_supply`),
  ADD KEY `merchant_id` (`merchant_id`),
  ADD KEY `system_commission` (`system_commission`),
  ADD KEY `system_product_commission` (`system_product_commission`),
  ADD KEY `commission_price` (`commission_price`),
  ADD KEY `last_item_price` (`last_item_price`),
  ADD KEY `last_total_price` (`last_total_price`);

--
-- Indexes for table `order_tickets`
--
ALTER TABLE `order_tickets`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-order_id-orders2` (`order_id`),
  ADD KEY `id` (`id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `title` (`title`),
  ADD KEY `message` (`message`(300)),
  ADD KEY `ticket_code` (`ticket_code`),
  ADD KEY `related_to` (`related_to`),
  ADD KEY `ticket_type` (`ticket_type`),
  ADD KEY `status` (`status`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `order_ticket_comments`
--
ALTER TABLE `order_ticket_comments`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-order-tecket_id-teckets` (`order_ticket_id`),
  ADD KEY `id` (`id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `message` (`message`(300)),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `other_invoices`
--
ALTER TABLE `other_invoices`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `merchant_id` (`merchant_id`),
  ADD KEY `note` (`note`(300)),
  ADD KEY `invoice_type` (`invoice_type`),
  ADD KEY `count_invoice_type` (`count_invoice_type`),
  ADD KEY `total_quantity` (`total_quantity`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `other_invoice_items`
--
ALTER TABLE `other_invoice_items`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-invoce_id-items1` (`invoice_id`),
  ADD KEY `id` (`id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `product_name` (`product_name`),
  ADD KEY `product_type_name` (`product_type_name`),
  ADD KEY `quantity` (`quantity`),
  ADD KEY `store_id` (`store_id`),
  ADD KEY `store_title` (`store_title`),
  ADD KEY `unit_title` (`unit_title`);

--
-- Indexes for table `pages`
--
ALTER TABLE `pages`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-users-pages` (`admin_id`),
  ADD KEY `id` (`id`),
  ADD KEY `image` (`image`),
  ADD KEY `active` (`active`),
  ADD KEY `sort` (`sort`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `page_langs`
--
ALTER TABLE `page_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `page_id` (`page_id`),
  ADD KEY `id` (`id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `title` (`title`),
  ADD KEY `description` (`description`(500));

--
-- Indexes for table `pay_methods`
--
ALTER TABLE `pay_methods`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `type` (`type`),
  ADD KEY `name` (`name`),
  ADD KEY `account_number` (`account_number`),
  ADD KEY `bank_name` (`bank_name`),
  ADD KEY `branch_name` (`branch_name`),
  ADD KEY `mobile_number` (`mobile_number`),
  ADD KEY `provider_type` (`provider_type`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `places`
--
ALTER TABLE `places`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `country_id` (`country_id`),
  ADD KEY `country_code` (`country_code`),
  ADD KEY `place_type` (`place_type`),
  ADD KEY `image` (`image`),
  ADD KEY `delivery_price` (`delivery_price`),
  ADD KEY `active` (`active`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `place_langs`
--
ALTER TABLE `place_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-places-place_langs` (`place_id`),
  ADD KEY `id` (`id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `pla_name` (`pla_name`);

--
-- Indexes for table `products`
--
ALTER TABLE `products`
  ADD PRIMARY KEY (`id`),
  ADD KEY `trademark_id` (`trademark_id`),
  ADD KEY `attachment_id` (`attachment_id`),
  ADD KEY `count_trademark_product` (`count_trademark_product`),
  ADD KEY `product_code` (`product_code`),
  ADD KEY `product_barcode` (`product_barcode`),
  ADD KEY `product_weight` (`product_weight`),
  ADD KEY `merchant_id` (`merchant_id`),
  ADD KEY `unit_id` (`unit_id`),
  ADD KEY `price` (`price`),
  ADD KEY `commission` (`commission`),
  ADD KEY `system_commission` (`system_commission`),
  ADD KEY `cost` (`cost`),
  ADD KEY `price_one` (`price_one`),
  ADD KEY `last_price_one` (`last_price_one`),
  ADD KEY `price_half` (`price_half`),
  ADD KEY `price_multi` (`price_multi`),
  ADD KEY `last_price_multi` (`last_price_multi`),
  ADD KEY `price_gomla_gomla` (`price_gomla_gomla`),
  ADD KEY `merchant_supply` (`merchant_supply`),
  ADD KEY `renewable` (`renewable`),
  ADD KEY `product_url` (`product_url`(250)),
  ADD KEY `product_note` (`product_note`(250)),
  ADD KEY `active` (`active`),
  ADD KEY `key_words` (`key_words`(250)),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `date_added` (`date_added`),
  ADD KEY `price_cost_virtual_currency` (`price_cost_virtual_currency`),
  ADD KEY `currency_id` (`currency_id`),
  ADD KEY `price_in_currency` (`price_in_currency`),
  ADD KEY `add_shipping_cost` (`add_shipping_cost`),
  ADD KEY `show_cost_in_currency` (`show_cost_in_currency`),
  ADD KEY `show_cost` (`show_cost`),
  ADD KEY `fixed_column` (`fixed_column`),
  ADD KEY `price_one_profit` (`price_one_profit`),
  ADD KEY `price_one_profit_rate` (`price_one_profit_rate`),
  ADD KEY `price_half_profit` (`price_half_profit`),
  ADD KEY `price_half_profit_rate` (`price_half_profit_rate`),
  ADD KEY `price_multi_profit` (`price_multi_profit`),
  ADD KEY `price_multi_profit_rate` (`price_multi_profit_rate`),
  ADD KEY `price_gomla_gomla_profit` (`price_gomla_gomla_profit`),
  ADD KEY `price_gomla_gomla_profit_rate` (`price_gomla_gomla_profit_rate`),
  ADD KEY `edit_price_exchange` (`edit_price_exchange`),
  ADD KEY `discount_in_currency` (`discount_in_currency`),
  ADD KEY `discount_rate_in_currency` (`discount_rate_in_currency`),
  ADD KEY `last_price_half` (`last_price_half`),
  ADD KEY `last_price_gomla_gomla` (`last_price_gomla_gomla`),
  ADD KEY `last_price_one_rate` (`last_price_one_rate`),
  ADD KEY `last_price_half_rate` (`last_price_half_rate`),
  ADD KEY `last_price_multi_rate` (`last_price_multi_rate`),
  ADD KEY `new_store_amounts_date_added` (`new_store_amounts_date_added`),
  ADD KEY `last_price_gomla_gomla_rate` (`last_price_gomla_gomla_rate`);

--
-- Indexes for table `product_availability_notices`
--
ALTER TABLE `product_availability_notices`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk4-product_id-products` (`product_id`),
  ADD KEY `fk-client_id-users` (`client_id`),
  ADD KEY `fk-affililator_id-users` (`affiliator_id`),
  ADD KEY `id` (`id`),
  ADD KEY `email` (`email`),
  ADD KEY `notify_status` (`notify_status`),
  ADD KEY `note` (`note`(300)),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `set_from` (`set_from`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `product_discounts`
--
ALTER TABLE `product_discounts`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-product_id-products3` (`product_id`),
  ADD KEY `fk-storecart_id-store-carts` (`store_open_cart_id`),
  ADD KEY `id` (`id`);

--
-- Indexes for table `product_form_shapes`
--
ALTER TABLE `product_form_shapes`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `ucCodes` (`product_id`,`form_shape_id`,`value`),
  ADD KEY `fk-poss_id-products` (`product_id`),
  ADD KEY `id` (`id`);

--
-- Indexes for table `product_langs`
--
ALTER TABLE `product_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-products_langs-product` (`product_id`),
  ADD KEY `id` (`id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `name` (`name`),
  ADD KEY `description` (`description`(300)),
  ADD KEY `promotional_description` (`promotional_description`(300)),
  ADD KEY `brief_description` (`brief_description`(300));

--
-- Indexes for table `product_medias`
--
ALTER TABLE `product_medias`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-products_medias-product` (`product_id`),
  ADD KEY `id` (`id`),
  ADD KEY `name` (`name`),
  ADD KEY `type` (`type`),
  ADD KEY `size` (`size`);

--
-- Indexes for table `product_services`
--
ALTER TABLE `product_services`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk2-product_id-products` (`product_id`),
  ADD KEY `id` (`id`),
  ADD KEY `service_id` (`service_id`);

--
-- Indexes for table `product_stores`
--
ALTER TABLE `product_stores`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-product_id-products` (`product_id`),
  ADD KEY `id` (`id`),
  ADD KEY `store_id` (`store_id`),
  ADD KEY `name` (`name`),
  ADD KEY `value` (`value`),
  ADD KEY `for_type` (`for_type`),
  ADD KEY `for_id` (`for_id`),
  ADD KEY `type` (`type`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `is_deleted` (`is_deleted`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `product_suggesstion_search_keys`
--
ALTER TABLE `product_suggesstion_search_keys`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk2-product_id2-products` (`product_id`),
  ADD KEY `id` (`id`),
  ADD KEY `suggesstion` (`suggesstion`);

--
-- Indexes for table `search_product_reports`
--
ALTER TABLE `search_product_reports`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `client_id` (`client_id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `searchKey` (`searchKey`),
  ADD KEY `searchCategoryId` (`searchCategoryId`),
  ADD KEY `count_results` (`count_results`),
  ADD KEY `set_from` (`set_from`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `services`
--
ALTER TABLE `services`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-service-users` (`admin_id`),
  ADD KEY `id` (`id`),
  ADD KEY `parent` (`parent`),
  ADD KEY `key_word` (`key_word`(300)),
  ADD KEY `sort` (`sort`),
  ADD KEY `ser_image` (`ser_image`),
  ADD KEY `active` (`active`),
  ADD KEY `expiration_date` (`expiration_date`),
  ADD KEY `service_system_commission` (`service_system_commission`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `service_langs`
--
ALTER TABLE `service_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `service_id` (`service_id`),
  ADD KEY `id` (`id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `ser_name` (`ser_name`),
  ADD KEY `ser_description` (`ser_description`(300));

--
-- Indexes for table `service_sliders`
--
ALTER TABLE `service_sliders`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-serv_id-servicesw` (`service_id`),
  ADD KEY `id` (`id`),
  ADD KEY `name` (`name`),
  ADD KEY `lang_code` (`lang_code`);

--
-- Indexes for table `service_specifications`
--
ALTER TABLE `service_specifications`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-service_id-sers` (`service_id`),
  ADD KEY `id` (`id`),
  ADD KEY `name` (`name`),
  ADD KEY `value` (`value`(300));

--
-- Indexes for table `settings`
--
ALTER TABLE `settings`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `name` (`name`),
  ADD KEY `value` (`value`(300)),
  ADD KEY `autoload` (`autoload`);

--
-- Indexes for table `share_product_reports`
--
ALTER TABLE `share_product_reports`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `client_id` (`client_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `set_from` (`set_from`),
  ADD KEY `app_version` (`app_version`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `shipments`
--
ALTER TABLE `shipments`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `id` (`id`),
  ADD KEY `traveler_name` (`traveler_name`),
  ADD KEY `shipment_status` (`shipment_status`),
  ADD KEY `traveler_avatar` (`traveler_avatar`),
  ADD KEY `all_weight` (`all_weight`),
  ADD KEY `commission` (`commission`),
  ADD KEY `travel_to` (`travel_to`),
  ADD KEY `travel_date` (`travel_date`),
  ADD KEY `mobile` (`mobile`),
  ADD KEY `whats_up` (`whats_up`),
  ADD KEY `ticket_image` (`ticket_image`),
  ADD KEY `receipt_notes` (`receipt_notes`(300)),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `shipments_edit_logs`
--
ALTER TABLE `shipments_edit_logs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `shipment_id` (`shipment_id`),
  ADD KEY `receipt_notes` (`receipt_notes`(300)),
  ADD KEY `commission` (`commission`),
  ADD KEY `date_added` (`date_added`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `shipment_status` (`shipment_status`);

--
-- Indexes for table `shipment_products`
--
ALTER TABLE `shipment_products`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-ship_id-ships` (`shipment_id`),
  ADD KEY `id` (`id`),
  ADD KEY `shipment_id` (`shipment_id`),
  ADD KEY `quantity` (`quantity`),
  ADD KEY `image` (`image`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `product_barcode` (`product_barcode`),
  ADD KEY `name` (`name`(300)),
  ADD KEY `sku` (`sku`),
  ADD KEY `manf_name` (`manf_name`),
  ADD KEY `type` (`type`),
  ADD KEY `price` (`price`),
  ADD KEY `weight` (`weight`),
  ADD KEY `price_without_tax` (`price_without_tax`),
  ADD KEY `price_with_tax` (`price_with_tax`),
  ADD KEY `saudi_price` (`saudi_price`),
  ADD KEY `sort` (`sort`),
  ADD KEY `active` (`active`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `shipment_products_edit_logs`
--
ALTER TABLE `shipment_products_edit_logs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-shiment_logs-shi_pro_logs` (`shipments_edit_logs_id`),
  ADD KEY `id` (`id`),
  ADD KEY `quantity` (`quantity`),
  ADD KEY `image` (`image`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `product_barcode` (`product_barcode`),
  ADD KEY `name` (`name`(300)),
  ADD KEY `sku` (`sku`),
  ADD KEY `manf_name` (`manf_name`),
  ADD KEY `type` (`type`),
  ADD KEY `price` (`price`),
  ADD KEY `weight` (`weight`),
  ADD KEY `price_with_tax` (`price_with_tax`),
  ADD KEY `price_without_tax` (`price_without_tax`),
  ADD KEY `saudi_price` (`saudi_price`),
  ADD KEY `sort` (`sort`),
  ADD KEY `active` (`active`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `shipping_methods`
--
ALTER TABLE `shipping_methods`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `company_code` (`company_code`),
  ADD KEY `active` (`active`),
  ADD KEY `shipping_policy` (`shipping_policy`),
  ADD KEY `default_shipping_method` (`default_shipping_method`),
  ADD KEY `image` (`image`),
  ADD KEY `sort` (`sort`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `shipping_methods_governorate`
--
ALTER TABLE `shipping_methods_governorate`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `p_id` (`p_id`),
  ADD KEY `governorate_id` (`governorate_id`),
  ADD KEY `customer_price` (`customer_price`),
  ADD KEY `store_price` (`store_price`);

--
-- Indexes for table `shipping_methods_governorate_langs`
--
ALTER TABLE `shipping_methods_governorate_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `p_id` (`p_id`),
  ADD KEY `shipping_methods_gov_id` (`shipping_methods_gov_id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `name` (`name`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `shipping_methods_langs`
--
ALTER TABLE `shipping_methods_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `p_id` (`p_id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `name` (`name`),
  ADD KEY `description` (`description`(300));

--
-- Indexes for table `stores`
--
ALTER TABLE `stores`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-users-stores` (`admin_id`),
  ADD KEY `id` (`id`),
  ADD KEY `code` (`code`),
  ADD KEY `sort` (`sort`),
  ADD KEY `image` (`image`),
  ADD KEY `date_added` (`date_added`),
  ADD KEY `active` (`active`);

--
-- Indexes for table `store_langs`
--
ALTER TABLE `store_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `store_id` (`store_id`),
  ADD KEY `store_id_2` (`store_id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `title` (`title`);

--
-- Indexes for table `store_open_carts`
--
ALTER TABLE `store_open_carts`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-users-store_open_carts` (`admin_id`),
  ADD KEY `id` (`id`),
  ADD KEY `url` (`url`(300)),
  ADD KEY `customer_price_id` (`customer_price_id`),
  ADD KEY `sort` (`sort`),
  ADD KEY `image` (`image`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `store_open_cart_langs`
--
ALTER TABLE `store_open_cart_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `store_open_cart_id` (`store_open_cart_id`),
  ADD KEY `store_open_cart_id_2` (`store_open_cart_id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `name` (`name`);

--
-- Indexes for table `store_type_and_facility`
--
ALTER TABLE `store_type_and_facility`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `store_type_and_facility_options`
--
ALTER TABLE `store_type_and_facility_options`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `support_and_blog_category`
--
ALTER TABLE `support_and_blog_category`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `affiliators_ids` (`affiliators_ids`(300)),
  ADD KEY `parent` (`parent`),
  ADD KEY `sort` (`sort`),
  ADD KEY `img` (`img`),
  ADD KEY `active` (`active`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `support_and_blog_category_langs`
--
ALTER TABLE `support_and_blog_category_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `cat_id` (`cat_id`),
  ADD KEY `name` (`name`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `support_and_blog_pages`
--
ALTER TABLE `support_and_blog_pages`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `support_and_blog_pages_langs`
--
ALTER TABLE `support_and_blog_pages_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `page_id` (`page_id`),
  ADD KEY `title` (`title`),
  ADD KEY `description` (`description`(300)),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `trademarks`
--
ALTER TABLE `trademarks`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `active` (`active`),
  ADD KEY `code` (`code`),
  ADD KEY `image` (`image`),
  ADD KEY `sort` (`sort`),
  ADD KEY `alternate_words_array` (`alternate_words_array`(300)),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `trademark_langs`
--
ALTER TABLE `trademark_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `trademark_id` (`trademark_id`),
  ADD KEY `id` (`id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `title` (`title`),
  ADD KEY `description` (`description`(300));

--
-- Indexes for table `treasures`
--
ALTER TABLE `treasures`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `name` (`name`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `treasures_balances`
--
ALTER TABLE `treasures_balances`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `treasure_id` (`treasure_id`),
  ADD KEY `balance` (`balance`),
  ADD KEY `note` (`note`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `type` (`type`),
  ADD KEY `for_id` (`for_id`),
  ADD KEY `for_type` (`for_type`),
  ADD KEY `date_treasures` (`date_treasures`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `units`
--
ALTER TABLE `units`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `active` (`active`),
  ADD KEY `sort` (`sort`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `unit_langs`
--
ALTER TABLE `unit_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `unit_id` (`unit_id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `title` (`title`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `user_level` (`user_level`),
  ADD KEY `dealer_id` (`dealer_id`),
  ADD KEY `user_name` (`user_name`),
  ADD KEY `email` (`email`),
  ADD KEY `country_code` (`country_code`),
  ADD KEY `mobile` (`mobile`),
  ADD KEY `avatar` (`avatar`),
  ADD KEY `password` (`password`),
  ADD KEY `brief` (`brief`(300)),
  ADD KEY `client_code` (`client_code`),
  ADD KEY `price_type` (`price_type`),
  ADD KEY `client_store_id` (`client_store_id`),
  ADD KEY `address` (`address`),
  ADD KEY `set_from` (`set_from`),
  ADD KEY `active` (`active`),
  ADD KEY `authentication_code` (`authentication_code`(300)),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `admin_cart_id` (`admin_cart_id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `group_id` (`group_id`),
  ADD KEY `is_deleted` (`is_deleted`),
  ADD KEY `drop_shipping` (`drop_shipping`),
  ADD KEY `drop_shipping_commission` (`drop_shipping_commission`),
  ADD KEY `share_product_links` (`share_product_links`),
  ADD KEY `share_product_photos` (`share_product_photos`),
  ADD KEY `share_product_descriptions` (`share_product_descriptions`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `users_store_type`
--
ALTER TABLE `users_store_type`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `user_balances`
--
ALTER TABLE `user_balances`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `value` (`value`),
  ADD KEY `transaction` (`transaction`),
  ADD KEY `transaction_type` (`transaction_type`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `for_id` (`for_id`),
  ADD KEY `treasure_id` (`treasure_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `user_levels`
--
ALTER TABLE `user_levels`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `visits_reports`
--
ALTER TABLE `visits_reports`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `vouchers`
--
ALTER TABLE `vouchers`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `voucher_clauses`
--
ALTER TABLE `voucher_clauses`
  ADD PRIMARY KEY (`id`);
