-- phpMyAdmin SQL Dump
-- version 4.9.11
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Generation Time: Mar 03, 2024 at 09:56 AM
-- Server version: 8.0.32
-- PHP Version: 7.4.33

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `souqalhi_affiliate_affiliate_temp`
--

-- --------------------------------------------------------

--
-- Stand-in structure for view `z_p_test_view`
-- (See below for the actual view)
--
CREATE TABLE `z_p_test_view` (
`count_share_product` bigint
,`product_id` int
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `z_view_product_store_amounts`
-- (See below for the actual view)
--
CREATE TABLE `z_view_product_store_amounts` (
`name` varchar(200)
,`product_id` int
,`store_amounts` decimal(33,0)
,`store_id` int
,`store_title` varchar(300)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `z_view_product_store_expiration_date`
-- (See below for the actual view)
--
CREATE TABLE `z_view_product_store_expiration_date` (
`expiration_date` date
,`name` varchar(200)
,`product_id` int
,`store_amounts` decimal(33,0)
,`store_id` int
,`store_title` varchar(300)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `z_view_product_top_selling`
-- (See below for the actual view)
--
CREATE TABLE `z_view_product_top_selling` (
`date_added` datetime
,`product_id` int
,`top_selling` bigint
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `z_view_product_z`
-- (See below for the actual view)
--
CREATE TABLE `z_view_product_z` (
`category_profit` double
,`count_availability_notices` bigint
,`count_baskets` bigint
,`count_browsing_history` bigint
,`count_favorite` bigint
,`count_invoice` bigint
,`count_user_invoice` bigint
,`mortal_invoice` decimal(32,0)
,`product_id` int
,`receipt_invoice` decimal(32,0)
,`receipt_return_invoice` decimal(32,0)
,`sale_invoice` decimal(32,0)
,`sale_return_invoice` decimal(32,0)
,`settlement_invoice` decimal(32,0)
,`store_amounts` decimal(33,0)
,`store_id` int
,`store_title` varchar(300)
,`total_purchases` double
,`total_sales` double
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `z_view_product_z_count_share`
-- (See below for the actual view)
--
CREATE TABLE `z_view_product_z_count_share` (
`count_share_product` bigint
,`product_id` int
);

-- --------------------------------------------------------

--
-- Structure for view `z_p_test_view`
--
DROP TABLE IF EXISTS `z_p_test_view`;

CREATE ALGORITHM=UNDEFINED DEFINER=`souqalhi_affiliate`@`localhost` SQL SECURITY DEFINER VIEW `z_p_test_view`  AS SELECT `s`.`product_id` AS `product_id`, count(`s`.`id`) AS `count_share_product` FROM (`product_share_reports` `s` left join `products` `p` on((`s`.`product_id` = `p`.`id`))) GROUP BY `s`.`product_id` ;

-- --------------------------------------------------------

--
-- Structure for view `z_view_product_store_amounts`
--
DROP TABLE IF EXISTS `z_view_product_store_amounts`;

CREATE ALGORITHM=UNDEFINED DEFINER=`souqalhi_affiliate`@`localhost` SQL SECURITY DEFINER VIEW `z_view_product_store_amounts`  AS SELECT `p`.`id` AS `product_id`, `ps`.`store_id` AS `store_id`, `ps`.`name` AS `name`, `sl`.`title` AS `store_title`, (coalesce((select sum(`psa`.`value`) from `product_stores` `psa` where ((`psa`.`product_id` = `p`.`id`) and (`psa`.`type` = 'add') and (`psa`.`is_deleted` = '0'))),0) - coalesce((select sum(`psr`.`value`) from `product_stores` `psr` where ((`psr`.`product_id` = `p`.`id`) and (`psr`.`type` = 'remove') and (`psr`.`is_deleted` = '0'))),0)) AS `store_amounts` FROM ((`products` `p` left join `product_stores` `ps` on(((`ps`.`product_id` = `p`.`id`) and (`ps`.`type` = 'add') and (`ps`.`is_deleted` = '0')))) left join `store_langs` `sl` on(((`sl`.`store_id` = `ps`.`store_id`) and (`sl`.`lang_code` = 'ar')))) GROUP BY `ps`.`product_id`, `ps`.`store_id` ;

-- --------------------------------------------------------

--
-- Structure for view `z_view_product_store_expiration_date`
--
DROP TABLE IF EXISTS `z_view_product_store_expiration_date`;

CREATE ALGORITHM=UNDEFINED DEFINER=`souqalhi_affiliate`@`localhost` SQL SECURITY DEFINER VIEW `z_view_product_store_expiration_date`  AS SELECT `p`.`id` AS `product_id`, `ps`.`store_id` AS `store_id`, `ps`.`name` AS `name`, `sl`.`title` AS `store_title`, `ps`.`expiration_date` AS `expiration_date`, (coalesce((select sum(`psa`.`value`) from `product_stores` `psa` where ((`psa`.`product_id` = `p`.`id`) and (`psa`.`type` = 'add') and ((`psa`.`expiration_date` = `ps`.`expiration_date`) or (`ps`.`expiration_date` is null)) and (`psa`.`is_deleted` = '0'))),0) - coalesce((select sum(`psr`.`value`) from `product_stores` `psr` where ((`psr`.`product_id` = `p`.`id`) and (`psr`.`type` = 'remove') and ((`psr`.`expiration_date` = `ps`.`expiration_date`) or (`ps`.`expiration_date` is null)) and (`psr`.`is_deleted` = '0'))),0)) AS `store_amounts` FROM ((`products` `p` left join `product_stores` `ps` on(((`ps`.`product_id` = `p`.`id`) and (`ps`.`type` = 'add') and (`ps`.`is_deleted` = '0')))) left join `store_langs` `sl` on(((`sl`.`store_id` = `ps`.`store_id`) and (`sl`.`lang_code` = 'ar')))) GROUP BY `ps`.`product_id`, `ps`.`store_id`, `ps`.`expiration_date` ;

-- --------------------------------------------------------

--
-- Structure for view `z_view_product_top_selling`
--
DROP TABLE IF EXISTS `z_view_product_top_selling`;

CREATE ALGORITHM=UNDEFINED DEFINER=`souqalhi_affiliate`@`localhost` SQL SECURITY DEFINER VIEW `z_view_product_top_selling`  AS SELECT `ii`.`product_id` AS `product_id`, count(`ii`.`product_id`) AS `top_selling`, `ii`.`date_added` AS `date_added` FROM (`invoice_items` `ii` left join `invoices` `i` on((`ii`.`invoice_id` = `i`.`id`))) WHERE ((`i`.`invoice_type` = 'sale-invoice') AND (`ii`.`date_added` > (now() - interval 60 day))) GROUP BY `ii`.`product_id` ;

-- --------------------------------------------------------

--
-- Structure for view `z_view_product_z`
--
DROP TABLE IF EXISTS `z_view_product_z`;

CREATE ALGORITHM=UNDEFINED DEFINER=`souqalhi_affiliate`@`localhost` SQL SECURITY DEFINER VIEW `z_view_product_z`  AS SELECT `p`.`id` AS `product_id`, coalesce(sum((case when (`i`.`invoice_type` = 'sale-invoice') then `ii`.`quantity` else 0 end)),0) AS `sale_invoice`, coalesce(count((case when (`i`.`invoice_type` = 'sale-invoice') then `i`.`id` end)),0) AS `count_invoice`, coalesce(count(distinct (case when (`i`.`invoice_type` = 'sale-invoice') then `i`.`client_id` end)),0) AS `count_user_invoice`, coalesce(sum((case when (`i`.`invoice_type` = 'sale-invoice') then (`ii`.`quantity` * `ii`.`price`) else 0 end)),0) AS `total_sales`, coalesce(sum((case when (`i`.`invoice_type` = 'receipt-invoice') then `ii`.`quantity` else 0 end)),0) AS `receipt_invoice`, coalesce(sum((case when (`i`.`invoice_type` = 'receipt-invoice') then (`ii`.`quantity` * `ii`.`price`) else 0 end)),0) AS `total_purchases`, (coalesce(sum((case when (`i`.`invoice_type` = 'sale-invoice') then (`ii`.`quantity` * `ii`.`price`) else 0 end)),0) - coalesce(sum((case when (`i`.`invoice_type` = 'receipt-invoice') then (`ii`.`quantity` * `ii`.`price`) else 0 end)),0)) AS `category_profit`, (select count(`product_availability_notices`.`id`) from `product_availability_notices` where ((`product_availability_notices`.`product_id` = `p`.`id`) and (`product_availability_notices`.`notify_status` = 'not_send'))) AS `count_availability_notices`, (select count(distinct `browse_product_history`.`client_id`) from `browse_product_history` where (`browse_product_history`.`product_id` = `p`.`id`)) AS `count_browsing_history`, (select count(`favorites`.`client_id`) from `favorites` where (`favorites`.`product_id` = `p`.`id`)) AS `count_favorite`, coalesce(sum((case when (`i`.`invoice_type` = 'sale-return-invoice') then `ii`.`quantity` else 0 end)),0) AS `sale_return_invoice`, coalesce(sum((case when (`i`.`invoice_type` = 'receipt-return-invoice') then `ii`.`quantity` else 0 end)),0) AS `receipt_return_invoice`, coalesce((select sum(`ii_5`.`quantity`) from (`other_invoice_items` `ii_5` left join `other_invoices` `i_5` on((`i_5`.`id` = `ii_5`.`invoice_id`))) where ((`ii_5`.`product_id` = `p`.`id`) and (`i_5`.`invoice_type` = 'settlement-invoice'))),0) AS `settlement_invoice`, coalesce((select sum(`ii_6`.`quantity`) from (`other_invoice_items` `ii_6` left join `other_invoices` `i_6` on((`i_6`.`id` = `ii_6`.`invoice_id`))) where ((`ii_6`.`product_id` = `p`.`id`) and (`i_6`.`invoice_type` = 'mortal-invoice'))),0) AS `mortal_invoice`, (select count(distinct `cp`.`cart_id`) from (((`cart_products` `cp` left join `carts` `c` on((`c`.`id` = `cp`.`cart_id`))) left join `invoice_items` `ii` on((`ii`.`product_id` = `cp`.`product_id`))) left join `invoices` `i` on(((`i`.`id` = `ii`.`invoice_id`) and (`i`.`client_id` <> `c`.`client_id`)))) where ((`cp`.`product_id` = `p`.`id`) and (`cp`.`is_deleted` = '0') and (`ii`.`product_id` is null))) AS `count_baskets`, `psa`.`store_id` AS `store_id`, `psa`.`store_title` AS `store_title`, `psa`.`store_amounts` AS `store_amounts` FROM (((`products` `p` left join `invoice_items` `ii` on((`ii`.`product_id` = `p`.`id`))) left join `invoices` `i` on(((`i`.`id` = `ii`.`invoice_id`) and (`i`.`status` <> 'canceled') and (`i`.`invoice_type` in ('sale-invoice','receipt-invoice','sale-return-invoice','receipt-return-invoice'))))) left join `z_view_product_store_amounts` `psa` on((`psa`.`product_id` = `p`.`id`))) GROUP BY `p`.`id` ;

-- --------------------------------------------------------

--
-- Structure for view `z_view_product_z_count_share`
--
DROP TABLE IF EXISTS `z_view_product_z_count_share`;

CREATE ALGORITHM=UNDEFINED DEFINER=`souqalhi_affiliate`@`localhost` SQL SECURITY DEFINER VIEW `z_view_product_z_count_share`  AS SELECT `s`.`product_id` AS `product_id`, count(`s`.`id`) AS `count_share_product` FROM (`product_share_reports` `s` left join `products` `p` on((`s`.`product_id` = `p`.`id`))) GROUP BY `s`.`product_id` ;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
