-- phpMyAdmin SQL Dump
-- version 4.9.11
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Generation Time: Aug 08, 2023 at 09:49 AM
-- Server version: 8.0.32
-- PHP Version: 7.4.33

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `souqalhi_affiliate_temp`
--

-- --------------------------------------------------------

--
-- Table structure for table `accounts`
--

CREATE TABLE `accounts` (
  `id` int NOT NULL,
  `parent` int NOT NULL DEFAULT '0',
  `admin_id` int NOT NULL DEFAULT '0',
  `name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `type` enum('debtor','creditor') DEFAULT 'debtor',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `accounts`
--

INSERT INTO `accounts` (`id`, `parent`, `admin_id`, `name`, `code`, `type`, `date_added`) VALUES
(1, 0, 41, 'الاصول', '1', 'debtor', '2023-07-13 13:45:38'),
(2, 0, 41, 'الخصوم', '2', 'debtor', '2023-07-13 13:46:48'),
(3, 0, 41, 'رأس المال وحقوق الملكية', '3', 'debtor', '2023-07-13 13:47:20'),
(4, 0, 41, 'الايرادات', '4', 'debtor', '2023-07-13 13:48:00'),
(5, 0, 41, 'المصروفات', '5', 'debtor', '2023-07-13 13:48:26');

-- --------------------------------------------------------

--
-- Table structure for table `admin_notifications`
--

CREATE TABLE `admin_notifications` (
  `id` int NOT NULL,
  `send_to_type` enum('all_visitors','all_clients','some_clients','all_affiliator_clients','some_affiliator_clients') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `sender_id` int DEFAULT NULL,
  `affiliator_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `admin_notification_langs`
--

CREATE TABLE `admin_notification_langs` (
  `id` int NOT NULL,
  `admin_notification_id` int DEFAULT NULL,
  `notification` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `title` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `lang_code` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `affiliator_famous`
--

CREATE TABLE `affiliator_famous` (
  `id` int NOT NULL,
  `user_id` int DEFAULT NULL,
  `common_search_words` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `common_trademarks` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='الشائع والمقترح ';

-- --------------------------------------------------------

--
-- Table structure for table `affiliator_options`
--

CREATE TABLE `affiliator_options` (
  `id` bigint NOT NULL,
  `user_id` int DEFAULT NULL,
  `send_notifications` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `show_reports` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `use_commission_on_order` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `commission_value_pers` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `commission_value` float DEFAULT NULL,
  `add_products` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `front_color` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `front_logo` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `front_fav_icon` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `front_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `front_web_url` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `front_platfrom` enum('none','web','app','both') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `front_currency` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `subscribe_from` date DEFAULT NULL,
  `subscribe_to` date DEFAULT NULL,
  `subscribe_price` int DEFAULT '0',
  `instagram` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `facebook` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `twitter` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `tiktok` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `snapchat` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `youtube` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `treasure_id` int DEFAULT NULL,
  `show_price` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '1',
  `notification_server_key` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `maintenance_mode` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `maintenance_mode_message` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `share_description` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '1',
  `promotional_description_share` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `promotional_description_web` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `promotional_description_app` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `full_description_share` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '1',
  `full_description_web` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '1',
  `full_description_app` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '1',
  `tab_new_name_ar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `tab_new_name_en` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `tab_new_img` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `watermark_active` enum('0','1') DEFAULT '0',
  `watermark_img` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `reservation_of_products_in_app` enum('0','1') NOT NULL DEFAULT '0',
  `app_url_ios` varchar(250) DEFAULT NULL,
  `app_url_android` varchar(250) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='جدول خاص بالمسوقين فقط';

--
-- Dumping data for table `affiliator_options`
--

INSERT INTO `affiliator_options` (`id`, `user_id`, `send_notifications`, `show_reports`, `use_commission_on_order`, `commission_value_pers`, `commission_value`, `add_products`, `front_color`, `front_logo`, `front_fav_icon`, `front_name`, `front_web_url`, `front_platfrom`, `front_currency`, `subscribe_from`, `subscribe_to`, `subscribe_price`, `instagram`, `facebook`, `twitter`, `tiktok`, `snapchat`, `youtube`, `treasure_id`, `show_price`, `notification_server_key`, `maintenance_mode`, `maintenance_mode_message`, `share_description`, `promotional_description_share`, `promotional_description_web`, `promotional_description_app`, `full_description_share`, `full_description_web`, `full_description_app`, `tab_new_name_ar`, `tab_new_name_en`, `tab_new_img`, `watermark_active`, `watermark_img`, `reservation_of_products_in_app`, `app_url_ios`, `app_url_android`) VALUES
(1, 2, '1', '1', '0', '0', 0, '1', '#c7a35e', NULL, '', NULL, '', 'app', 'EGP', NULL, NULL, 0, '', '', '', '', '', '', 1, '0', NULL, '0', 'نقوم الان بتحديثات سريعة! .. سنعود بعد قليل ان شاء الله', '1', '1', '0', '1', '0', '1', '1', 'قريبا', 'Soon', NULL, '0', NULL, '0', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `affiliator_prices`
--

CREATE TABLE `affiliator_prices` (
  `id` bigint NOT NULL,
  `product_id` int DEFAULT NULL,
  `affiliator_id` int DEFAULT NULL,
  `price` float DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='اسعار خاصة بمتاجر بنوع سعر البيع';

-- --------------------------------------------------------

--
-- Table structure for table `affiliator_services`
--

CREATE TABLE `affiliator_services` (
  `id` bigint NOT NULL,
  `user_id` int DEFAULT NULL,
  `service_id` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='جدول الاقسام الخاصة التي ستعرض للعملاء الخاصين بالمسوق ا';

-- --------------------------------------------------------

--
-- Table structure for table `affiliator_stores`
--

CREATE TABLE `affiliator_stores` (
  `id` int NOT NULL,
  `user_id` int DEFAULT NULL,
  `store_id` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='حاليا تستخدم كمتاجر للمسوقين ';

--
-- Dumping data for table `affiliator_stores`
--

INSERT INTO `affiliator_stores` (`id`, `user_id`, `store_id`) VALUES
(1, 2, 1);

-- --------------------------------------------------------

--
-- Table structure for table `affiliator_subscribes`
--

CREATE TABLE `affiliator_subscribes` (
  `id` int NOT NULL,
  `user_id` int DEFAULT NULL,
  `price` float DEFAULT NULL,
  `s_from` date DEFAULT NULL,
  `s_to` date DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='اشتراكات المسوقين';

-- --------------------------------------------------------

--
-- Table structure for table `api_secrit_keys`
--

CREATE TABLE `api_secrit_keys` (
  `id` bigint NOT NULL,
  `secrit_key` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `date_added` datetime DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `attachments`
--

CREATE TABLE `attachments` (
  `id` int NOT NULL,
  `sort` int DEFAULT NULL,
  `active` enum('1','0') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `color` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `attachment_langs`
--

CREATE TABLE `attachment_langs` (
  `id` int NOT NULL,
  `attachment_id` int DEFAULT NULL,
  `lang_code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `balance`
--

CREATE TABLE `balance` (
  `id` int NOT NULL,
  `affiliator_id` int DEFAULT NULL,
  `client_id` int DEFAULT NULL,
  `invoice_id` int DEFAULT NULL,
  `coupon_id` int DEFAULT '0',
  `code` varchar(100) DEFAULT NULL,
  `value` float DEFAULT NULL,
  `type` enum('add','get','hanging') DEFAULT NULL,
  `mode` enum('coupon_marketing','drop_shipping','get','use_credit','add') CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL DEFAULT 'coupon_marketing',
  `notes` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `balance_withdrawal_requests`
--

CREATE TABLE `balance_withdrawal_requests` (
  `id` int NOT NULL,
  `user_id` int DEFAULT NULL,
  `payment_method_id` int DEFAULT NULL,
  `payment_method_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `amount` float DEFAULT NULL,
  `code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `status` enum('pending','done','rejected') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='طلبات سحب الرصيد';

-- --------------------------------------------------------

--
-- Table structure for table `banners`
--

CREATE TABLE `banners` (
  `id` int NOT NULL,
  `type` enum('innerLink','outerLink') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'innerLink',
  `url` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci COMMENT 'url or id ',
  `url_type` enum('product','service','trademark') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `image` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `image_en` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `affiliator_id` int DEFAULT NULL,
  `banner_width` int DEFAULT NULL,
  `banner_height` int DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `banner_langs`
--

CREATE TABLE `banner_langs` (
  `id` int NOT NULL,
  `banner_id` int DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `title` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `banner_services`
--

CREATE TABLE `banner_services` (
  `id` bigint NOT NULL,
  `service_id` int DEFAULT NULL,
  `banner_id` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `browse_product_history`
--

CREATE TABLE `browse_product_history` (
  `id` int NOT NULL,
  `affiliator_id` int DEFAULT NULL,
  `client_id` int DEFAULT NULL,
  `product_id` int DEFAULT NULL,
  `set_from` enum('affiliate','web','app') DEFAULT 'affiliate',
  `app_version` varchar(50) DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `carts`
--

CREATE TABLE `carts` (
  `id` int NOT NULL,
  `user_id` int DEFAULT '0',
  `client_id` int DEFAULT '0',
  `device_id` int NOT NULL,
  `invoice_edit_id` int DEFAULT '0',
  `set_from` enum('affiliate','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'affiliate',
  `type` enum('packing_in_progress','request_is_done','editing_in_progress','canceled') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'packing_in_progress',
  `invoice_id` int DEFAULT '0',
  `show_total_price` float DEFAULT '0',
  `show_discount` float DEFAULT '0',
  `show_coupon_discount` float DEFAULT '0',
  `show_coupon_code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `show_total_quantity` int DEFAULT '0',
  `app_version` varchar(100) DEFAULT NULL,
  `date_added` datetime DEFAULT NULL,
  `last_update` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `cart_products`
--

CREATE TABLE `cart_products` (
  `id` int NOT NULL,
  `cart_id` int DEFAULT '0',
  `product_id` int DEFAULT '0',
  `product_type_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'اسم الصنف',
  `quantity` int DEFAULT '0',
  `offer_id` int DEFAULT '0',
  `quantity_offer` int DEFAULT '0' COMMENT 'العدد المحجوز',
  `type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'نوع الخصم المطبق',
  `value` int DEFAULT '0' COMMENT 'قيمة الخصم',
  `maximum_discount_value` float DEFAULT '0' COMMENT 'هذه لحالة discount_percentage',
  `coupon_id` int DEFAULT '0',
  `quantity_coupon` int DEFAULT '0',
  `coupon_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `coupon_value` int DEFAULT '0',
  `coupon_maximum_discount_value` float DEFAULT '0',
  `is_deleted` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `is_gift` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `app_version` varchar(100) DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `clients_groups`
--

CREATE TABLE `clients_groups` (
  `id` int NOT NULL,
  `affiliator_id` int DEFAULT NULL,
  `name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `description` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `active` enum('0','1') DEFAULT '0',
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `client_addresses`
--

CREATE TABLE `client_addresses` (
  `id` int NOT NULL,
  `client_id` int DEFAULT NULL,
  `city_id` int DEFAULT NULL,
  `country_id` int DEFAULT NULL,
  `title` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `is_default` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `set_from` enum('affiliate','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'affiliate',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='عناوين الخاصة بالعملاء';

-- --------------------------------------------------------

--
-- Table structure for table `client_shipping`
--

CREATE TABLE `client_shipping` (
  `id` int NOT NULL,
  `affiliator_id` int NOT NULL,
  `client_id` int NOT NULL,
  `store_name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `store_img` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `set_from` enum('affiliate','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'affiliate',
  `app_version` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `client_shipping_addresses`
--

CREATE TABLE `client_shipping_addresses` (
  `id` int NOT NULL,
  `affiliator_id` int NOT NULL,
  `client_id` int NOT NULL,
  `full_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `mobile` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `country_id` int NOT NULL,
  `city_id` int NOT NULL,
  `title` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `set_from` enum('affiliate','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'affiliate',
  `app_version` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `coupons`
--

CREATE TABLE `coupons` (
  `id` int NOT NULL,
  `priority` float DEFAULT '0' COMMENT 'الاولوية في اختيار العرض في حال تضارب المنتجات	',
  `code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `coupon_usage_number_all` int DEFAULT NULL,
  `coupon_usage_number_customer` int DEFAULT NULL,
  `client_type` enum('all','group','specific_clients') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `client_type_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `coupon_start_date` date DEFAULT NULL,
  `coupon_end_date` date DEFAULT NULL,
  `coupon_type` enum('coupon_normal','x_get_y','discount_percentage','discount_constant') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'اذا اشترى العميل X يحصل على Yمبلغ ثابت من قيمة مشتريات العميلنسبة من قيمة مشتريات العميل',
  `price_type` enum('price_one','price_multi','price','price_half','price_gomla_gomla') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'نوع السعر الذي سيطبق عليه العرض  ',
  `coupon_width` enum('100','50','33.33','25') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `show_on` enum('both','app','web') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `show_on_places` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `except_discounted_products` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '1',
  `show_coupon_banner` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0',
  `marketing_coupon` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0',
  `marketer_client_id` int DEFAULT NULL,
  `marketer_commission_type` enum('discount_percentage','discount_constant') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT 'discount_percentage',
  `marketer_commission` int DEFAULT NULL,
  `marketer_note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `image` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `image_en` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `affiliator_id` int DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `coupon_status` enum('valid','finished') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT 'valid',
  `show_end_date` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='عروض المنتجات';

-- --------------------------------------------------------

--
-- Table structure for table `coupons_used`
--

CREATE TABLE `coupons_used` (
  `id` int NOT NULL,
  `affiliator_id` int DEFAULT NULL,
  `client_id` int DEFAULT NULL,
  `coupon_id` int DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `mode` enum('cart','invoice') DEFAULT NULL,
  `mode_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `coupon_discount`
--

CREATE TABLE `coupon_discount` (
  `id` int NOT NULL,
  `coupon_id` int DEFAULT NULL,
  `coupon_value` float DEFAULT NULL COMMENT 'قيمة الخصم تكون نسبة او ممكن تكون قيم ثابتة وهذ يحدد جدول العروض',
  `coupon_maximum_discount_value` int DEFAULT NULL COMMENT 'اذا كانت نوع الخصم نسبة يجب تحديد حد اقصى للقيم ',
  `apply_type_conditions` enum('cart','products','services','trademarks') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'اول نوع لكل المنتجات في السلة الثاني منتجات محددة الثالث في اقسام محددة',
  `ids` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `coupon_application_type` enum('amount_of_prod','purchase_amount') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'نوع تطبيق العرض هل هو عدد منتجات او قيمة شرائية',
  `minimum_value_coupon_application` float DEFAULT NULL COMMENT 'الحد الأدنى لتطبيق العرض سواء سعر او عدد منتجات'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='هذا الجدول خاص بالعروض  نسبة وتخ نوع تخفيض       ';

-- --------------------------------------------------------

--
-- Table structure for table `coupon_langs`
--

CREATE TABLE `coupon_langs` (
  `id` int NOT NULL,
  `coupon_id` int DEFAULT NULL,
  `title` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `attachment_single` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `currencies`
--

CREATE TABLE `currencies` (
  `id` int NOT NULL,
  `name_ar` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name_en` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `price` float NOT NULL DEFAULT '0',
  `default` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `currencies`
--

INSERT INTO `currencies` (`id`, `name_ar`, `name_en`, `price`, `default`, `date_added`) VALUES
(1, 'جنية', 'EGP', 1, '1', '2022-12-06 17:09:33'),
(2, 'ريال', 'SAR', 10, '0', '2022-12-06 17:12:19'),
(4, 'دولار', 'USD', 35, '0', '2022-12-06 17:12:19');

-- --------------------------------------------------------

--
-- Table structure for table `customer_price_groups`
--

CREATE TABLE `customer_price_groups` (
  `id` int NOT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `key` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `customer_price_groups`
--

INSERT INTO `customer_price_groups` (`id`, `name`, `key`, `date_added`) VALUES
(1, 'سعر قطاعي', 'price_one', '2022-08-10 15:09:17'),
(2, 'سعر جملة', 'price_multi', '2022-08-10 15:09:20'),
(4, 'سعر بيع', 'price', '2022-08-10 15:09:23'),
(6, ' سعر نص جملة', 'price_half', '2022-08-10 15:09:25'),
(7, ' سعر جملة الجملة', 'price_gomla_gomla', '2022-08-10 15:09:13');

-- --------------------------------------------------------

--
-- Table structure for table `devices`
--

CREATE TABLE `devices` (
  `id` int NOT NULL,
  `device_token_id` int DEFAULT NULL,
  `affiliator_id` int DEFAULT '0',
  `user_id` int DEFAULT NULL,
  `notification_id` int DEFAULT NULL,
  `login` int DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'ar' COMMENT 'to determine which notification lang come from cite if app opened with this lang code',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `device_token`
--

CREATE TABLE `device_token` (
  `id` int NOT NULL,
  `device_token_id` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `expiration_date`
--

CREATE TABLE `expiration_date` (
  `id` int NOT NULL,
  `product_id` int DEFAULT NULL,
  `label` date DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `checked` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `favorites`
--

CREATE TABLE `favorites` (
  `id` int NOT NULL,
  `affiliator_id` int DEFAULT '0',
  `client_id` int DEFAULT '0',
  `product_id` int DEFAULT '0',
  `set_from` enum('affiliate','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT 'affiliate',
  `app_version` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `forgate_password_codes`
--

CREATE TABLE `forgate_password_codes` (
  `id` int NOT NULL,
  `mobile` varchar(50) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `count` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `form_shapes`
--

CREATE TABLE `form_shapes` (
  `id` int NOT NULL,
  `type` enum('select','m_select','text','number','date') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `quick_access_page` enum('0','1') DEFAULT '1',
  `sort` int DEFAULT NULL,
  `is_deleted` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `form_shape_langs`
--

CREATE TABLE `form_shape_langs` (
  `id` int NOT NULL,
  `form_shape_id` int DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `label` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `form_shape_options`
--

CREATE TABLE `form_shape_options` (
  `id` int NOT NULL,
  `form_shape_id` int DEFAULT NULL,
  `is_deleted` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `sort` int DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `form_shape_option_langs`
--

CREATE TABLE `form_shape_option_langs` (
  `id` int NOT NULL,
  `form_shape_option_id` int DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `label` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `form_shape_services`
--

CREATE TABLE `form_shape_services` (
  `id` int NOT NULL,
  `service_id` int DEFAULT NULL,
  `form_shape_id` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `history_edit_invoice`
--

CREATE TABLE `history_edit_invoice` (
  `id` int NOT NULL,
  `admin_id` int NOT NULL DEFAULT '0',
  `invoice_id` int NOT NULL DEFAULT '0',
  `mode` enum('add_product','delete_product','quantity_increase','quantity_reduce','change_invoice_status','change_note','price_increase','price_reduce') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `product_id` int NOT NULL DEFAULT '0',
  `quantity_last` int NOT NULL DEFAULT '0',
  `quantity` int NOT NULL DEFAULT '0',
  `price_last` int NOT NULL DEFAULT '0',
  `price` int NOT NULL DEFAULT '0',
  `notes_last` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `notes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `status_last` enum('pending','waiting_confirm','confirmed','client_not_responce','under_prepare','ready_to_delivered','in_delivered','delivered','refunded','canceled','booked_up') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `status` enum('pending','waiting_confirm','confirmed','client_not_responce','under_prepare','ready_to_delivered','in_delivered','delivered','refunded','canceled','booked_up') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `invoices`
--

CREATE TABLE `invoices` (
  `id` int NOT NULL,
  `affiliator_id` int DEFAULT '0',
  `client_id` int DEFAULT '0',
  `status` enum('pending','waiting_confirm','confirmed','client_not_responce','under_prepare','ready_to_delivered','in_delivered','delivered','refunded','canceled','booked_up') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'pending',
  `invoice_type` enum('sale-invoice','receipt-invoice','sale-return-invoice','receipt-return-invoice') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `count_invoice_type` int DEFAULT '1',
  `parent` int NOT NULL DEFAULT '0',
  `bar_code` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `bar_code_image` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `price_type` enum('price_one','price_multi','price','price_half','price_gomla_gomla') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `pay_type` enum('later','cash') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `tax_pres` float DEFAULT '0',
  `discount` float DEFAULT '0',
  `coupon_discount` float NOT NULL DEFAULT '0',
  `additional_value` float DEFAULT '0' COMMENT 'قيمة اضافية على الفاتورة كسعر للتوصيل او ما شابه',
  `additional_value_pers` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `discount_pers` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `sup_total_price` float DEFAULT '0',
  `total_price` float DEFAULT '0',
  `total_quantity` int DEFAULT '0',
  `total_affiliator_profit` float DEFAULT '0',
  `malian_commission` float DEFAULT '0',
  `net_total_affiliator_profit` float DEFAULT '0',
  `treasure_id` int DEFAULT '1',
  `city_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `city_id` int DEFAULT '0',
  `address` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `mobile` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `shipment_value` float DEFAULT '0',
  `shipment_company` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `shipment_id` int NOT NULL DEFAULT '0',
  `admin_id` int DEFAULT '0',
  `open_cart_store_id` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'هذه القيمة مرتبطة ب id الاوبن متجر بالاوبن كارت',
  `set_from` enum('affiliate','openCart','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'affiliate' COMMENT 'هل الفاتورة هذه اتية من الاوبن كارت او من طرف اخر',
  `order_id` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'هذا خاص بطلب من الاوبن كارت يتم استخدامه لتعديل حالة الطلب في الاوبن كارت',
  `is_paid` enum('paid','unPaid','partially_paid') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT 'unPaid',
  `invoice_discount` float NOT NULL DEFAULT '0',
  `invoice_discount_value` float NOT NULL DEFAULT '0',
  `shipping_type` enum('my_address','shipping_to_customer') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'my_address' COMMENT 'نوع الشحن الى عنوان خاص بى او الى العميل مباشرة',
  `total_price_collected_from_customer` float NOT NULL DEFAULT '0' COMMENT 'المبلغ المحصل من العميل شامل قيمة الشحن',
  `drop_shipping_commission` int NOT NULL DEFAULT '0' COMMENT 'عمولة الخدمة',
  `drop_shipping_commission_value` float NOT NULL DEFAULT '0',
  `profit` float NOT NULL DEFAULT '0' COMMENT 'الربح',
  `address_id` int NOT NULL DEFAULT '0',
  `use_credit` float NOT NULL DEFAULT '0' COMMENT 'رصيد مخصوم من المحفظة',
  `archive` enum('0','1') NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='فواتير البيع والشراء';

-- --------------------------------------------------------

--
-- Table structure for table `invoice_items`
--

CREATE TABLE `invoice_items` (
  `id` int NOT NULL,
  `invoice_id` int DEFAULT '0',
  `product_id` int DEFAULT '0',
  `product_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `product_type_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'افتراضى',
  `quantity` int DEFAULT '0',
  `cost` float DEFAULT '0',
  `coupon_value` int DEFAULT '0',
  `store_id` int DEFAULT '1',
  `store_title` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `unit_title` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `price_multi` float DEFAULT '0',
  `price_difference` float DEFAULT '0',
  `price` float DEFAULT '0',
  `last_price` float NOT NULL DEFAULT '0',
  `is_gift` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `last_total_price` float DEFAULT '0',
  `remaining_store_amounts` int DEFAULT '0',
  `profit` float DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `languages`
--

CREATE TABLE `languages` (
  `id` int NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `code` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `lang_image` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `languages`
--

INSERT INTO `languages` (`id`, `name`, `code`, `lang_image`, `admin_id`) VALUES
(2, 'العربية', 'ar', '0ec28f4816.png', 0);

-- --------------------------------------------------------

--
-- Table structure for table `log_visits_admin`
--

CREATE TABLE `log_visits_admin` (
  `id` int NOT NULL,
  `user_id` int NOT NULL,
  `device_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `request_ip` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `browser` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `country` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `page_name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `page_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='سجل زيارات الادمن';

--
-- Dumping data for table `log_visits_admin`
--

INSERT INTO `log_visits_admin` (`id`, `user_id`, `device_type`, `request_ip`, `browser`, `country`, `page_name`, `page_id`, `date_added`) VALUES
(1, 1, 'computer', '156.206.74.191', 'Google Chrome', 'Egypt', 'all-voucher-clauses', '', '2023-05-08 08:48:16'),
(2, 1, 'computer', '156.206.74.191', 'Google Chrome', 'Egypt', 'all-voucher-clauses', '', '2023-05-08 08:48:23'),
(3, 1, 'computer', '156.206.74.191', 'Google Chrome', 'Egypt', 'all-languages', '', '2023-05-08 08:48:29'),
(4, 1, 'computer', '156.206.74.191', 'Google Chrome', 'Egypt', 'language', '', '2023-05-08 08:48:32'),
(5, 1, 'computer', '156.206.74.191', 'Google Chrome', 'Egypt', 'index', '', '2023-05-08 08:48:35');

-- --------------------------------------------------------

--
-- Table structure for table `notification`
--

CREATE TABLE `notification` (
  `id` int NOT NULL,
  `receive_user_id` int DEFAULT NULL COMMENT 'notifiaction Reciver',
  `send_user_id` int DEFAULT NULL COMMENT 'notifiaction Sender',
  `page_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'to determine which page in app to login it',
  `page_status` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `url` int DEFAULT NULL COMMENT 'id of order,...,...,any other notify',
  `status` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0' COMMENT '0 if notification unread ... 1 if notification read',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `notification_to_send_cron_job`
--

CREATE TABLE `notification_to_send_cron_job` (
  `id` int NOT NULL,
  `platform_type` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `device_token_id` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `notification_id` int DEFAULT NULL,
  `notification_type` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `notifiy_message` varchar(900) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `msgcnt` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `url` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `offers`
--

CREATE TABLE `offers` (
  `id` int NOT NULL,
  `priority` float DEFAULT '0' COMMENT 'الاولوية في اختيار العرض في حال تضارب المنتجات	',
  `offer_start_date` date DEFAULT NULL,
  `offer_end_date` date DEFAULT NULL,
  `offer_type` enum('offer_normal','x_get_y','discount_percentage','discount_constant') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'اذا اشترى العميل X يحصل على Yمبلغ ثابت من قيمة مشتريات العميلنسبة من قيمة مشتريات العميل',
  `price_type` enum('price_one','price_multi','price','price_half','price_gomla_gomla') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'نوع السعر الذي سيطبق عليه العرض  ',
  `offer_width` enum('100','50','33.33','25') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `show_on` enum('both','app','web') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `show_on_places` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `image` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `image_en` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `image_page_top` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `image_page_top_en` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `affiliator_id` int DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `package` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0',
  `mode_offer` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '1',
  `mode_banner` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0',
  `show_client` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '1',
  `show_visitor` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '1',
  `show_end_date` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='عروض المنتجات';

-- --------------------------------------------------------

--
-- Table structure for table `offer_discount`
--

CREATE TABLE `offer_discount` (
  `id` int NOT NULL,
  `offer_id` int DEFAULT NULL,
  `value` float DEFAULT NULL COMMENT 'قيمة الخصم تكون نسبة او ممكن تكون قيم ثابتة وهذ يحدد جدول العروض',
  `maximum_discount_value` int DEFAULT NULL COMMENT 'اذا كانت نوع الخصم نسبة يجب تحديد حد اقصى للقيم ',
  `apply_type_conditions` enum('cart','products','services','trademarks') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'اول نوع لكل المنتجات في السلة الثاني منتجات محددة الثالث في اقسام محددة',
  `ids` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `offer_application_type` enum('amount_of_prod','purchase_amount') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'نوع تطبيق العرض هل هو عدد منتجات او قيمة شرائية',
  `minimum_value_offer_application` float DEFAULT NULL COMMENT 'الحد الأدنى لتطبيق العرض سواء سعر او عدد منتجات'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='هذا الجدول خاص بالعروض  نسبة وتخ نوع تخفيض       ';

-- --------------------------------------------------------

--
-- Table structure for table `offer_langs`
--

CREATE TABLE `offer_langs` (
  `id` int NOT NULL,
  `offer_id` int DEFAULT NULL,
  `title` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `attachment_single` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `offer_normal`
--

CREATE TABLE `offer_normal` (
  `id` int NOT NULL,
  `offer_id` int DEFAULT NULL,
  `offer_on` enum('products','services','trademarks','img','pages_support_center_and_blog','form_shapes','new','is_back_from_new','best_seller','groups','all_trademarks','gallery') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `offer_on_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `offer_showing_type_options`
--

CREATE TABLE `offer_showing_type_options` (
  `id` int NOT NULL,
  `place_offer_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `place_offer_key` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='خيارات اماكن ظهور العروض';

--
-- Dumping data for table `offer_showing_type_options`
--

INSERT INTO `offer_showing_type_options` (`id`, `place_offer_name`, `place_offer_key`, `date_added`) VALUES
(1, 'اسفل السلايدر', 'in_slider', '2021-10-04 16:49:38'),
(2, 'اسفل الاقسام', 'in_categories', '2021-10-04 16:49:38'),
(3, 'اسفل اخر المنتجات', 'in_last_products', '2021-10-04 16:49:38'),
(4, 'اسفل العلامات التجارية', 'in_trademarks', '2021-10-04 16:49:38'),
(5, 'صفحة جديد فى التابات', 'page_new_in_tabs', '2021-10-04 16:49:38');

-- --------------------------------------------------------

--
-- Table structure for table `offer_x_y`
--

CREATE TABLE `offer_x_y` (
  `id` int NOT NULL,
  `offer_id` int DEFAULT NULL,
  `x_types` enum('products','services','trademarks') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'products' COMMENT 'نوع المنتجات المخصصة لشرط العرض هل هي منتجات ام خدمات',
  `x_ids` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci COMMENT 'اديهات المتجات او الخدمات',
  `x_quantity` int DEFAULT NULL COMMENT 'الحد الادنى الذي سيتطبق عليه العرض',
  `y_types` enum('products','services','trademarks') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'products',
  `y_ids` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `y_quantity` int DEFAULT NULL,
  `y_discount_type` enum('free','percentage') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'free' COMMENT 'نوع الخصم المطبق على المنتجات y',
  `y_discount_percentage_value` float DEFAULT NULL COMMENT 'قيمة نسبة الخصم'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='هذا الجدول خاص بالعروض من نوع X = > Y ';

-- --------------------------------------------------------

--
-- Table structure for table `orders`
--

CREATE TABLE `orders` (
  `id` int NOT NULL,
  `user_id` int DEFAULT NULL,
  `client_id` int DEFAULT NULL,
  `order_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `order_address` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `order_shipping_note` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `user_store_id` int DEFAULT '0',
  `user_store_name` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `user_store_url` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `user_store_image` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `country_id` int DEFAULT NULL,
  `city_id` int DEFAULT NULL,
  `sup_total_price` float DEFAULT '0',
  `delivery_price` float DEFAULT '0',
  `system_order_commission` float DEFAULT '0' COMMENT 'ثابت عمولة الادارة من كل طلب',
  `total_price` float DEFAULT '0',
  `total_quantity` int DEFAULT '0',
  `total_commision` int DEFAULT '0' COMMENT 'اجمالي عمولة المسوق الربح الخاص دون حذف عمولة الادراة',
  `total_system_product_commissions` float DEFAULT '0' COMMENT 'اجمالي عمولة الادارة على المنتجات الخاصة بالطلب',
  `status` enum('pending','waiting_confirm','confirmed','client_not_responce','under_prepare','ready_to_delivered','in_delivered','delivered','refunded','canceled') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'pending',
  `is_paid` enum('paid','unPaid') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'unPaid',
  `set_from` enum('affiliate','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'affiliate',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='تم الايقاف ';

-- --------------------------------------------------------

--
-- Table structure for table `order_products`
--

CREATE TABLE `order_products` (
  `id` int NOT NULL,
  `order_id` int DEFAULT NULL,
  `product_id` int DEFAULT NULL,
  `product_store_id` int DEFAULT NULL,
  `quantity` int DEFAULT NULL,
  `product_price` float DEFAULT '0',
  `product_price_multi` float DEFAULT '0',
  `merchant_supply` float DEFAULT NULL COMMENT 'توريد تاجر للمنتج الواحد',
  `merchant_id` float DEFAULT NULL COMMENT 'التاجر',
  `system_commission` float DEFAULT NULL COMMENT 'عمولة الادارة على المنتج من توريد التاجر',
  `system_product_commission` float DEFAULT '0' COMMENT 'عمولة الادارة الخاصة بالمنتجات متعلقة بقسم المنتج',
  `commission_price` float DEFAULT '0' COMMENT 'عمولة المسوق',
  `last_item_price` float DEFAULT '0' COMMENT 'السعر مضاف اليه الكوميشن  والخصم او الزيادة',
  `last_total_price` float DEFAULT '0' COMMENT 'الاجمالي النهائي'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='تم الايقاف ';

-- --------------------------------------------------------

--
-- Table structure for table `order_tickets`
--

CREATE TABLE `order_tickets` (
  `id` int NOT NULL,
  `user_id` int DEFAULT NULL,
  `order_id` int DEFAULT NULL,
  `title` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `message` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `ticket_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `related_to` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'تم الحذف',
  `ticket_type` enum('edit_on_price','replacement','return_price','late_on_delivery','order_commission','product_defect','delivery_different_product','problem_with_price','problem_with_payment_methods','problem_with_angizne','other') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'other',
  `status` enum('pending','finished','hanging') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'pending',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `order_ticket_comments`
--

CREATE TABLE `order_ticket_comments` (
  `id` int NOT NULL,
  `user_id` int DEFAULT NULL,
  `order_ticket_id` int DEFAULT NULL,
  `message` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `other_invoices`
--

CREATE TABLE `other_invoices` (
  `id` int NOT NULL,
  `merchant_id` int DEFAULT NULL,
  `note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `invoice_type` enum('mortal-invoice','merchant-return-invoice','merchant-supply-invoice','inventory-invoice','settlement-invoice') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `count_invoice_type` int DEFAULT '1',
  `total_quantity` int DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='فواتير الهالك';

-- --------------------------------------------------------

--
-- Table structure for table `other_invoice_items`
--

CREATE TABLE `other_invoice_items` (
  `id` int NOT NULL,
  `invoice_id` int DEFAULT NULL,
  `product_id` int DEFAULT NULL,
  `product_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `product_type_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `quantity` int DEFAULT NULL,
  `store_id` int DEFAULT NULL,
  `store_title` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `unit_title` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `pages`
--

CREATE TABLE `pages` (
  `id` int NOT NULL,
  `image` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `active` enum('1','0') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '0 == not active || 1 == active',
  `sort` int DEFAULT NULL,
  `affiliator_id` int DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `page_langs`
--

CREATE TABLE `page_langs` (
  `id` int NOT NULL,
  `page_id` int DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `title` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `pay_methods`
--

CREATE TABLE `pay_methods` (
  `id` int NOT NULL,
  `user_id` int DEFAULT NULL,
  `type` enum('bank_account','mobile_payment') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `account_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `bank_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `branch_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `mobile_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `provider_type` enum('vodafon_cash','orange_money','etisalat_flous') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `places`
--

CREATE TABLE `places` (
  `id` int NOT NULL,
  `admin_id` int DEFAULT NULL COMMENT 'Added By',
  `country_id` int DEFAULT NULL,
  `country_code` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `place_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `image` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `delivery_price` float DEFAULT '0' COMMENT 'للمدن فقط',
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `place_langs`
--

CREATE TABLE `place_langs` (
  `id` int NOT NULL,
  `place_id` int DEFAULT NULL,
  `lang_code` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `pla_name` varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `products`
--

CREATE TABLE `products` (
  `id` int NOT NULL,
  `trademark_id` int DEFAULT '0',
  `attachment_id` int DEFAULT '0',
  `count_trademark_product` int DEFAULT '0',
  `product_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `product_barcode` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `product_weight` float(20,2) DEFAULT '0.00',
  `merchant_id` int DEFAULT '0',
  `unit_id` int DEFAULT NULL,
  `price` float DEFAULT '0',
  `commission` float DEFAULT '0' COMMENT 'عمولة المسوق',
  `system_commission` float DEFAULT '0' COMMENT 'عمولة الادارة من توريد التاجر',
  `cost` float DEFAULT '0',
  `price_cost_virtual_currency` float NOT NULL DEFAULT '0',
  `price_one` float DEFAULT '0',
  `last_price_one` float DEFAULT '0',
  `price_half` float DEFAULT '0',
  `price_multi` float DEFAULT '0',
  `last_price_multi` float DEFAULT '0',
  `price_gomla_gomla` float DEFAULT '0',
  `merchant_supply` float DEFAULT '0',
  `renewable` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `product_url` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `product_note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci COMMENT 'ملاحظة تظهر للادمن فقط',
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '1',
  `key_words` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `currency_id` int NOT NULL DEFAULT '0',
  `price_in_currency` float NOT NULL DEFAULT '0',
  `add_shipping_cost` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '1',
  `show_cost_in_currency` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `show_cost` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `fixed_column` enum('price','profit','profit_rate') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'price',
  `price_one_profit` float NOT NULL DEFAULT '0',
  `price_one_profit_rate` float NOT NULL DEFAULT '0',
  `price_half_profit` float NOT NULL DEFAULT '0',
  `price_half_profit_rate` float NOT NULL DEFAULT '0',
  `price_multi_profit` float NOT NULL DEFAULT '0',
  `price_multi_profit_rate` float NOT NULL DEFAULT '0',
  `price_gomla_gomla_profit` float NOT NULL DEFAULT '0',
  `price_gomla_gomla_profit_rate` float NOT NULL DEFAULT '0',
  `edit_price_exchange` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `discount_in_currency` float NOT NULL DEFAULT '0',
  `discount_rate_in_currency` float NOT NULL DEFAULT '0',
  `last_price_half` float NOT NULL DEFAULT '0',
  `last_price_gomla_gomla` float NOT NULL DEFAULT '0',
  `last_price_one_rate` float NOT NULL DEFAULT '0',
  `last_price_half_rate` float NOT NULL DEFAULT '0',
  `last_price_multi_rate` float NOT NULL DEFAULT '0',
  `last_price_gomla_gomla_rate` float NOT NULL DEFAULT '0',
  `admin_id` int DEFAULT NULL,
  `new_store_amounts_date_added` datetime DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `product_availability_notices`
--

CREATE TABLE `product_availability_notices` (
  `id` bigint NOT NULL,
  `product_id` int DEFAULT '0',
  `client_id` int DEFAULT '0',
  `affiliator_id` int DEFAULT '0',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `notify_status` enum('send','not_send') DEFAULT 'not_send',
  `note` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `admin_id` int DEFAULT '0',
  `set_from` enum('affiliate','web','app') DEFAULT 'affiliate',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='اشعارات لتوفر الطلب';

-- --------------------------------------------------------

--
-- Table structure for table `product_discounts`
--

CREATE TABLE `product_discounts` (
  `id` bigint NOT NULL,
  `product_id` int DEFAULT NULL,
  `store_open_cart_id` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `product_form_shapes`
--

CREATE TABLE `product_form_shapes` (
  `id` int NOT NULL,
  `product_id` int DEFAULT NULL,
  `form_shape_id` int DEFAULT NULL,
  `value` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `product_langs`
--

CREATE TABLE `product_langs` (
  `id` int NOT NULL,
  `lang_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `promotional_description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `brief_description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `product_id` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `product_medias`
--

CREATE TABLE `product_medias` (
  `id` bigint NOT NULL,
  `product_id` int DEFAULT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `size` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `product_services`
--

CREATE TABLE `product_services` (
  `id` int NOT NULL,
  `service_id` int DEFAULT NULL,
  `product_id` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `product_stores`
--

CREATE TABLE `product_stores` (
  `id` int NOT NULL,
  `product_id` int DEFAULT NULL,
  `store_id` int DEFAULT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `value` int DEFAULT '0',
  `for_type` enum('none','order','order_refund','sale-invoice','receipt-return-invoice','sale-return-invoice','receipt-invoice','mortal-invoice','settlement-invoice','inventory-invoice','merchant-return-invoice','merchant-supply-invoice') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `for_id` int DEFAULT '0',
  `type` enum('remove','add') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `is_deleted` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `product_suggesstion_search_keys`
--

CREATE TABLE `product_suggesstion_search_keys` (
  `id` int NOT NULL,
  `product_id` int DEFAULT NULL,
  `suggesstion` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='اقتراحات البحث';

-- --------------------------------------------------------

--
-- Table structure for table `search_product_reports`
--

CREATE TABLE `search_product_reports` (
  `id` bigint NOT NULL,
  `client_id` int DEFAULT NULL,
  `affiliator_id` int DEFAULT NULL,
  `searchKey` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `searchCategoryId` int DEFAULT NULL,
  `count_results` int DEFAULT '0',
  `set_from` enum('app','web') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='عمليات البحث من التطبيق او الموقع على المنتجات';

-- --------------------------------------------------------

--
-- Table structure for table `services`
--

CREATE TABLE `services` (
  `id` int NOT NULL,
  `parent` int DEFAULT '0',
  `key_word` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `sort` int DEFAULT NULL,
  `ser_image` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `expiration_date` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `service_system_commission` float DEFAULT '0',
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `service_langs`
--

CREATE TABLE `service_langs` (
  `id` int NOT NULL,
  `service_id` int DEFAULT NULL,
  `lang_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `ser_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `ser_description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `service_sliders`
--

CREATE TABLE `service_sliders` (
  `id` int NOT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `service_id` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `service_specifications`
--

CREATE TABLE `service_specifications` (
  `id` int NOT NULL,
  `service_id` int DEFAULT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `settings`
--

CREATE TABLE `settings` (
  `id` int NOT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `value` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `autoload` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `settings`
--

INSERT INTO `settings` (`id`, `name`, `value`, `autoload`) VALUES
(1, 'site_name', '', '1'),
(2, 'site_url', '', '1'),
(3, 'site_desc', '', '1'),
(4, 'site_keywords', '', '1'),
(5, 'site_email', 'info@affiliate.com', '1'),
(6, 'thumbnail_size_w', '150', '1'),
(7, 'thumbnail_size_h', '150', '1'),
(8, 'medium_size_w', '300', '1'),
(9, 'medium_size_h', '300', '1'),
(10, 'large_size_w', '1024', '1'),
(11, 'large_size_h', '1024', '1'),
(12, 'date_type', 'gregorian', '1'),
(13, 'format_date', 'd n ,Y g:i a', '1'),
(18, 'start_time', '9', '1'),
(19, 'mobile_site', '000000000000', '1'),
(20, 'whatUp_site', '000000000', '1'),
(21, 'show_products_quantity_to_affilators', '0', '1'),
(22, 'price_gomla_gomla_logo', '', '1'),
(23, 'price_half_logo', '', '1'),
(24, 'price_logo', '', '1'),
(25, 'price_multi_logo', '', '1'),
(26, 'price_one_logo', '', '1'),
(27, 'system_order_commission', '0', '1'),
(29, 'limit_show_data_from', '2020-01-01', '1'),
(30, 'maintenance_mode_for_all_affiliatores', '', '1'),
(31, 'maintenance_mode_message_for_all_affiliatores', 'اغلاق المتجر بشكل مؤقت', '1'),
(32, 'shipping_weight', '1', '1'),
(33, 'shipping_amount', '15', '1'),
(34, 'shipping_currency', '2', '1');

-- --------------------------------------------------------

--
-- Table structure for table `share_product_reports`
--

CREATE TABLE `share_product_reports` (
  `id` int NOT NULL,
  `affiliator_id` int NOT NULL,
  `client_id` int NOT NULL,
  `product_id` int NOT NULL,
  `set_from` enum('affiliate','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'affiliate',
  `app_version` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `shipments`
--

CREATE TABLE `shipments` (
  `id` int NOT NULL,
  `traveler_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `traveler_avatar` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `shipment_status` enum('sending','underExecution','received') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'sending',
  `all_weight` decimal(15,2) DEFAULT NULL,
  `commission` decimal(15,2) DEFAULT NULL,
  `travel_to` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `travel_date` datetime DEFAULT NULL,
  `mobile` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `whats_up` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `ticket_image` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `receipt_notes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='الشحنات التي تم ارسالها والشحنات قيد التوصيل من تطبيق ترافيل';

-- --------------------------------------------------------

--
-- Table structure for table `shipments_edit_logs`
--

CREATE TABLE `shipments_edit_logs` (
  `id` int NOT NULL,
  `shipment_id` int DEFAULT NULL,
  `receipt_notes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `commission` decimal(15,2) DEFAULT NULL,
  `date_added` datetime DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `shipment_status` enum('sending','underExecution','received') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `shipment_products`
--

CREATE TABLE `shipment_products` (
  `id` int NOT NULL,
  `shipment_id` int DEFAULT NULL,
  `quantity` int DEFAULT '0',
  `image` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `product_id` int DEFAULT NULL,
  `product_barcode` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `sku` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `manf_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `price` decimal(15,2) DEFAULT NULL,
  `weight` decimal(15,2) DEFAULT NULL,
  `price_without_tax` decimal(15,2) DEFAULT NULL,
  `price_with_tax` decimal(15,2) DEFAULT NULL,
  `saudi_price` decimal(15,2) DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `shipment_products_edit_logs`
--

CREATE TABLE `shipment_products_edit_logs` (
  `id` int NOT NULL,
  `shipments_edit_logs_id` int DEFAULT NULL,
  `quantity` int DEFAULT '0',
  `image` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `product_id` int DEFAULT NULL,
  `product_barcode` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `sku` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `manf_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `price` decimal(15,2) DEFAULT NULL,
  `weight` decimal(15,2) DEFAULT NULL,
  `price_without_tax` decimal(15,2) DEFAULT NULL,
  `price_with_tax` decimal(15,2) DEFAULT NULL,
  `saudi_price` decimal(15,2) DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `shipping_methods`
--

CREATE TABLE `shipping_methods` (
  `id` int NOT NULL,
  `company_code` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `active` enum('0','1') NOT NULL DEFAULT '1',
  `shipping_policy` enum('0','1') NOT NULL DEFAULT '0',
  `default_shipping_method` enum('0','1') NOT NULL DEFAULT '0',
  `image` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `sort` int NOT NULL DEFAULT '0',
  `admin_id` int NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `shipping_methods_governorate`
--

CREATE TABLE `shipping_methods_governorate` (
  `id` int NOT NULL,
  `p_id` int NOT NULL DEFAULT '0',
  `governorate_id` int NOT NULL DEFAULT '0',
  `customer_price` float NOT NULL DEFAULT '0',
  `store_price` float NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `shipping_methods_governorate_langs`
--

CREATE TABLE `shipping_methods_governorate_langs` (
  `id` int NOT NULL,
  `p_id` int NOT NULL DEFAULT '0',
  `shipping_methods_gov_id` int NOT NULL DEFAULT '0',
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `shipping_methods_langs`
--

CREATE TABLE `shipping_methods_langs` (
  `id` int NOT NULL,
  `p_id` int NOT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `stores`
--

CREATE TABLE `stores` (
  `id` int NOT NULL,
  `active` enum('1','0') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '0 == not active || 1 == active',
  `code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `image` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `stores`
--

INSERT INTO `stores` (`id`, `active`, `code`, `sort`, `image`, `admin_id`, `date_added`) VALUES
(1, '1', 'M1', 1, NULL, NULL, '2020-07-27 13:20:58'),
(2, '1', 'M2', 0, NULL, NULL, '2021-05-08 21:45:20');

-- --------------------------------------------------------

--
-- Table structure for table `store_langs`
--

CREATE TABLE `store_langs` (
  `id` int NOT NULL,
  `store_id` int DEFAULT NULL,
  `lang_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `title` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `store_langs`
--

INSERT INTO `store_langs` (`id`, `store_id`, `lang_code`, `title`) VALUES
(1, 1, 'ar', 'المخزن الافتراضي'),
(3, 2, 'ar', 'مخزن الهالك');

-- --------------------------------------------------------

--
-- Table structure for table `store_open_carts`
--

CREATE TABLE `store_open_carts` (
  `id` int NOT NULL,
  `url` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `customer_price_id` int DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `image` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `store_open_cart_langs`
--

CREATE TABLE `store_open_cart_langs` (
  `id` int NOT NULL,
  `store_open_cart_id` int DEFAULT NULL,
  `lang_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `store_type_and_facility`
--

CREATE TABLE `store_type_and_facility` (
  `id` int NOT NULL,
  `label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int NOT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `store_type_and_facility`
--

INSERT INTO `store_type_and_facility` (`id`, `label`, `admin_id`, `date_added`) VALUES
(1, 'نوع المتجر', 41, '2023-06-12 15:23:06'),
(2, 'نوع المنشأة', 41, '2023-06-12 15:23:06');

-- --------------------------------------------------------

--
-- Table structure for table `store_type_and_facility_options`
--

CREATE TABLE `store_type_and_facility_options` (
  `id` int NOT NULL,
  `p_id` int DEFAULT NULL,
  `label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `is_deleted` enum('0','1') DEFAULT '0',
  `admin_id` int NOT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `support_and_blog_category`
--

CREATE TABLE `support_and_blog_category` (
  `id` int NOT NULL,
  `affiliators_ids` text,
  `parent` int NOT NULL DEFAULT '0',
  `sort` int NOT NULL DEFAULT '0',
  `img` varchar(50) DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `admin_id` int NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `support_and_blog_category_langs`
--

CREATE TABLE `support_and_blog_category_langs` (
  `id` int NOT NULL,
  `cat_id` int NOT NULL DEFAULT '0',
  `name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `lang_code` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `support_and_blog_pages`
--

CREATE TABLE `support_and_blog_pages` (
  `id` int NOT NULL,
  `parent` int NOT NULL DEFAULT '0',
  `affiliator_id` int NOT NULL DEFAULT '0',
  `cat_id` int NOT NULL DEFAULT '0',
  `mode` enum('page','drop_down') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'page',
  `sort` int NOT NULL DEFAULT '0',
  `img` varchar(50) DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `admin_id` int NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `support_and_blog_pages_langs`
--

CREATE TABLE `support_and_blog_pages_langs` (
  `id` int NOT NULL,
  `page_id` int NOT NULL DEFAULT '0',
  `title` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `lang_code` varchar(5) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `trademarks`
--

CREATE TABLE `trademarks` (
  `id` int NOT NULL,
  `active` enum('1','0') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '0 == not active || 1 == active',
  `code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `image` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `alternate_words_array` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `trademark_langs`
--

CREATE TABLE `trademark_langs` (
  `id` int NOT NULL,
  `trademark_id` int DEFAULT NULL,
  `lang_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `title` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `treasures`
--

CREATE TABLE `treasures` (
  `id` int NOT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `treasures`
--

INSERT INTO `treasures` (`id`, `name`, `admin_id`, `date_added`) VALUES
(1, 'الخزينة الافتراضية', 41, '2020-08-27 17:03:02'),
(2, 'فودافون كاش', 41, '2021-04-30 16:27:28'),
(3, 'البريد', 41, '2021-05-08 12:38:56');

-- --------------------------------------------------------

--
-- Table structure for table `treasures_balances`
--

CREATE TABLE `treasures_balances` (
  `id` int NOT NULL,
  `treasure_id` int DEFAULT NULL,
  `balance` float DEFAULT NULL,
  `note` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `type` enum('add','remove') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `for_id` int DEFAULT '0',
  `for_type` enum('none','order','order_refund','sale-invoice','receipt-invoice','receipt-return-invoice','sale-return-invoice','get-voucher','cashing-voucher','balance_withdrawal_request') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'none',
  `date_treasures` datetime DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `units`
--

CREATE TABLE `units` (
  `id` int NOT NULL,
  `active` enum('1','0') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '0 == not active || 1 == active',
  `sort` int DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `unit_langs`
--

CREATE TABLE `unit_langs` (
  `id` int NOT NULL,
  `unit_id` int DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `title` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int NOT NULL,
  `user_level` int DEFAULT NULL,
  `dealer_id` int DEFAULT NULL,
  `user_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `email` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `country_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `mobile` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `brief` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `client_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'for client',
  `price_type` enum('price_one','price_multi','price','price_half','price_gomla_gomla') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'انواع الاسعار خاصة بالعميل ولو كان مسوق هي نوع السعر الذي سيظهر لعملاء المسوق  ',
  `client_store_id` int DEFAULT '-1' COMMENT 'لو كانت اكبر من -١ يعني انه من المتجر الاوبن كارت',
  `address` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'for client',
  `set_from` enum('affiliate','openCart','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'affiliate',
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `authentication_code` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `admin_id` int DEFAULT NULL,
  `admin_cart_id` int DEFAULT '0' COMMENT 'رقم المتجر الخاص بالادمن  for admin',
  `affiliator_id` int DEFAULT '0' COMMENT 'for client العميل تابع لهذا المسوق',
  `group_id` int DEFAULT NULL,
  `is_deleted` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `drop_shipping` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `drop_shipping_commission` int NOT NULL DEFAULT '0',
  `share_product_links` enum('0','1') DEFAULT '1',
  `share_product_photos` enum('0','1') DEFAULT '1',
  `share_product_descriptions` enum('0','1') DEFAULT '1',
  `country_id` int NOT NULL DEFAULT '0',
  `city_id` int NOT NULL DEFAULT '0',
  `client_gender` varchar(50) DEFAULT NULL,
  `facility_type` int NOT NULL DEFAULT '0',
  `user_type` enum('client','delegate') DEFAULT 'client',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `user_level`, `dealer_id`, `user_name`, `email`, `country_code`, `mobile`, `avatar`, `password`, `brief`, `client_code`, `price_type`, `client_store_id`, `address`, `set_from`, `active`, `authentication_code`, `admin_id`, `admin_cart_id`, `affiliator_id`, `group_id`, `is_deleted`, `drop_shipping`, `drop_shipping_commission`, `share_product_links`, `share_product_photos`, `share_product_descriptions`, `country_id`, `city_id`, `client_gender`, `facility_type`, `user_type`, `date_added`) VALUES
(1, 1, NULL, 'admin', 'admin@admin.com', '', '02010000000', '', '$2y$10$7IWphBJciXsq.h54W4fSqO.raMSzlxtf.hd1ig/xqe4aSQojMHxAS', NULL, NULL, 'price_one', -1, NULL, 'affiliate', '1', '$2y$10$2dEpl5tI/dPfS7WsEVlCxeHwGsl3yZYfsTHjlvu/4qkv3/twFANfG', 1, 0, 0, 0, '0', '0', 0, '1', '1', '1', 0, 0, NULL, 0, 'client', '2020-07-29 12:58:11'),
(2, 1000, NULL, 'GOGET', 'ayman.fayez480@gmail.com', NULL, '5822551700', NULL, '$2y$10$HIP6x/43KsEUflOQ6.MnbObfGVH.Ev5OyHKUFRl8f3.HKZXW3BZBi', NULL, NULL, 'price_multi', -1, NULL, 'affiliate', '1', '$2y$10$SgY2cwe70xDA1w8Vn.yCYOZHKV8lpTEl.ZJZnw6FfpDiZX/.cx6ma', 1, 0, 0, 0, '0', '0', 0, '1', '1', '1', 0, 0, NULL, 0, 'client', '2021-12-28 15:32:29');

-- --------------------------------------------------------

--
-- Table structure for table `users_store_type`
--

CREATE TABLE `users_store_type` (
  `id` int NOT NULL,
  `client_id` int NOT NULL,
  `store_type_id` int NOT NULL,
  `store_type_url` varchar(250) DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `users_store_type`
--

INSERT INTO `users_store_type` (`id`, `client_id`, `store_type_id`, `store_type_url`, `date_added`) VALUES
(1, 926, 5, '45454', '2023-06-13 12:26:49'),
(2, 926, 6, 'qsadsadsa', '2023-06-13 12:26:49');

-- --------------------------------------------------------

--
-- Table structure for table `user_balances`
--

CREATE TABLE `user_balances` (
  `id` int NOT NULL,
  `value` float DEFAULT NULL,
  `transaction` enum('start_client_dept','start_client_pay','order_commission_pay','order_merchant_supply_pay','balance_withdrawal_request_dept','balance_withdrawal_request_pending','order_commission_pending','order_merchant_supply_pending','order_commission_refund_dept','order_merchant_refund_dept','sale_invoice_dept','receipt_invoice_pay','sale_return_invoice_pay','receipt_return_invoice_dept','get_voucher_pay','cashing_voucher_dept','sale_invoice_pay','sale_return_invoice_dept','receipt_invoice_dept','receipt_return_invoice_pay') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'يجب ان تتضمن ديبت او بيندينج او باي',
  `transaction_type` enum('pay','dept','pending') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `for_id` int DEFAULT NULL,
  `treasure_id` int DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `user_levels`
--

CREATE TABLE `user_levels` (
  `id` int NOT NULL,
  `admin_id` int DEFAULT NULL COMMENT 'Added By',
  `level_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL,
  `settings_view` tinyint(1) DEFAULT NULL,
  `main_view` tinyint(1) DEFAULT NULL,
  `pages_add` tinyint(1) DEFAULT NULL,
  `pages_edit` tinyint(1) DEFAULT NULL,
  `pages_delete` tinyint(1) DEFAULT NULL,
  `pages_view` tinyint(1) DEFAULT NULL,
  `levels_add` tinyint(1) DEFAULT NULL,
  `levels_edit` tinyint(1) DEFAULT NULL,
  `levels_delete` tinyint(1) DEFAULT NULL,
  `levels_view` tinyint(1) DEFAULT NULL,
  `affiliators_add` tinyint(1) DEFAULT NULL,
  `affiliators_edit` tinyint(1) DEFAULT NULL,
  `affiliators_delete` tinyint(1) DEFAULT NULL,
  `affiliators_view` tinyint(1) DEFAULT NULL,
  `affiliators_details_view` tinyint(1) DEFAULT NULL,
  `admins_add` tinyint(1) DEFAULT NULL,
  `admins_edit` tinyint(1) DEFAULT NULL,
  `admins_delete` tinyint(1) DEFAULT NULL,
  `admins_view` tinyint(1) DEFAULT NULL,
  `my_profile_view` tinyint(1) DEFAULT NULL,
  `places_add` tinyint(1) DEFAULT NULL,
  `places_edit` tinyint(1) DEFAULT NULL,
  `places_delete` tinyint(1) DEFAULT NULL,
  `places_view` tinyint(1) DEFAULT NULL,
  `products_add` tinyint(1) DEFAULT NULL,
  `products_edit` tinyint(1) DEFAULT NULL,
  `pricing_system_according_exchange_rate` tinyint(1) DEFAULT '0',
  `profit_calculation_system` tinyint(1) DEFAULT '0',
  `marketer_price` tinyint(1) DEFAULT '0',
  `orders_add` tinyint(1) DEFAULT NULL,
  `orders_edit` tinyint(1) DEFAULT NULL,
  `orders_view` tinyint(1) DEFAULT NULL,
  `orders_delete` tinyint(1) DEFAULT NULL,
  `orders_details_view` tinyint(1) DEFAULT NULL,
  `products_view` tinyint(1) DEFAULT NULL,
  `products_delete` tinyint(1) DEFAULT NULL,
  `services_add` tinyint(1) DEFAULT NULL,
  `services_edit` tinyint(1) DEFAULT NULL,
  `services_delete` tinyint(1) DEFAULT NULL,
  `services_view` tinyint(1) DEFAULT NULL,
  `trademarks_add` tinyint(1) DEFAULT NULL,
  `trademarks_edit` tinyint(1) DEFAULT NULL,
  `trademarks_view` tinyint(1) DEFAULT NULL,
  `trademarks_delete` tinyint(1) DEFAULT NULL,
  `tickets_add` tinyint(1) DEFAULT NULL,
  `tickets_edit` tinyint(1) DEFAULT NULL,
  `tickets_delete` tinyint(1) DEFAULT NULL,
  `tickets_view` tinyint(1) DEFAULT NULL,
  `tickets_details_view` tinyint(1) DEFAULT NULL,
  `merchants_add` tinyint(1) DEFAULT NULL,
  `merchants_edit` tinyint(1) DEFAULT NULL,
  `merchants_delete` tinyint(1) DEFAULT NULL,
  `merchants_view` tinyint(1) DEFAULT NULL,
  `stores_add` tinyint(1) DEFAULT NULL,
  `stores_delete` tinyint(1) DEFAULT NULL,
  `stores_edit` tinyint(1) DEFAULT NULL,
  `stores_view` tinyint(1) DEFAULT NULL,
  `units_add` tinyint(1) DEFAULT NULL,
  `units_view` tinyint(1) DEFAULT NULL,
  `units_edit` tinyint(1) DEFAULT NULL,
  `units_delete` tinyint(1) DEFAULT NULL,
  `product_stores_delete` tinyint(1) DEFAULT NULL,
  `product_stores_add` tinyint(1) DEFAULT NULL,
  `product_stores_edit` tinyint(1) DEFAULT NULL,
  `product_stores_view` tinyint(1) DEFAULT NULL,
  `treasures_view` tinyint(1) DEFAULT NULL,
  `treasures_delete` tinyint(1) DEFAULT NULL,
  `treasures_add` tinyint(1) DEFAULT NULL,
  `treasures_edit` tinyint(1) DEFAULT NULL,
  `treasures_details_view` tinyint(1) DEFAULT NULL,
  `receipt_invoices_add` tinyint(1) DEFAULT '0',
  `receipt_invoices_edit` tinyint(1) DEFAULT '0',
  `receipt_invoices_delete` tinyint(1) DEFAULT '0',
  `receipt_invoices_view` tinyint(1) DEFAULT '0',
  `sale_invoices_add` tinyint(1) DEFAULT '0',
  `sale_invoices_edit` tinyint(1) DEFAULT '0',
  `sale_invoices_delete` tinyint(1) DEFAULT '0',
  `sale_invoices_view` tinyint(1) DEFAULT '0',
  `pullBalanceRequests_add` tinyint(1) DEFAULT NULL,
  `pullBalanceRequests_delete` tinyint(1) DEFAULT NULL,
  `pullBalanceRequests_view` tinyint(1) DEFAULT NULL,
  `balances_view` tinyint(1) DEFAULT NULL,
  `clients_add` tinyint(1) DEFAULT NULL,
  `clients_edit` tinyint(1) DEFAULT NULL,
  `clients_view` tinyint(1) DEFAULT NULL,
  `clients_delete` tinyint(1) DEFAULT NULL,
  `clients_details_view` tinyint(1) DEFAULT NULL,
  `earnings_view` tinyint DEFAULT NULL,
  `shipments_view` tinyint(1) DEFAULT NULL,
  `shipments_edit` tinyint(1) DEFAULT NULL,
  `voucher_clauses_add` tinyint(1) DEFAULT '0',
  `voucher_clauses_view` tinyint(1) DEFAULT '0',
  `voucher_clauses_edit` tinyint(1) DEFAULT '0',
  `voucher_clauses_delete` tinyint(1) DEFAULT '0',
  `get_vouchers_add` tinyint(1) DEFAULT '0',
  `get_vouchers_edit` tinyint(1) DEFAULT '0',
  `get_vouchers_delete` tinyint(1) DEFAULT '0',
  `get_vouchers_view` tinyint(1) DEFAULT '0',
  `cashing_vouchers_add` tinyint(1) DEFAULT '0',
  `cashing_vouchers_edit` tinyint(1) DEFAULT '0',
  `cashing_vouchers_delete` tinyint(1) DEFAULT '0',
  `cashing_vouchers_view` tinyint(1) DEFAULT '0',
  `inventory_invoices_add` tinyint(1) DEFAULT '0',
  `inventory_invoices_edit` tinyint(1) DEFAULT '0',
  `inventory_invoices_delete` tinyint(1) DEFAULT '0',
  `inventory_invoices_view` tinyint(1) DEFAULT '0',
  `merchant_supply_invoices_add` tinyint(1) DEFAULT '0',
  `merchant_supply_invoices_edit` tinyint(1) DEFAULT '0',
  `merchant_supply_invoices_delete` tinyint(1) DEFAULT '0',
  `merchant_supply_invoices_view` tinyint(1) DEFAULT '0',
  `settlement_invoices_add` tinyint(1) DEFAULT '0',
  `settlement_invoices_edit` tinyint(1) DEFAULT '0',
  `settlement_invoices_delete` tinyint(1) DEFAULT '0',
  `settlement_invoices_view` tinyint(1) DEFAULT '0',
  `merchant_return_invoices_add` tinyint(1) DEFAULT '0',
  `merchant_return_invoices_edit` tinyint(1) DEFAULT '0',
  `merchant_return_invoices_delete` tinyint(1) DEFAULT '0',
  `merchant_return_invoices_view` tinyint(1) DEFAULT '0',
  `mortal_invoices_add` tinyint(1) DEFAULT '0',
  `mortal_invoices_edit` tinyint(1) DEFAULT '0',
  `mortal_invoices_delete` tinyint(1) DEFAULT '0',
  `mortal_invoices_view` tinyint(1) DEFAULT '0',
  `export_db` tinyint(1) DEFAULT NULL,
  `import_db` tinyint(1) DEFAULT NULL,
  `just_my_invoices_view` tinyint(1) DEFAULT NULL,
  `receipt_return_invoices_view` tinyint(1) DEFAULT NULL,
  `receipt_return_invoices_delete` tinyint(1) DEFAULT NULL,
  `receipt_return_invoices_edit` tinyint(1) DEFAULT NULL,
  `receipt_return_invoices_add` tinyint(1) DEFAULT NULL,
  `sale_return_invoices_view` tinyint(1) DEFAULT NULL,
  `sale_return_invoices_delete` tinyint(1) DEFAULT NULL,
  `sale_return_invoices_edit` tinyint(1) DEFAULT NULL,
  `sale_return_invoices_add` tinyint(1) DEFAULT NULL,
  `admin_notifications_add` tinyint(1) DEFAULT NULL,
  `admin_notifications_edit` tinyint(1) DEFAULT NULL,
  `admin_notifications_delete` tinyint(1) DEFAULT NULL,
  `admin_notifications_view` tinyint(1) DEFAULT NULL,
  `subscribes_add` tinyint(1) DEFAULT NULL,
  `subscribes_edit` tinyint(1) DEFAULT NULL,
  `subscribes_delete` tinyint(1) DEFAULT NULL,
  `subscribes_view` tinyint(1) DEFAULT NULL,
  `banners_add` tinyint(1) DEFAULT NULL,
  `banners_delete` tinyint(1) DEFAULT NULL,
  `banners_edit` tinyint(1) DEFAULT NULL,
  `banners_view` tinyint(1) DEFAULT NULL,
  `report_visitors_view` tinyint(1) DEFAULT NULL,
  `report_visitors_delete` tinyint(1) DEFAULT NULL,
  `report_searchings_delete` int DEFAULT NULL,
  `report_searchings_view` int DEFAULT NULL,
  `offers_add` tinyint(1) DEFAULT NULL,
  `offers_edit` tinyint(1) DEFAULT NULL,
  `offers_delete` tinyint(1) DEFAULT NULL,
  `offers_view` tinyint(1) DEFAULT NULL,
  `attachments_view` tinyint(1) DEFAULT NULL,
  `attachments_edit` tinyint(1) DEFAULT NULL,
  `attachments_delete` tinyint(1) DEFAULT NULL,
  `attachments_add` tinyint(1) DEFAULT NULL,
  `invoices_change_to_pending` tinyint(1) DEFAULT '0',
  `invoices_change_to_booked_up` tinyint(1) NOT NULL DEFAULT '0',
  `invoices_change_to_waiting_confirm` tinyint(1) DEFAULT '0',
  `invoices_change_to_confirmed` tinyint(1) DEFAULT '0',
  `invoices_change_to_client_not_responce` tinyint(1) DEFAULT '0',
  `invoices_change_to_under_prepare` tinyint(1) DEFAULT '0',
  `invoices_change_to_ready_to_delivered` tinyint(1) DEFAULT '0',
  `invoices_change_to_in_delivered` tinyint(1) DEFAULT '0',
  `invoices_change_to_delivered` tinyint(1) DEFAULT '0',
  `invoices_change_to_refunded` tinyint(1) DEFAULT '0',
  `invoices_change_to_canceled` tinyint(1) DEFAULT '0',
  `invoices_change_to_paid` tinyint(1) DEFAULT '0',
  `form_shapes_edit` tinyint(1) DEFAULT NULL,
  `form_shapes_add` tinyint(1) DEFAULT NULL,
  `form_shapes_delete` tinyint(1) DEFAULT NULL,
  `form_shapes_view` tinyint(1) DEFAULT NULL,
  `clients_groups_add` tinyint DEFAULT NULL,
  `clients_groups_edit` tinyint DEFAULT NULL,
  `clients_groups_view` tinyint DEFAULT NULL,
  `clients_groups_delete` tinyint DEFAULT NULL,
  `baskets_view` tinyint(1) DEFAULT NULL,
  `baskets_details_view` tinyint(1) DEFAULT NULL,
  `coupons_add` tinyint(1) DEFAULT '0',
  `coupons_edit` tinyint(1) DEFAULT '0',
  `coupons_delete` tinyint(1) DEFAULT '0',
  `coupons_view` tinyint(1) DEFAULT '0',
  `browse_product_history_view` tinyint(1) DEFAULT '0',
  `support_and_blog_category_add` tinyint(1) DEFAULT '0',
  `support_and_blog_category_edit` tinyint(1) DEFAULT '0',
  `support_and_blog_category_delete` tinyint(1) DEFAULT '0',
  `support_and_blog_category_view` tinyint(1) DEFAULT '0',
  `support_and_blog_pages_add` tinyint(1) DEFAULT '0',
  `support_and_blog_pages_edit` tinyint(1) DEFAULT '0',
  `support_and_blog_pages_delete` tinyint(1) DEFAULT '0',
  `support_and_blog_pages_view` tinyint(1) DEFAULT '0',
  `shipping_methods_add` tinyint(1) NOT NULL DEFAULT '0',
  `shipping_methods_edit` tinyint(1) NOT NULL DEFAULT '0',
  `shipping_methods_delete` tinyint(1) NOT NULL DEFAULT '0',
  `shipping_methods_view` tinyint(1) NOT NULL DEFAULT '0',
  `report_visitors_admin_view` tinyint NOT NULL DEFAULT '0',
  `report_visitors_admin_delete` tinyint NOT NULL DEFAULT '0',
  `dealers_add` tinyint(1) DEFAULT '0',
  `dealers_edit` tinyint(1) DEFAULT '0',
  `dealers_delete` tinyint(1) DEFAULT '0',
  `dealers_details_view` tinyint(1) DEFAULT '0',
  `dealers_view` tinyint(1) DEFAULT '0',
  `dealers_plans_add` tinyint(1) DEFAULT '0',
  `dealers_plans_edit` tinyint(1) DEFAULT '0',
  `dealers_plans_delete` tinyint(1) DEFAULT '0',
  `dealers_plans_view` tinyint(1) DEFAULT '0',
  `languages_add` tinyint(1) DEFAULT '0',
  `languages_edit` tinyint(1) DEFAULT '0',
  `languages_delete` tinyint(1) DEFAULT '0',
  `languages_view` tinyint(1) DEFAULT '0',
  `favorites_view` tinyint(1) DEFAULT '0',
  `reports_products_view` tinyint(1) DEFAULT '0',
  `store_type_and_facility_edit` tinyint(1) DEFAULT '0',
  `store_type_and_facility_view` tinyint(1) DEFAULT '0',
  `accounts_add` tinyint(1) DEFAULT '0',
  `accounts_view` tinyint(1) DEFAULT '0',
  `accounts_edit` tinyint(1) DEFAULT '0',
  `accounts_delete` tinyint(1) DEFAULT '0',
  `clientsWallet_add` tinyint(1) DEFAULT '0',
  `clientsWallet_edit` tinyint(1) DEFAULT '0',
  `clientsWallet_view` tinyint(1) DEFAULT '0',
  `clientsWallet_delete` tinyint(1) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `user_levels`
--

INSERT INTO `user_levels` (`id`, `admin_id`, `level_name`, `date_added`, `settings_view`, `main_view`, `pages_add`, `pages_edit`, `pages_delete`, `pages_view`, `levels_add`, `levels_edit`, `levels_delete`, `levels_view`, `affiliators_add`, `affiliators_edit`, `affiliators_delete`, `affiliators_view`, `affiliators_details_view`, `admins_add`, `admins_edit`, `admins_delete`, `admins_view`, `my_profile_view`, `places_add`, `places_edit`, `places_delete`, `places_view`, `products_add`, `products_edit`, `pricing_system_according_exchange_rate`, `profit_calculation_system`, `marketer_price`, `orders_add`, `orders_edit`, `orders_view`, `orders_delete`, `orders_details_view`, `products_view`, `products_delete`, `services_add`, `services_edit`, `services_delete`, `services_view`, `trademarks_add`, `trademarks_edit`, `trademarks_view`, `trademarks_delete`, `tickets_add`, `tickets_edit`, `tickets_delete`, `tickets_view`, `tickets_details_view`, `merchants_add`, `merchants_edit`, `merchants_delete`, `merchants_view`, `stores_add`, `stores_delete`, `stores_edit`, `stores_view`, `units_add`, `units_view`, `units_edit`, `units_delete`, `product_stores_delete`, `product_stores_add`, `product_stores_edit`, `product_stores_view`, `treasures_view`, `treasures_delete`, `treasures_add`, `treasures_edit`, `treasures_details_view`, `receipt_invoices_add`, `receipt_invoices_edit`, `receipt_invoices_delete`, `receipt_invoices_view`, `sale_invoices_add`, `sale_invoices_edit`, `sale_invoices_delete`, `sale_invoices_view`, `pullBalanceRequests_add`, `pullBalanceRequests_delete`, `pullBalanceRequests_view`, `balances_view`, `clients_add`, `clients_edit`, `clients_view`, `clients_delete`, `clients_details_view`, `earnings_view`, `shipments_view`, `shipments_edit`, `voucher_clauses_add`, `voucher_clauses_view`, `voucher_clauses_edit`, `voucher_clauses_delete`, `get_vouchers_add`, `get_vouchers_edit`, `get_vouchers_delete`, `get_vouchers_view`, `cashing_vouchers_add`, `cashing_vouchers_edit`, `cashing_vouchers_delete`, `cashing_vouchers_view`, `inventory_invoices_add`, `inventory_invoices_edit`, `inventory_invoices_delete`, `inventory_invoices_view`, `merchant_supply_invoices_add`, `merchant_supply_invoices_edit`, `merchant_supply_invoices_delete`, `merchant_supply_invoices_view`, `settlement_invoices_add`, `settlement_invoices_edit`, `settlement_invoices_delete`, `settlement_invoices_view`, `merchant_return_invoices_add`, `merchant_return_invoices_edit`, `merchant_return_invoices_delete`, `merchant_return_invoices_view`, `mortal_invoices_add`, `mortal_invoices_edit`, `mortal_invoices_delete`, `mortal_invoices_view`, `export_db`, `import_db`, `just_my_invoices_view`, `receipt_return_invoices_view`, `receipt_return_invoices_delete`, `receipt_return_invoices_edit`, `receipt_return_invoices_add`, `sale_return_invoices_view`, `sale_return_invoices_delete`, `sale_return_invoices_edit`, `sale_return_invoices_add`, `admin_notifications_add`, `admin_notifications_edit`, `admin_notifications_delete`, `admin_notifications_view`, `subscribes_add`, `subscribes_edit`, `subscribes_delete`, `subscribes_view`, `banners_add`, `banners_delete`, `banners_edit`, `banners_view`, `report_visitors_view`, `report_visitors_delete`, `report_searchings_delete`, `report_searchings_view`, `offers_add`, `offers_edit`, `offers_delete`, `offers_view`, `attachments_view`, `attachments_edit`, `attachments_delete`, `attachments_add`, `invoices_change_to_pending`, `invoices_change_to_booked_up`, `invoices_change_to_waiting_confirm`, `invoices_change_to_confirmed`, `invoices_change_to_client_not_responce`, `invoices_change_to_under_prepare`, `invoices_change_to_ready_to_delivered`, `invoices_change_to_in_delivered`, `invoices_change_to_delivered`, `invoices_change_to_refunded`, `invoices_change_to_canceled`, `invoices_change_to_paid`, `form_shapes_edit`, `form_shapes_add`, `form_shapes_delete`, `form_shapes_view`, `clients_groups_add`, `clients_groups_edit`, `clients_groups_view`, `clients_groups_delete`, `baskets_view`, `baskets_details_view`, `coupons_add`, `coupons_edit`, `coupons_delete`, `coupons_view`, `browse_product_history_view`, `support_and_blog_category_add`, `support_and_blog_category_edit`, `support_and_blog_category_delete`, `support_and_blog_category_view`, `support_and_blog_pages_add`, `support_and_blog_pages_edit`, `support_and_blog_pages_delete`, `support_and_blog_pages_view`, `shipping_methods_add`, `shipping_methods_edit`, `shipping_methods_delete`, `shipping_methods_view`, `report_visitors_admin_view`, `report_visitors_admin_delete`, `dealers_add`, `dealers_edit`, `dealers_delete`, `dealers_details_view`, `dealers_view`, `dealers_plans_add`, `dealers_plans_edit`, `dealers_plans_delete`, `dealers_plans_view`, `languages_add`, `languages_edit`, `languages_delete`, `languages_view`, `favorites_view`, `reports_products_view`, `store_type_and_facility_edit`, `store_type_and_facility_view`, `accounts_add`, `accounts_view`, `accounts_edit`, `accounts_delete`, `clientsWallet_add`, `clientsWallet_edit`, `clientsWallet_view`, `clientsWallet_delete`) VALUES
(1, 1, 'مدير موقع ', '2020-07-26 15:18:42', 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1),
(1000, 1, 'مسوق', '2020-07-26 15:18:42', 0, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(3000, 1, 'عميل', '2020-07-26 15:18:42', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `visits_reports`
--

CREATE TABLE `visits_reports` (
  `id` int NOT NULL,
  `client_id` int DEFAULT NULL,
  `affiliator_id` int DEFAULT NULL,
  `country` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `request_ip` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `set_from` enum('app','web') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `count_results` int DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='احصائيات الزيارات لعملاء المسوقين';

-- --------------------------------------------------------

--
-- Table structure for table `vouchers`
--

CREATE TABLE `vouchers` (
  `id` int NOT NULL,
  `count_voucher_type` int DEFAULT '1',
  `account_type` enum('none','clients','affiliators','merchants') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'none',
  `user_id` int DEFAULT NULL,
  `price` float DEFAULT NULL,
  `note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `voucher_way` enum('cash','bank','mobile') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `voucher_account_number` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `voucher_type` enum('cashing-voucher','get-voucher') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `voucher_clause_id` int DEFAULT '0',
  `treasure_id` int DEFAULT NULL,
  `for_id` int DEFAULT '0',
  `for_type` enum('sale-invoice','receipt-invoice','receipt-return-invoice','sale-return-invoice') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='سندات القبض والشراء';

-- --------------------------------------------------------

--
-- Table structure for table `voucher_clauses`
--

CREATE TABLE `voucher_clauses` (
  `id` int NOT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `type` enum('cashing-voucher','get-voucher') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'cashing-voucher',
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='بنود ايرادات السندات';
