-- phpMyAdmin SQL Dump
-- version 4.9.11
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Generation Time: Jul 30, 2023 at 02:06 PM
-- Server version: 8.0.32
-- PHP Version: 7.4.33

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `souqalhi_affiliate_temp`
--

-- --------------------------------------------------------

--
-- Table structure for table `settings`
--

CREATE TABLE `settings` (
  `id` int NOT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `value` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `autoload` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `settings`
--

INSERT INTO `settings` (`id`, `name`, `value`, `autoload`) VALUES
(1, 'site_name', '', '1'),
(2, 'site_url', '', '1'),
(3, 'site_desc', '', '1'),
(4, 'site_keywords', '', '1'),
(5, 'site_email', 'info@affiliate.com', '1'),
(6, 'thumbnail_size_w', '150', '1'),
(7, 'thumbnail_size_h', '150', '1'),
(8, 'medium_size_w', '300', '1'),
(9, 'medium_size_h', '300', '1'),
(10, 'large_size_w', '1024', '1'),
(11, 'large_size_h', '1024', '1'),
(12, 'date_type', 'gregorian', '1'),
(13, 'format_date', 'd n ,Y g:i a', '1'),
(18, 'start_time', '9', '1'),
(19, 'mobile_site', '000000000000', '1'),
(20, 'whatUp_site', '000000000', '1'),
(21, 'show_products_quantity_to_affilators', '0', '1'),
(22, 'price_gomla_gomla_logo', '', '1'),
(23, 'price_half_logo', '', '1'),
(24, 'price_logo', '', '1'),
(25, 'price_multi_logo', '', '1'),
(26, 'price_one_logo', '', '1'),
(27, 'system_order_commission', '0', '1'),
(29, 'limit_show_data_from', '2020-01-01', '1'),
(30, 'maintenance_mode_for_all_affiliatores', '', '1'),
(31, 'maintenance_mode_message_for_all_affiliatores', 'اغلاق المتجر بشكل مؤقت', '1'),
(32, 'shipping_weight', '1', '1'),
(33, 'shipping_amount', '15', '1'),
(34, 'shipping_currency', '2', '1');

-- --------------------------------------------------------

--
-- Table structure for table `share_product_reports`
--

CREATE TABLE `share_product_reports` (
  `id` int NOT NULL,
  `affiliator_id` int NOT NULL,
  `client_id` int NOT NULL,
  `product_id` int NOT NULL,
  `set_from` enum('affiliate','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'affiliate',
  `app_version` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `shipments`
--

CREATE TABLE `shipments` (
  `id` int NOT NULL,
  `traveler_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `traveler_avatar` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `shipment_status` enum('sending','underExecution','received') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'sending',
  `all_weight` decimal(15,2) DEFAULT NULL,
  `commission` decimal(15,2) DEFAULT NULL,
  `travel_to` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `travel_date` datetime DEFAULT NULL,
  `mobile` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `whats_up` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `ticket_image` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `receipt_notes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='الشحنات التي تم ارسالها والشحنات قيد التوصيل من تطبيق ترافيل';

-- --------------------------------------------------------

--
-- Table structure for table `shipments_edit_logs`
--

CREATE TABLE `shipments_edit_logs` (
  `id` int NOT NULL,
  `shipment_id` int DEFAULT NULL,
  `receipt_notes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `commission` decimal(15,2) DEFAULT NULL,
  `date_added` datetime DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `shipment_status` enum('sending','underExecution','received') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `shipment_products`
--

CREATE TABLE `shipment_products` (
  `id` int NOT NULL,
  `shipment_id` int DEFAULT NULL,
  `quantity` int DEFAULT '0',
  `image` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `product_id` int DEFAULT NULL,
  `product_barcode` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `sku` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `manf_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `price` decimal(15,2) DEFAULT NULL,
  `weight` decimal(15,2) DEFAULT NULL,
  `price_without_tax` decimal(15,2) DEFAULT NULL,
  `price_with_tax` decimal(15,2) DEFAULT NULL,
  `saudi_price` decimal(15,2) DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `shipment_products_edit_logs`
--

CREATE TABLE `shipment_products_edit_logs` (
  `id` int NOT NULL,
  `shipments_edit_logs_id` int DEFAULT NULL,
  `quantity` int DEFAULT '0',
  `image` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `product_id` int DEFAULT NULL,
  `product_barcode` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `sku` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `manf_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `price` decimal(15,2) DEFAULT NULL,
  `weight` decimal(15,2) DEFAULT NULL,
  `price_without_tax` decimal(15,2) DEFAULT NULL,
  `price_with_tax` decimal(15,2) DEFAULT NULL,
  `saudi_price` decimal(15,2) DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `shipping_methods`
--

CREATE TABLE `shipping_methods` (
  `id` int NOT NULL,
  `company_code` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `active` enum('0','1') NOT NULL DEFAULT '1',
  `shipping_policy` enum('0','1') NOT NULL DEFAULT '0',
  `default_shipping_method` enum('0','1') NOT NULL DEFAULT '0',
  `image` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `sort` int NOT NULL DEFAULT '0',
  `admin_id` int NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `shipping_methods_governorate`
--

CREATE TABLE `shipping_methods_governorate` (
  `id` int NOT NULL,
  `p_id` int NOT NULL DEFAULT '0',
  `governorate_id` int NOT NULL DEFAULT '0',
  `customer_price` float NOT NULL DEFAULT '0',
  `store_price` float NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `shipping_methods_governorate_langs`
--

CREATE TABLE `shipping_methods_governorate_langs` (
  `id` int NOT NULL,
  `p_id` int NOT NULL DEFAULT '0',
  `shipping_methods_gov_id` int NOT NULL DEFAULT '0',
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `shipping_methods_langs`
--

CREATE TABLE `shipping_methods_langs` (
  `id` int NOT NULL,
  `p_id` int NOT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `stores`
--

CREATE TABLE `stores` (
  `id` int NOT NULL,
  `active` enum('1','0') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '0 == not active || 1 == active',
  `code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `image` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `stores`
--

INSERT INTO `stores` (`id`, `active`, `code`, `sort`, `image`, `admin_id`, `date_added`) VALUES
(1, '1', 'M1', 1, NULL, NULL, '2020-07-27 13:20:58'),
(2, '1', 'M2', 0, NULL, NULL, '2021-05-08 21:45:20');

-- --------------------------------------------------------

--
-- Table structure for table `store_langs`
--

CREATE TABLE `store_langs` (
  `id` int NOT NULL,
  `store_id` int DEFAULT NULL,
  `lang_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `title` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `store_langs`
--

INSERT INTO `store_langs` (`id`, `store_id`, `lang_code`, `title`) VALUES
(1, 1, 'ar', 'المخزن الافتراضي'),
(3, 2, 'ar', 'مخزن الهالك');

-- --------------------------------------------------------

--
-- Table structure for table `store_open_carts`
--

CREATE TABLE `store_open_carts` (
  `id` int NOT NULL,
  `url` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `customer_price_id` int DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `image` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `store_open_cart_langs`
--

CREATE TABLE `store_open_cart_langs` (
  `id` int NOT NULL,
  `store_open_cart_id` int DEFAULT NULL,
  `lang_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `name` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `store_type_and_facility`
--

CREATE TABLE `store_type_and_facility` (
  `id` int NOT NULL,
  `label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int NOT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `store_type_and_facility`
--

INSERT INTO `store_type_and_facility` (`id`, `label`, `admin_id`, `date_added`) VALUES
(1, 'نوع المتجر', 41, '2023-06-12 15:23:06'),
(2, 'نوع المنشأة', 41, '2023-06-12 15:23:06');

-- --------------------------------------------------------

--
-- Table structure for table `store_type_and_facility_options`
--

CREATE TABLE `store_type_and_facility_options` (
  `id` int NOT NULL,
  `p_id` int DEFAULT NULL,
  `label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `is_deleted` enum('0','1') DEFAULT '0',
  `admin_id` int NOT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `support_and_blog_category`
--

CREATE TABLE `support_and_blog_category` (
  `id` int NOT NULL,
  `affiliators_ids` text,
  `parent` int NOT NULL DEFAULT '0',
  `sort` int NOT NULL DEFAULT '0',
  `img` varchar(50) DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `admin_id` int NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `support_and_blog_category_langs`
--

CREATE TABLE `support_and_blog_category_langs` (
  `id` int NOT NULL,
  `cat_id` int NOT NULL DEFAULT '0',
  `name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `lang_code` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `support_and_blog_pages`
--

CREATE TABLE `support_and_blog_pages` (
  `id` int NOT NULL,
  `parent` int NOT NULL DEFAULT '0',
  `affiliator_id` int NOT NULL DEFAULT '0',
  `cat_id` int NOT NULL DEFAULT '0',
  `mode` enum('page','drop_down') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'page',
  `sort` int NOT NULL DEFAULT '0',
  `img` varchar(50) DEFAULT NULL,
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `admin_id` int NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `support_and_blog_pages_langs`
--

CREATE TABLE `support_and_blog_pages_langs` (
  `id` int NOT NULL,
  `page_id` int NOT NULL DEFAULT '0',
  `title` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `lang_code` varchar(5) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `trademarks`
--

CREATE TABLE `trademarks` (
  `id` int NOT NULL,
  `active` enum('1','0') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '0 == not active || 1 == active',
  `code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `image` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `alternate_words_array` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `trademark_langs`
--

CREATE TABLE `trademark_langs` (
  `id` int NOT NULL,
  `trademark_id` int DEFAULT NULL,
  `lang_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `title` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `treasures`
--

CREATE TABLE `treasures` (
  `id` int NOT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `treasures`
--

INSERT INTO `treasures` (`id`, `name`, `admin_id`, `date_added`) VALUES
(1, 'الخزينة الافتراضية', 41, '2020-08-27 17:03:02'),
(2, 'فودافون كاش', 41, '2021-04-30 16:27:28'),
(3, 'البريد', 41, '2021-05-08 12:38:56');

-- --------------------------------------------------------

--
-- Table structure for table `treasures_balances`
--

CREATE TABLE `treasures_balances` (
  `id` int NOT NULL,
  `treasure_id` int DEFAULT NULL,
  `balance` float DEFAULT NULL,
  `note` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `type` enum('add','remove') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `for_id` int DEFAULT '0',
  `for_type` enum('none','order','order_refund','sale-invoice','receipt-invoice','receipt-return-invoice','sale-return-invoice','get-voucher','cashing-voucher','balance_withdrawal_request') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'none',
  `date_treasures` datetime DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `units`
--

CREATE TABLE `units` (
  `id` int NOT NULL,
  `active` enum('1','0') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '0 == not active || 1 == active',
  `sort` int DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `unit_langs`
--

CREATE TABLE `unit_langs` (
  `id` int NOT NULL,
  `unit_id` int DEFAULT NULL,
  `lang_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `title` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int NOT NULL,
  `user_level` int DEFAULT NULL,
  `dealer_id` int DEFAULT NULL,
  `user_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `email` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `country_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `mobile` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `brief` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `client_code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'for client',
  `price_type` enum('price_one','price_multi','price','price_half','price_gomla_gomla') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'انواع الاسعار خاصة بالعميل ولو كان مسوق هي نوع السعر الذي سيظهر لعملاء المسوق  ',
  `client_store_id` int DEFAULT '-1' COMMENT 'لو كانت اكبر من -١ يعني انه من المتجر الاوبن كارت',
  `address` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'for client',
  `set_from` enum('affiliate','openCart','web','app') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'affiliate',
  `active` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0',
  `authentication_code` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `admin_id` int DEFAULT NULL,
  `admin_cart_id` int DEFAULT '0' COMMENT 'رقم المتجر الخاص بالادمن  for admin',
  `affiliator_id` int DEFAULT '0' COMMENT 'for client العميل تابع لهذا المسوق',
  `group_id` int DEFAULT NULL,
  `is_deleted` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `drop_shipping` enum('0','1') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `drop_shipping_commission` int NOT NULL DEFAULT '0',
  `share_product_links` enum('0','1') DEFAULT '1',
  `share_product_photos` enum('0','1') DEFAULT '1',
  `share_product_descriptions` enum('0','1') DEFAULT '1',
  `country_id` int NOT NULL DEFAULT '0',
  `city_id` int NOT NULL DEFAULT '0',
  `client_gender` varchar(50) DEFAULT NULL,
  `facility_type` int NOT NULL DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `user_level`, `dealer_id`, `user_name`, `email`, `country_code`, `mobile`, `avatar`, `password`, `brief`, `client_code`, `price_type`, `client_store_id`, `address`, `set_from`, `active`, `authentication_code`, `admin_id`, `admin_cart_id`, `affiliator_id`, `group_id`, `is_deleted`, `drop_shipping`, `drop_shipping_commission`, `share_product_links`, `share_product_photos`, `share_product_descriptions`, `country_id`, `city_id`, `client_gender`, `facility_type`, `date_added`) VALUES
(1, 1, NULL, 'admin', 'admin@admin.com', '', '02010000000', '', '$2y$10$7IWphBJciXsq.h54W4fSqO.raMSzlxtf.hd1ig/xqe4aSQojMHxAS', NULL, NULL, 'price_one', -1, NULL, 'affiliate', '1', '$2y$10$2dEpl5tI/dPfS7WsEVlCxeHwGsl3yZYfsTHjlvu/4qkv3/twFANfG', 1, 0, 0, 0, '0', '0', 0, '1', '1', '1', 0, 0, NULL, 0, '2020-07-29 12:58:11'),
(2, 1000, NULL, 'GOGET', 'ayman.fayez480@gmail.com', NULL, '5822551700', NULL, '$2y$10$HIP6x/43KsEUflOQ6.MnbObfGVH.Ev5OyHKUFRl8f3.HKZXW3BZBi', NULL, NULL, 'price_multi', -1, NULL, 'affiliate', '1', '$2y$10$SgY2cwe70xDA1w8Vn.yCYOZHKV8lpTEl.ZJZnw6FfpDiZX/.cx6ma', 1, 0, 0, 0, '0', '0', 0, '1', '1', '1', 0, 0, NULL, 0, '2021-12-28 15:32:29');

-- --------------------------------------------------------

--
-- Table structure for table `users_store_type`
--

CREATE TABLE `users_store_type` (
  `id` int NOT NULL,
  `client_id` int NOT NULL,
  `store_type_id` int NOT NULL,
  `store_type_url` varchar(250) DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `users_store_type`
--

INSERT INTO `users_store_type` (`id`, `client_id`, `store_type_id`, `store_type_url`, `date_added`) VALUES
(1, 926, 5, '45454', '2023-06-13 12:26:49'),
(2, 926, 6, 'qsadsadsa', '2023-06-13 12:26:49');

-- --------------------------------------------------------

--
-- Table structure for table `user_balances`
--

CREATE TABLE `user_balances` (
  `id` int NOT NULL,
  `value` float DEFAULT NULL,
  `transaction` enum('start_client_dept','start_client_pay','order_commission_pay','order_merchant_supply_pay','balance_withdrawal_request_dept','balance_withdrawal_request_pending','order_commission_pending','order_merchant_supply_pending','order_commission_refund_dept','order_merchant_refund_dept','sale_invoice_dept','receipt_invoice_pay','sale_return_invoice_pay','receipt_return_invoice_dept','get_voucher_pay','cashing_voucher_dept','sale_invoice_pay','sale_return_invoice_dept','receipt_invoice_dept','receipt_return_invoice_pay') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'يجب ان تتضمن ديبت او بيندينج او باي',
  `transaction_type` enum('pay','dept','pending') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `for_id` int DEFAULT NULL,
  `treasure_id` int DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `user_levels`
--

CREATE TABLE `user_levels` (
  `id` int NOT NULL,
  `admin_id` int DEFAULT NULL COMMENT 'Added By',
  `level_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date_added` datetime DEFAULT NULL,
  `settings_view` tinyint(1) DEFAULT NULL,
  `main_view` tinyint(1) DEFAULT NULL,
  `pages_add` tinyint(1) DEFAULT NULL,
  `pages_edit` tinyint(1) DEFAULT NULL,
  `pages_delete` tinyint(1) DEFAULT NULL,
  `pages_view` tinyint(1) DEFAULT NULL,
  `levels_add` tinyint(1) DEFAULT NULL,
  `levels_edit` tinyint(1) DEFAULT NULL,
  `levels_delete` tinyint(1) DEFAULT NULL,
  `levels_view` tinyint(1) DEFAULT NULL,
  `affiliators_add` tinyint(1) DEFAULT NULL,
  `affiliators_edit` tinyint(1) DEFAULT NULL,
  `affiliators_delete` tinyint(1) DEFAULT NULL,
  `affiliators_view` tinyint(1) DEFAULT NULL,
  `affiliators_details_view` tinyint(1) DEFAULT NULL,
  `admins_add` tinyint(1) DEFAULT NULL,
  `admins_edit` tinyint(1) DEFAULT NULL,
  `admins_delete` tinyint(1) DEFAULT NULL,
  `admins_view` tinyint(1) DEFAULT NULL,
  `my_profile_view` tinyint(1) DEFAULT NULL,
  `places_add` tinyint(1) DEFAULT NULL,
  `places_edit` tinyint(1) DEFAULT NULL,
  `places_delete` tinyint(1) DEFAULT NULL,
  `places_view` tinyint(1) DEFAULT NULL,
  `products_add` tinyint(1) DEFAULT NULL,
  `products_edit` tinyint(1) DEFAULT NULL,
  `pricing_system_according_exchange_rate` tinyint(1) DEFAULT '0',
  `profit_calculation_system` tinyint(1) DEFAULT '0',
  `marketer_price` tinyint(1) DEFAULT '0',
  `orders_add` tinyint(1) DEFAULT NULL,
  `orders_edit` tinyint(1) DEFAULT NULL,
  `orders_view` tinyint(1) DEFAULT NULL,
  `orders_delete` tinyint(1) DEFAULT NULL,
  `orders_details_view` tinyint(1) DEFAULT NULL,
  `products_view` tinyint(1) DEFAULT NULL,
  `products_delete` tinyint(1) DEFAULT NULL,
  `services_add` tinyint(1) DEFAULT NULL,
  `services_edit` tinyint(1) DEFAULT NULL,
  `services_delete` tinyint(1) DEFAULT NULL,
  `services_view` tinyint(1) DEFAULT NULL,
  `trademarks_add` tinyint(1) DEFAULT NULL,
  `trademarks_edit` tinyint(1) DEFAULT NULL,
  `trademarks_view` tinyint(1) DEFAULT NULL,
  `trademarks_delete` tinyint(1) DEFAULT NULL,
  `tickets_add` tinyint(1) DEFAULT NULL,
  `tickets_edit` tinyint(1) DEFAULT NULL,
  `tickets_delete` tinyint(1) DEFAULT NULL,
  `tickets_view` tinyint(1) DEFAULT NULL,
  `tickets_details_view` tinyint(1) DEFAULT NULL,
  `merchants_add` tinyint(1) DEFAULT NULL,
  `merchants_edit` tinyint(1) DEFAULT NULL,
  `merchants_delete` tinyint(1) DEFAULT NULL,
  `merchants_view` tinyint(1) DEFAULT NULL,
  `stores_add` tinyint(1) DEFAULT NULL,
  `stores_delete` tinyint(1) DEFAULT NULL,
  `stores_edit` tinyint(1) DEFAULT NULL,
  `stores_view` tinyint(1) DEFAULT NULL,
  `units_add` tinyint(1) DEFAULT NULL,
  `units_view` tinyint(1) DEFAULT NULL,
  `units_edit` tinyint(1) DEFAULT NULL,
  `units_delete` tinyint(1) DEFAULT NULL,
  `product_stores_delete` tinyint(1) DEFAULT NULL,
  `product_stores_add` tinyint(1) DEFAULT NULL,
  `product_stores_edit` tinyint(1) DEFAULT NULL,
  `product_stores_view` tinyint(1) DEFAULT NULL,
  `treasures_view` tinyint(1) DEFAULT NULL,
  `treasures_delete` tinyint(1) DEFAULT NULL,
  `treasures_add` tinyint(1) DEFAULT NULL,
  `treasures_edit` tinyint(1) DEFAULT NULL,
  `treasures_details_view` tinyint(1) DEFAULT NULL,
  `receipt_invoices_add` tinyint(1) DEFAULT '0',
  `receipt_invoices_edit` tinyint(1) DEFAULT '0',
  `receipt_invoices_delete` tinyint(1) DEFAULT '0',
  `receipt_invoices_view` tinyint(1) DEFAULT '0',
  `sale_invoices_add` tinyint(1) DEFAULT '0',
  `sale_invoices_edit` tinyint(1) DEFAULT '0',
  `sale_invoices_delete` tinyint(1) DEFAULT '0',
  `sale_invoices_view` tinyint(1) DEFAULT '0',
  `pullBalanceRequests_add` tinyint(1) DEFAULT NULL,
  `pullBalanceRequests_delete` tinyint(1) DEFAULT NULL,
  `pullBalanceRequests_view` tinyint(1) DEFAULT NULL,
  `balances_view` tinyint(1) DEFAULT NULL,
  `clients_add` tinyint(1) DEFAULT NULL,
  `clients_edit` tinyint(1) DEFAULT NULL,
  `clients_view` tinyint(1) DEFAULT NULL,
  `clients_delete` tinyint(1) DEFAULT NULL,
  `clients_details_view` tinyint(1) DEFAULT NULL,
  `earnings_view` tinyint DEFAULT NULL,
  `shipments_view` tinyint(1) DEFAULT NULL,
  `shipments_edit` tinyint(1) DEFAULT NULL,
  `voucher_clauses_add` tinyint(1) DEFAULT '0',
  `voucher_clauses_view` tinyint(1) DEFAULT '0',
  `voucher_clauses_edit` tinyint(1) DEFAULT '0',
  `voucher_clauses_delete` tinyint(1) DEFAULT '0',
  `get_vouchers_add` tinyint(1) DEFAULT '0',
  `get_vouchers_edit` tinyint(1) DEFAULT '0',
  `get_vouchers_delete` tinyint(1) DEFAULT '0',
  `get_vouchers_view` tinyint(1) DEFAULT '0',
  `cashing_vouchers_add` tinyint(1) DEFAULT '0',
  `cashing_vouchers_edit` tinyint(1) DEFAULT '0',
  `cashing_vouchers_delete` tinyint(1) DEFAULT '0',
  `cashing_vouchers_view` tinyint(1) DEFAULT '0',
  `inventory_invoices_add` tinyint(1) DEFAULT '0',
  `inventory_invoices_edit` tinyint(1) DEFAULT '0',
  `inventory_invoices_delete` tinyint(1) DEFAULT '0',
  `inventory_invoices_view` tinyint(1) DEFAULT '0',
  `merchant_supply_invoices_add` tinyint(1) DEFAULT '0',
  `merchant_supply_invoices_edit` tinyint(1) DEFAULT '0',
  `merchant_supply_invoices_delete` tinyint(1) DEFAULT '0',
  `merchant_supply_invoices_view` tinyint(1) DEFAULT '0',
  `settlement_invoices_add` tinyint(1) DEFAULT '0',
  `settlement_invoices_edit` tinyint(1) DEFAULT '0',
  `settlement_invoices_delete` tinyint(1) DEFAULT '0',
  `settlement_invoices_view` tinyint(1) DEFAULT '0',
  `merchant_return_invoices_add` tinyint(1) DEFAULT '0',
  `merchant_return_invoices_edit` tinyint(1) DEFAULT '0',
  `merchant_return_invoices_delete` tinyint(1) DEFAULT '0',
  `merchant_return_invoices_view` tinyint(1) DEFAULT '0',
  `mortal_invoices_add` tinyint(1) DEFAULT '0',
  `mortal_invoices_edit` tinyint(1) DEFAULT '0',
  `mortal_invoices_delete` tinyint(1) DEFAULT '0',
  `mortal_invoices_view` tinyint(1) DEFAULT '0',
  `export_db` tinyint(1) DEFAULT NULL,
  `import_db` tinyint(1) DEFAULT NULL,
  `just_my_invoices_view` tinyint(1) DEFAULT NULL,
  `receipt_return_invoices_view` tinyint(1) DEFAULT NULL,
  `receipt_return_invoices_delete` tinyint(1) DEFAULT NULL,
  `receipt_return_invoices_edit` tinyint(1) DEFAULT NULL,
  `receipt_return_invoices_add` tinyint(1) DEFAULT NULL,
  `sale_return_invoices_view` tinyint(1) DEFAULT NULL,
  `sale_return_invoices_delete` tinyint(1) DEFAULT NULL,
  `sale_return_invoices_edit` tinyint(1) DEFAULT NULL,
  `sale_return_invoices_add` tinyint(1) DEFAULT NULL,
  `admin_notifications_add` tinyint(1) DEFAULT NULL,
  `admin_notifications_edit` tinyint(1) DEFAULT NULL,
  `admin_notifications_delete` tinyint(1) DEFAULT NULL,
  `admin_notifications_view` tinyint(1) DEFAULT NULL,
  `subscribes_add` tinyint(1) DEFAULT NULL,
  `subscribes_edit` tinyint(1) DEFAULT NULL,
  `subscribes_delete` tinyint(1) DEFAULT NULL,
  `subscribes_view` tinyint(1) DEFAULT NULL,
  `banners_add` tinyint(1) DEFAULT NULL,
  `banners_delete` tinyint(1) DEFAULT NULL,
  `banners_edit` tinyint(1) DEFAULT NULL,
  `banners_view` tinyint(1) DEFAULT NULL,
  `report_visitors_view` tinyint(1) DEFAULT NULL,
  `report_visitors_delete` tinyint(1) DEFAULT NULL,
  `report_searchings_delete` int DEFAULT NULL,
  `report_searchings_view` int DEFAULT NULL,
  `offers_add` tinyint(1) DEFAULT NULL,
  `offers_edit` tinyint(1) DEFAULT NULL,
  `offers_delete` tinyint(1) DEFAULT NULL,
  `offers_view` tinyint(1) DEFAULT NULL,
  `attachments_view` tinyint(1) DEFAULT NULL,
  `attachments_edit` tinyint(1) DEFAULT NULL,
  `attachments_delete` tinyint(1) DEFAULT NULL,
  `attachments_add` tinyint(1) DEFAULT NULL,
  `invoices_change_to_pending` tinyint(1) DEFAULT '0',
  `invoices_change_to_booked_up` tinyint(1) NOT NULL DEFAULT '0',
  `invoices_change_to_waiting_confirm` tinyint(1) DEFAULT '0',
  `invoices_change_to_confirmed` tinyint(1) DEFAULT '0',
  `invoices_change_to_client_not_responce` tinyint(1) DEFAULT '0',
  `invoices_change_to_under_prepare` tinyint(1) DEFAULT '0',
  `invoices_change_to_ready_to_delivered` tinyint(1) DEFAULT '0',
  `invoices_change_to_in_delivered` tinyint(1) DEFAULT '0',
  `invoices_change_to_delivered` tinyint(1) DEFAULT '0',
  `invoices_change_to_refunded` tinyint(1) DEFAULT '0',
  `invoices_change_to_canceled` tinyint(1) DEFAULT '0',
  `invoices_change_to_paid` tinyint(1) DEFAULT '0',
  `form_shapes_edit` tinyint(1) DEFAULT NULL,
  `form_shapes_add` tinyint(1) DEFAULT NULL,
  `form_shapes_delete` tinyint(1) DEFAULT NULL,
  `form_shapes_view` tinyint(1) DEFAULT NULL,
  `clients_groups_add` tinyint DEFAULT NULL,
  `clients_groups_edit` tinyint DEFAULT NULL,
  `clients_groups_view` tinyint DEFAULT NULL,
  `clients_groups_delete` tinyint DEFAULT NULL,
  `baskets_view` tinyint(1) DEFAULT NULL,
  `baskets_details_view` tinyint(1) DEFAULT NULL,
  `coupons_add` tinyint(1) DEFAULT '0',
  `coupons_edit` tinyint(1) DEFAULT '0',
  `coupons_delete` tinyint(1) DEFAULT '0',
  `coupons_view` tinyint(1) DEFAULT '0',
  `browse_product_history_view` tinyint(1) DEFAULT '0',
  `support_and_blog_category_add` tinyint(1) DEFAULT '0',
  `support_and_blog_category_edit` tinyint(1) DEFAULT '0',
  `support_and_blog_category_delete` tinyint(1) DEFAULT '0',
  `support_and_blog_category_view` tinyint(1) DEFAULT '0',
  `support_and_blog_pages_add` tinyint(1) DEFAULT '0',
  `support_and_blog_pages_edit` tinyint(1) DEFAULT '0',
  `support_and_blog_pages_delete` tinyint(1) DEFAULT '0',
  `support_and_blog_pages_view` tinyint(1) DEFAULT '0',
  `shipping_methods_add` tinyint(1) NOT NULL DEFAULT '0',
  `shipping_methods_edit` tinyint(1) NOT NULL DEFAULT '0',
  `shipping_methods_delete` tinyint(1) NOT NULL DEFAULT '0',
  `shipping_methods_view` tinyint(1) NOT NULL DEFAULT '0',
  `report_visitors_admin_view` tinyint NOT NULL DEFAULT '0',
  `report_visitors_admin_delete` tinyint NOT NULL DEFAULT '0',
  `dealers_add` tinyint(1) DEFAULT '0',
  `dealers_edit` tinyint(1) DEFAULT '0',
  `dealers_delete` tinyint(1) DEFAULT '0',
  `dealers_details_view` tinyint(1) DEFAULT '0',
  `dealers_view` tinyint(1) DEFAULT '0',
  `dealers_plans_add` tinyint(1) DEFAULT '0',
  `dealers_plans_edit` tinyint(1) DEFAULT '0',
  `dealers_plans_delete` tinyint(1) DEFAULT '0',
  `dealers_plans_view` tinyint(1) DEFAULT '0',
  `languages_add` tinyint(1) DEFAULT '0',
  `languages_edit` tinyint(1) DEFAULT '0',
  `languages_delete` tinyint(1) DEFAULT '0',
  `languages_view` tinyint(1) DEFAULT '0',
  `favorites_view` tinyint(1) DEFAULT '0',
  `reports_products_view` tinyint(1) DEFAULT '0',
  `store_type_and_facility_edit` tinyint(1) DEFAULT '0',
  `store_type_and_facility_view` tinyint(1) DEFAULT '0',
  `accounts_add` tinyint(1) DEFAULT '0',
  `accounts_view` tinyint(1) DEFAULT '0',
  `accounts_edit` tinyint(1) DEFAULT '0',
  `accounts_delete` tinyint(1) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `user_levels`
--

INSERT INTO `user_levels` (`id`, `admin_id`, `level_name`, `date_added`, `settings_view`, `main_view`, `pages_add`, `pages_edit`, `pages_delete`, `pages_view`, `levels_add`, `levels_edit`, `levels_delete`, `levels_view`, `affiliators_add`, `affiliators_edit`, `affiliators_delete`, `affiliators_view`, `affiliators_details_view`, `admins_add`, `admins_edit`, `admins_delete`, `admins_view`, `my_profile_view`, `places_add`, `places_edit`, `places_delete`, `places_view`, `products_add`, `products_edit`, `pricing_system_according_exchange_rate`, `profit_calculation_system`, `marketer_price`, `orders_add`, `orders_edit`, `orders_view`, `orders_delete`, `orders_details_view`, `products_view`, `products_delete`, `services_add`, `services_edit`, `services_delete`, `services_view`, `trademarks_add`, `trademarks_edit`, `trademarks_view`, `trademarks_delete`, `tickets_add`, `tickets_edit`, `tickets_delete`, `tickets_view`, `tickets_details_view`, `merchants_add`, `merchants_edit`, `merchants_delete`, `merchants_view`, `stores_add`, `stores_delete`, `stores_edit`, `stores_view`, `units_add`, `units_view`, `units_edit`, `units_delete`, `product_stores_delete`, `product_stores_add`, `product_stores_edit`, `product_stores_view`, `treasures_view`, `treasures_delete`, `treasures_add`, `treasures_edit`, `treasures_details_view`, `receipt_invoices_add`, `receipt_invoices_edit`, `receipt_invoices_delete`, `receipt_invoices_view`, `sale_invoices_add`, `sale_invoices_edit`, `sale_invoices_delete`, `sale_invoices_view`, `pullBalanceRequests_add`, `pullBalanceRequests_delete`, `pullBalanceRequests_view`, `balances_view`, `clients_add`, `clients_edit`, `clients_view`, `clients_delete`, `clients_details_view`, `earnings_view`, `shipments_view`, `shipments_edit`, `voucher_clauses_add`, `voucher_clauses_view`, `voucher_clauses_edit`, `voucher_clauses_delete`, `get_vouchers_add`, `get_vouchers_edit`, `get_vouchers_delete`, `get_vouchers_view`, `cashing_vouchers_add`, `cashing_vouchers_edit`, `cashing_vouchers_delete`, `cashing_vouchers_view`, `inventory_invoices_add`, `inventory_invoices_edit`, `inventory_invoices_delete`, `inventory_invoices_view`, `merchant_supply_invoices_add`, `merchant_supply_invoices_edit`, `merchant_supply_invoices_delete`, `merchant_supply_invoices_view`, `settlement_invoices_add`, `settlement_invoices_edit`, `settlement_invoices_delete`, `settlement_invoices_view`, `merchant_return_invoices_add`, `merchant_return_invoices_edit`, `merchant_return_invoices_delete`, `merchant_return_invoices_view`, `mortal_invoices_add`, `mortal_invoices_edit`, `mortal_invoices_delete`, `mortal_invoices_view`, `export_db`, `import_db`, `just_my_invoices_view`, `receipt_return_invoices_view`, `receipt_return_invoices_delete`, `receipt_return_invoices_edit`, `receipt_return_invoices_add`, `sale_return_invoices_view`, `sale_return_invoices_delete`, `sale_return_invoices_edit`, `sale_return_invoices_add`, `admin_notifications_add`, `admin_notifications_edit`, `admin_notifications_delete`, `admin_notifications_view`, `subscribes_add`, `subscribes_edit`, `subscribes_delete`, `subscribes_view`, `banners_add`, `banners_delete`, `banners_edit`, `banners_view`, `report_visitors_view`, `report_visitors_delete`, `report_searchings_delete`, `report_searchings_view`, `offers_add`, `offers_edit`, `offers_delete`, `offers_view`, `attachments_view`, `attachments_edit`, `attachments_delete`, `attachments_add`, `invoices_change_to_pending`, `invoices_change_to_booked_up`, `invoices_change_to_waiting_confirm`, `invoices_change_to_confirmed`, `invoices_change_to_client_not_responce`, `invoices_change_to_under_prepare`, `invoices_change_to_ready_to_delivered`, `invoices_change_to_in_delivered`, `invoices_change_to_delivered`, `invoices_change_to_refunded`, `invoices_change_to_canceled`, `invoices_change_to_paid`, `form_shapes_edit`, `form_shapes_add`, `form_shapes_delete`, `form_shapes_view`, `clients_groups_add`, `clients_groups_edit`, `clients_groups_view`, `clients_groups_delete`, `baskets_view`, `baskets_details_view`, `coupons_add`, `coupons_edit`, `coupons_delete`, `coupons_view`, `browse_product_history_view`, `support_and_blog_category_add`, `support_and_blog_category_edit`, `support_and_blog_category_delete`, `support_and_blog_category_view`, `support_and_blog_pages_add`, `support_and_blog_pages_edit`, `support_and_blog_pages_delete`, `support_and_blog_pages_view`, `shipping_methods_add`, `shipping_methods_edit`, `shipping_methods_delete`, `shipping_methods_view`, `report_visitors_admin_view`, `report_visitors_admin_delete`, `dealers_add`, `dealers_edit`, `dealers_delete`, `dealers_details_view`, `dealers_view`, `dealers_plans_add`, `dealers_plans_edit`, `dealers_plans_delete`, `dealers_plans_view`, `languages_add`, `languages_edit`, `languages_delete`, `languages_view`, `favorites_view`, `reports_products_view`, `store_type_and_facility_edit`, `store_type_and_facility_view`, `accounts_add`, `accounts_view`, `accounts_edit`, `accounts_delete`) VALUES
(1, 1, 'مدير موقع ', '2020-07-26 15:18:42', 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1),
(1000, 1, 'مسوق', '2020-07-26 15:18:42', 0, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(3000, 1, 'عميل', '2020-07-26 15:18:42', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `visits_reports`
--

CREATE TABLE `visits_reports` (
  `id` int NOT NULL,
  `client_id` int DEFAULT NULL,
  `affiliator_id` int DEFAULT NULL,
  `country` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `request_ip` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `set_from` enum('app','web') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `count_results` int DEFAULT '0',
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='احصائيات الزيارات لعملاء المسوقين';

-- --------------------------------------------------------

--
-- Table structure for table `vouchers`
--

CREATE TABLE `vouchers` (
  `id` int NOT NULL,
  `count_voucher_type` int DEFAULT '1',
  `account_type` enum('none','clients','affiliators','merchants') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'none',
  `user_id` int DEFAULT NULL,
  `price` float DEFAULT NULL,
  `note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `voucher_way` enum('cash','bank','mobile') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `voucher_account_number` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `voucher_type` enum('cashing-voucher','get-voucher') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `voucher_clause_id` int DEFAULT '0',
  `treasure_id` int DEFAULT NULL,
  `for_id` int DEFAULT '0',
  `for_type` enum('sale-invoice','receipt-invoice','receipt-return-invoice','sale-return-invoice') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='سندات القبض والشراء';

-- --------------------------------------------------------

--
-- Table structure for table `voucher_clauses`
--

CREATE TABLE `voucher_clauses` (
  `id` int NOT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `type` enum('cashing-voucher','get-voucher') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT 'cashing-voucher',
  `admin_id` int DEFAULT NULL,
  `date_added` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='بنود ايرادات السندات';

--
-- Dumping data for table `voucher_clauses`
--

INSERT INTO `voucher_clauses` (`id`, `name`, `type`, `admin_id`, `date_added`) VALUES
(1, 'مكافأة مسافر ', 'cashing-voucher', 41, '2021-06-20 15:21:02'),
(2, 'فاتورة مبيعات', 'cashing-voucher', 41, '2021-04-23 01:57:03'),
(3, 'فاتورة شراء', 'cashing-voucher', 41, '2021-04-23 01:57:15'),
(4, 'فاتورة مرتجع بيع', 'cashing-voucher', 41, '2021-04-23 01:57:27'),
(5, 'فاتورة مرتجع شراء', 'cashing-voucher', 41, '2021-04-23 01:57:39'),
(7, 'مستلزمات تغليف', 'cashing-voucher', 41, '2021-05-24 20:36:20'),
(21, 'مصاريف شحن', 'cashing-voucher', 41, '2022-02-01 21:05:17');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `settings`
--
ALTER TABLE `settings`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `name` (`name`),
  ADD KEY `value` (`value`(300)),
  ADD KEY `autoload` (`autoload`);

--
-- Indexes for table `share_product_reports`
--
ALTER TABLE `share_product_reports`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `client_id` (`client_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `set_from` (`set_from`),
  ADD KEY `app_version` (`app_version`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `shipments`
--
ALTER TABLE `shipments`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `id` (`id`),
  ADD KEY `traveler_name` (`traveler_name`),
  ADD KEY `shipment_status` (`shipment_status`),
  ADD KEY `traveler_avatar` (`traveler_avatar`),
  ADD KEY `all_weight` (`all_weight`),
  ADD KEY `commission` (`commission`),
  ADD KEY `travel_to` (`travel_to`),
  ADD KEY `travel_date` (`travel_date`),
  ADD KEY `mobile` (`mobile`),
  ADD KEY `whats_up` (`whats_up`),
  ADD KEY `ticket_image` (`ticket_image`),
  ADD KEY `receipt_notes` (`receipt_notes`(300)),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `shipments_edit_logs`
--
ALTER TABLE `shipments_edit_logs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `shipment_id` (`shipment_id`),
  ADD KEY `receipt_notes` (`receipt_notes`(300)),
  ADD KEY `commission` (`commission`),
  ADD KEY `date_added` (`date_added`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `shipment_status` (`shipment_status`);

--
-- Indexes for table `shipment_products`
--
ALTER TABLE `shipment_products`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-ship_id-ships` (`shipment_id`),
  ADD KEY `id` (`id`),
  ADD KEY `shipment_id` (`shipment_id`),
  ADD KEY `quantity` (`quantity`),
  ADD KEY `image` (`image`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `product_barcode` (`product_barcode`),
  ADD KEY `name` (`name`(300)),
  ADD KEY `sku` (`sku`),
  ADD KEY `manf_name` (`manf_name`),
  ADD KEY `type` (`type`),
  ADD KEY `price` (`price`),
  ADD KEY `weight` (`weight`),
  ADD KEY `price_without_tax` (`price_without_tax`),
  ADD KEY `price_with_tax` (`price_with_tax`),
  ADD KEY `saudi_price` (`saudi_price`),
  ADD KEY `sort` (`sort`),
  ADD KEY `active` (`active`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `shipment_products_edit_logs`
--
ALTER TABLE `shipment_products_edit_logs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-shiment_logs-shi_pro_logs` (`shipments_edit_logs_id`),
  ADD KEY `id` (`id`),
  ADD KEY `quantity` (`quantity`),
  ADD KEY `image` (`image`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `product_barcode` (`product_barcode`),
  ADD KEY `name` (`name`(300)),
  ADD KEY `sku` (`sku`),
  ADD KEY `manf_name` (`manf_name`),
  ADD KEY `type` (`type`),
  ADD KEY `price` (`price`),
  ADD KEY `weight` (`weight`),
  ADD KEY `price_with_tax` (`price_with_tax`),
  ADD KEY `price_without_tax` (`price_without_tax`),
  ADD KEY `saudi_price` (`saudi_price`),
  ADD KEY `sort` (`sort`),
  ADD KEY `active` (`active`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `shipping_methods`
--
ALTER TABLE `shipping_methods`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `company_code` (`company_code`),
  ADD KEY `active` (`active`),
  ADD KEY `shipping_policy` (`shipping_policy`),
  ADD KEY `default_shipping_method` (`default_shipping_method`),
  ADD KEY `image` (`image`),
  ADD KEY `sort` (`sort`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `shipping_methods_governorate`
--
ALTER TABLE `shipping_methods_governorate`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `p_id` (`p_id`),
  ADD KEY `governorate_id` (`governorate_id`),
  ADD KEY `customer_price` (`customer_price`),
  ADD KEY `store_price` (`store_price`);

--
-- Indexes for table `shipping_methods_governorate_langs`
--
ALTER TABLE `shipping_methods_governorate_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `p_id` (`p_id`),
  ADD KEY `shipping_methods_gov_id` (`shipping_methods_gov_id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `name` (`name`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `shipping_methods_langs`
--
ALTER TABLE `shipping_methods_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `p_id` (`p_id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `name` (`name`),
  ADD KEY `description` (`description`(300));

--
-- Indexes for table `stores`
--
ALTER TABLE `stores`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-users-stores` (`admin_id`),
  ADD KEY `id` (`id`),
  ADD KEY `code` (`code`),
  ADD KEY `sort` (`sort`),
  ADD KEY `image` (`image`),
  ADD KEY `date_added` (`date_added`),
  ADD KEY `active` (`active`);

--
-- Indexes for table `store_langs`
--
ALTER TABLE `store_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `store_id` (`store_id`),
  ADD KEY `store_id_2` (`store_id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `title` (`title`);

--
-- Indexes for table `store_open_carts`
--
ALTER TABLE `store_open_carts`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk-users-store_open_carts` (`admin_id`),
  ADD KEY `id` (`id`),
  ADD KEY `url` (`url`(300)),
  ADD KEY `customer_price_id` (`customer_price_id`),
  ADD KEY `sort` (`sort`),
  ADD KEY `image` (`image`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `store_open_cart_langs`
--
ALTER TABLE `store_open_cart_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `store_open_cart_id` (`store_open_cart_id`),
  ADD KEY `store_open_cart_id_2` (`store_open_cart_id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `name` (`name`);

--
-- Indexes for table `store_type_and_facility`
--
ALTER TABLE `store_type_and_facility`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `store_type_and_facility_options`
--
ALTER TABLE `store_type_and_facility_options`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `support_and_blog_category`
--
ALTER TABLE `support_and_blog_category`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `affiliators_ids` (`affiliators_ids`(300)),
  ADD KEY `parent` (`parent`),
  ADD KEY `sort` (`sort`),
  ADD KEY `img` (`img`),
  ADD KEY `active` (`active`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `support_and_blog_category_langs`
--
ALTER TABLE `support_and_blog_category_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `cat_id` (`cat_id`),
  ADD KEY `name` (`name`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `support_and_blog_pages`
--
ALTER TABLE `support_and_blog_pages`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `support_and_blog_pages_langs`
--
ALTER TABLE `support_and_blog_pages_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `page_id` (`page_id`),
  ADD KEY `title` (`title`),
  ADD KEY `description` (`description`(300)),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `trademarks`
--
ALTER TABLE `trademarks`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `active` (`active`),
  ADD KEY `code` (`code`),
  ADD KEY `image` (`image`),
  ADD KEY `sort` (`sort`),
  ADD KEY `alternate_words_array` (`alternate_words_array`(300)),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `trademark_langs`
--
ALTER TABLE `trademark_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `trademark_id` (`trademark_id`),
  ADD KEY `id` (`id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `title` (`title`),
  ADD KEY `description` (`description`(300));

--
-- Indexes for table `treasures`
--
ALTER TABLE `treasures`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `name` (`name`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `treasures_balances`
--
ALTER TABLE `treasures_balances`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `treasure_id` (`treasure_id`),
  ADD KEY `balance` (`balance`),
  ADD KEY `note` (`note`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `type` (`type`),
  ADD KEY `for_id` (`for_id`),
  ADD KEY `for_type` (`for_type`),
  ADD KEY `date_treasures` (`date_treasures`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `units`
--
ALTER TABLE `units`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `active` (`active`),
  ADD KEY `sort` (`sort`),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `unit_langs`
--
ALTER TABLE `unit_langs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `unit_id` (`unit_id`),
  ADD KEY `lang_code` (`lang_code`),
  ADD KEY `title` (`title`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `user_level` (`user_level`),
  ADD KEY `dealer_id` (`dealer_id`),
  ADD KEY `user_name` (`user_name`),
  ADD KEY `email` (`email`),
  ADD KEY `country_code` (`country_code`),
  ADD KEY `mobile` (`mobile`),
  ADD KEY `avatar` (`avatar`),
  ADD KEY `password` (`password`),
  ADD KEY `brief` (`brief`(300)),
  ADD KEY `client_code` (`client_code`),
  ADD KEY `price_type` (`price_type`),
  ADD KEY `client_store_id` (`client_store_id`),
  ADD KEY `address` (`address`),
  ADD KEY `set_from` (`set_from`),
  ADD KEY `active` (`active`),
  ADD KEY `authentication_code` (`authentication_code`(300)),
  ADD KEY `admin_id` (`admin_id`),
  ADD KEY `admin_cart_id` (`admin_cart_id`),
  ADD KEY `affiliator_id` (`affiliator_id`),
  ADD KEY `group_id` (`group_id`),
  ADD KEY `is_deleted` (`is_deleted`),
  ADD KEY `drop_shipping` (`drop_shipping`),
  ADD KEY `drop_shipping_commission` (`drop_shipping_commission`),
  ADD KEY `share_product_links` (`share_product_links`),
  ADD KEY `share_product_photos` (`share_product_photos`),
  ADD KEY `share_product_descriptions` (`share_product_descriptions`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `users_store_type`
--
ALTER TABLE `users_store_type`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `user_balances`
--
ALTER TABLE `user_balances`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `value` (`value`),
  ADD KEY `transaction` (`transaction`),
  ADD KEY `transaction_type` (`transaction_type`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `for_id` (`for_id`),
  ADD KEY `treasure_id` (`treasure_id`),
  ADD KEY `date_added` (`date_added`);

--
-- Indexes for table `user_levels`
--
ALTER TABLE `user_levels`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `visits_reports`
--
ALTER TABLE `visits_reports`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `vouchers`
--
ALTER TABLE `vouchers`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `voucher_clauses`
--
ALTER TABLE `voucher_clauses`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `settings`
--
ALTER TABLE `settings`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=35;

--
-- AUTO_INCREMENT for table `share_product_reports`
--
ALTER TABLE `share_product_reports`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `shipments_edit_logs`
--
ALTER TABLE `shipments_edit_logs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `shipment_products`
--
ALTER TABLE `shipment_products`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `shipment_products_edit_logs`
--
ALTER TABLE `shipment_products_edit_logs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `shipping_methods`
--
ALTER TABLE `shipping_methods`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `shipping_methods_governorate`
--
ALTER TABLE `shipping_methods_governorate`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `shipping_methods_governorate_langs`
--
ALTER TABLE `shipping_methods_governorate_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `shipping_methods_langs`
--
ALTER TABLE `shipping_methods_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `stores`
--
ALTER TABLE `stores`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `store_langs`
--
ALTER TABLE `store_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `store_open_cart_langs`
--
ALTER TABLE `store_open_cart_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `store_type_and_facility`
--
ALTER TABLE `store_type_and_facility`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `store_type_and_facility_options`
--
ALTER TABLE `store_type_and_facility_options`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `support_and_blog_category`
--
ALTER TABLE `support_and_blog_category`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `support_and_blog_category_langs`
--
ALTER TABLE `support_and_blog_category_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `support_and_blog_pages`
--
ALTER TABLE `support_and_blog_pages`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `support_and_blog_pages_langs`
--
ALTER TABLE `support_and_blog_pages_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `trademarks`
--
ALTER TABLE `trademarks`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `trademark_langs`
--
ALTER TABLE `trademark_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `treasures`
--
ALTER TABLE `treasures`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `treasures_balances`
--
ALTER TABLE `treasures_balances`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `units`
--
ALTER TABLE `units`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `unit_langs`
--
ALTER TABLE `unit_langs`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `users_store_type`
--
ALTER TABLE `users_store_type`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `user_balances`
--
ALTER TABLE `user_balances`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `user_levels`
--
ALTER TABLE `user_levels`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3006;

--
-- AUTO_INCREMENT for table `visits_reports`
--
ALTER TABLE `visits_reports`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `vouchers`
--
ALTER TABLE `vouchers`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `voucher_clauses`
--
ALTER TABLE `voucher_clauses`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=24;

--
-- Constraints for dumped tables
--
